# Generated by Makefile. Do not edit.

commit 663c094ec7c299efc0545d8a415b36a12875772d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Jun 24 02:21:14 2021 +0200

    Prevent multiple OneTimeUse elements (#52961)
    
    "A SAML authority MUST NOT include more than one <OneTimeUse> element within a
    <Conditions>element of an assertion"

 lasso/saml-2.0/saml2_helper.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 149de8cd0b495d9aad8cb449142b5908122026f7
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jul 13 13:21:01 2021 +0200

    python: clear warnings about PY_SSIZE_T_CLEAN (#55561)
    
    Using the python3 bindings on recent python3 >=3.8 versions shows:
    
       DeprecationWarning: PY_SSIZE_T_CLEAN will be required for '#' formats
    
    https://docs.python.org/3.9/whatsnew/changelog.html?highlight=py_ssize_t_clean#id193

 bindings/python/wrapper_top.c | 2 ++
 1 file changed, 2 insertions(+)

commit b6321b4db2ba02b67efda7dd5418511db3353d93
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jul 13 13:20:47 2021 +0200

    python: clear warnings about assertX methods (#55561)

 bindings/python/tests/binding_tests.py  | 198 ++++++++++++++++----------------
 bindings/python/tests/profiles_tests.py |  26 ++---
 2 files changed, 112 insertions(+), 112 deletions(-)

commit 1b0000e0163edc9d831894bf4aac7503f0294062
Author: Jakub Hrozek <jhrozek@redhat.com>
Date:   Fri Jun 18 18:45:38 2021 +0200

    test13_test_lasso_server_load_metadata: Don't verify signature if lasso is not configured with sha-1 (#54037)

 tests/basic_tests.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit f70eee9ef7faa9ccfb6f815977431ae2e02260bc
Author: Jakub Hrozek <jhrozek@redhat.com>
Date:   Wed Jun 16 12:23:47 2021 +0200

    python: Skip the DSA key test unless SHA-1 is configured (#54037)
    
    lasso supports DSA-XXX only with SHA-1. The alternative is to use
    DSA-SHA256.

 bindings/python/tests/profiles_tests.py | 4 ++++
 1 file changed, 4 insertions(+)

commit f9a3aca0cb31a412faae25dd9fdbbf3fb61cb62f
Author: Jakub Hrozek <jhrozek@redhat.com>
Date:   Tue Jun 15 15:08:44 2021 +0200

    Check if the signature method is allowed in addition to being valid (#54037)
    
    Adds a new utility function lasso_allowed_signature_method() that checks
    if the signature method is allowed. Previously, the code would only
    check if the method was valid.
    
    This new function is used whenever lasso_validate_signature_method was
    previously used through lasso_ok_signature_method() which wraps both
    validate and allowed.
    
    lasso_allowed_signature_method() is also used on a couple of places,
    notably lasso_query_verify_helper().
    
    Related:
    https://dev.entrouvert.org/issues/54037

 lasso/id-ff/server.c     |  4 ++--
 lasso/saml-2.0/profile.c |  4 ++--
 lasso/xml/tools.c        | 11 ++++++++++-
 lasso/xml/xml.c          |  5 +++--
 lasso/xml/xml.h          | 13 +++++++++++++
 5 files changed, 30 insertions(+), 7 deletions(-)

commit 0d34c97be1c761a9eb12692e4cc4eac58feb7d19
Author: Jakub Hrozek <jhrozek@redhat.com>
Date:   Tue Jun 15 14:45:14 2021 +0200

    Mass-replace LASSO_SIGNATURE_METHOD_RSA_SHA1 with lasso_get_default_signature_method() (#54037)
    
    This should be backwards-compatible but at the same time use the
    selected default instead of RSA-SHA1.
    
    Related:
    https://dev.entrouvert.org/issues/54037

 lasso/id-ff/defederation.c            | 2 +-
 lasso/id-ff/logout.c                  | 6 +++---
 lasso/id-ff/name_identifier_mapping.c | 4 ++--
 lasso/id-ff/name_registration.c       | 4 ++--
 lasso/id-ff/provider.c                | 2 +-
 lasso/xml/tools.c                     | 2 +-
 tests/basic_tests.c                   | 6 +++---
 7 files changed, 13 insertions(+), 13 deletions(-)

commit f095ac8f5740b6eee687cac97840bc7e72992999
Author: Jakub Hrozek <jhrozek@redhat.com>
Date:   Mon Jun 7 12:27:15 2021 +0200

    Make the default signature method and the minimal hash strength configurable (#54037)
    
    Adds two new configure options:
        --with-default-sign-algo
        --min-hash-algo
    
    --with-default-sign-algo sets the default signing algorithm and defaults
    to rsa-sha1. At the moment, two algorithms are supported: rsa-sha1 and
    rsa-sha256.
    
    --min-hash-algo sets the minimum hash algorithm to be accepted. The
    default is sha1 for backwards compatibility as well.
    
    Related:
    https://dev.entrouvert.org/issues/54037

 configure.ac         | 42 +++++++++++++++++++++++++++++++++++
 lasso/id-ff/server.c |  2 +-
 lasso/id-ff/server.h |  2 ++
 lasso/lasso.c        | 51 ++++++++++++++++++++++++++++++++++++++++++
 lasso/xml/tools.c    | 63 +++++++++++++++++++++++++++++++++++++++++-----------
 lasso/xml/xml.c      | 24 ++++++++++++++++++++
 lasso/xml/xml.h      |  9 ++++++++
 tests/random_tests.c |  6 ++---
 8 files changed, 182 insertions(+), 17 deletions(-)

commit f625eaa007fa3a1f6c846be0d70d26de33887714
Author: Jakub Hrozek <jhrozek@redhat.com>
Date:   Wed Jun 16 10:28:53 2021 +0200

    tests: Move test08_lasso_key and test07_saml2_query_verify_signature to SHA256 (#54037)
    
    These tests use a hardcoded query and private key which makes it
    unsuitable to make the tests use the configured default digest. Let's
    just convert them to SHA256 unconditionally.

 tests/random_tests.c | 46 +++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

commit 8b8fd22a168860c5034822472d1fb5745f8fa0f5
Author: Jakub Hrozek <jhrozek@redhat.com>
Date:   Wed Jun 16 10:18:30 2021 +0200

    Fix lasso_query_sign HMAC other than SHA1 (#54037)
    
    The switch clause was using SHA1 digests for all digest types when
    signing. This obviously breaks verifying the signatures if HMAC-SHAXXX
    is used and XXX is something else than 1.

 lasso/xml/tools.c         | 35 +++++++++++++++++++++++------------
 tests/login_tests_saml2.c |  6 +++---
 2 files changed, 26 insertions(+), 15 deletions(-)

commit 076a37d7f0eb74001127481da2d355683693cde9
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jun 1 11:44:46 2021 +0200

    Release 2.7.0

 NEWS                                  | 56 ++++++++++++++++++++++++++++++++++-
 website/web/doap.rdf                  |  4 +++
 website/web/download/index.xml        |  2 +-
 website/web/news/27-release-2.7.0.xml | 15 ++++++++++
 4 files changed, 75 insertions(+), 2 deletions(-)

commit ea7e5efe9741e1b1787a58af16cb15b40c23be5a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Mar 8 11:33:26 2021 +0100

    Fix signature checking on unsigned response with multiple assertions
    
    CVE-2021-28091 : when AuthnResponse messages are not signed (which is
    permitted by the specifiation), all assertion's signatures should be
    checked, but currently after the first signed assertion is checked all
    following assertions are accepted without checking their signature, and
    the last one is considered the main assertion.
    
    This patch :
    * check signatures from all assertions if the message is not signed,
    * refuse messages with assertion from different issuers than the one on
      the message, to prevent assertion bundling event if they are signed.

 lasso/saml-2.0/login.c | 102 +++++++++++++++++++++++++++++++++++--------------
 1 file changed, 73 insertions(+), 29 deletions(-)

commit d9db91ec9f4dbf3052673babbf153ab13625da92
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Apr 7 18:06:11 2021 +0200

    Jenkinsfile: update name of main branch

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd7acfd2f31eba20b388cdd32120df0c5af75134
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Mar 8 11:23:56 2021 +0100

    Python: improve display of warnings in the binding generator

 bindings/python/lang.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f912e8d1efe89e22c26078e4c869ffe4f393e4e7
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Jan 21 15:09:43 2021 +0100

    replace deprecated index() by strchr() (#51385)

 lasso/xml/tools.c   | 4 ++--
 tests/basic_tests.c | 3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

commit cbbea83e3fabe6dc9f407f773968636ef5a18912
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 25 00:17:49 2021 +0100

    Fix: new provider reference count is incremented one time too many (#51420)

 lasso/id-ff/server.c | 1 -
 1 file changed, 1 deletion(-)

commit 3d6bc260211ac4629f78e4d43608f6d462fdf65f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Feb 23 20:39:25 2021 +0100

    docs: update gtk-doc-tools integration (#50441)
    
    Using reference documentation on https://developer.gnome.org/gtk-doc-manual/stable/index.html.en

 configure.ac                                       |  2 +-
 docs/reference/lasso/Makefile.am                   | 42 ++++++++++++++++------
 .../lasso/{lasso-docs.sgml => lasso-docs.xml}      | 37 ++++++++++++-------
 3 files changed, 56 insertions(+), 25 deletions(-)

commit 9b1e68f6835bd5006b547a98f28e1182970e7d09
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Feb 24 23:01:08 2021 +0100

    bindings: disable java tests when java is disabled

 bindings/java/Makefile.am | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 2dbca5edf3a74437d0d8cc098c556a4a18ddb247
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Feb 24 22:59:24 2021 +0100

    Fix: python3 bindings (#51249)
    
    The __str__ method called itself, resulting in an RecursionError.
    
    ======================================================================
    ERROR: test14 (__main__.BindingTestCase)
    ----------------------------------------------------------------------
    Traceback (most recent call last):
      File "./binding_tests.py", line 336, in test14
        assert isinstance(str(cm.exception), str)
      File "../lasso.py", line 69, in __str__
        return '<lasso.%s: %s>' % (self.__class__.__name__, self)
      File "../lasso.py", line 69, in __str__
        return '<lasso.%s: %s>' % (self.__class__.__name__, self)
      File "../lasso.py", line 69, in __str__
        return '<lasso.%s: %s>' % (self.__class__.__name__, self)
      [Previous line repeated 489 more times]
      File "../lasso.py", line 68, in __str__
        if sys.version_info >= (3,):
    RecursionError: maximum recursion depth exceeded in comparison
    
    ----------------------------------------------------------------------

 bindings/python/lang.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 86aa6a602f9e202643af004b69231416e4089dfc
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Jan 21 12:31:00 2021 +0100

    configure.ac: disable java bindings

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 34ad2ce2dc6ef4eadf336dbc5bc49c81e8a33875
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sat Dec 26 15:22:15 2020 +0100

    build: update to use origin/main

 Jenkinsfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f465304319d50cfa8ef8e7bd9c3f03502082c499
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jul 28 10:58:00 2020 +0200

    debian: add packaging for debian-buster

 debian-buster/changelog                | 479 ++++++++++++++++++++++++++++
 debian-buster/compat                   |   1 +
 debian-buster/control                  | 115 +++++++
 debian-buster/control.in               | 115 +++++++
 debian-buster/copyright                |  44 +++
 debian-buster/dirs                     |   2 +
 debian-buster/liblasso-java.dirs       |   1 +
 debian-buster/liblasso-java.install    |   2 +
 debian-buster/liblasso-perl.install.in |   1 +
 debian-buster/liblasso3-dev.dirs       |   2 +
 debian-buster/liblasso3-dev.install    |   4 +
 debian-buster/liblasso3.dirs           |   1 +
 debian-buster/liblasso3.docs           |   2 +
 debian-buster/liblasso3.install        |   1 +
 debian-buster/liblasso3.symbols        | 565 +++++++++++++++++++++++++++++++++
 debian-buster/patches/series           |   0
 debian-buster/php5-lasso.install       |   3 +
 debian-buster/php5-lasso.postinst      |   7 +
 debian-buster/php5-lasso.prerm         |   7 +
 debian-buster/php5-lasso.substvars     |   4 +
 debian-buster/python-lasso.install     |   2 +
 debian-buster/python3-lasso.install    |   2 +
 debian-buster/rules                    | 186 +++++++++++
 debian-buster/source/format            |   1 +
 debian-buster/watch                    |   2 +
 25 files changed, 1549 insertions(+)

commit 0d0e5286a7884a58023b69b905e2b3a8fd1f73d1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 13:53:11 2020 +0200

    jenkins.sh: build against all available python versions (#44287)

 jenkins.sh | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 6c166563b25bd828ef6501d23ba6fbf101d37b19
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 09:16:22 2020 +0200

    python: do not leak out_pyvalue if method call protocol is not respected (#44287)

 bindings/python/lang.py | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 4696e2709b04aff284b1c78d600153de4febb61f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 07:26:17 2020 +0200

    python: do not raise in valid_seq() (#44287)

 bindings/python/wrapper_top.c | 1 -
 1 file changed, 1 deletion(-)

commit 77bed35c426136a034f4d98f8effd8fffcc4ccc5
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 09:17:56 2020 +0200

    python: return NULL if get_list_of_strings() fails (#44287)

 bindings/python/wrapper_top.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5f5bc888b165f9c81331168c28727aceb3200644
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 12:27:54 2020 +0200

    python: return NULL if get_list_of_pygobject fails (#44287)

 bindings/python/wrapper_top.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ed8e04ff114d319f2c2dd33bbd3e0193e5d7462
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 12:25:21 2020 +0200

    python: return NULL if get_list_of_xml_nodes fails (#44287)

 bindings/python/wrapper_top.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cf6bd4ff7d68f4b19bc7260e1d04532412c82f1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 08:33:35 2020 +0200

    python: return NULL if set_list_of_pygobject fails (#44287)

 bindings/python/lang.py                |  4 ++--
 bindings/python/tests/binding_tests.py |  9 +++++++++
 bindings/python/wrapper_top.c          | 13 +++++++++----
 3 files changed, 20 insertions(+), 6 deletions(-)

commit c844abd8e46269c563321c085ba47b5aefc7dcce
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 08:18:30 2020 +0200

    python: return NULL if set_list_of_xml_nodes fails (#44287)

 bindings/python/lang.py       |  4 ++--
 bindings/python/wrapper_top.c | 20 +++++++++++++++-----
 2 files changed, 17 insertions(+), 7 deletions(-)

commit c53b6b5a7377892c4302b55f5422b81fbcb77be6
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 07:59:49 2020 +0200

    python: return NULL if set_list_of_strings fails (#44287)

 bindings/python/lang.py                |  4 ++--
 bindings/python/tests/binding_tests.py |  8 ++++++--
 bindings/python/wrapper_top.c          | 13 +++++++++----
 3 files changed, 17 insertions(+), 8 deletions(-)

commit ed528ce26ac3842148b3c3cc4e9580a6cd860200
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 07:36:23 2020 +0200

    python: return NULL if set_hashtable_of_strings fails (#44287)

 bindings/python/lang.py       |  4 ++--
 bindings/python/wrapper_top.c | 11 ++++++-----
 2 files changed, 8 insertions(+), 7 deletions(-)

commit 57ee8d2f2a6566c997cb1c5e0054fdd1c62e1094
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 07:32:09 2020 +0200

    python: return NULL if set_hashtable_of_pygobject fails (#44287)

 bindings/python/lang.py       |  2 +-
 bindings/python/wrapper_top.c | 11 ++++++-----
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 8591451270b0ef550add12c2cb51407287bae146
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 08:12:05 2020 +0200

    python: free internal string buffer if needed in set_list_of_strings (#44287)

 bindings/python/wrapper_top.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit f80b2bb50ed6060b99f3d8f9abd25589c2ca08cb
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 08:04:25 2020 +0200

    python: check if hashtable is NULL before deallocatio (#44287)n

 bindings/python/lang.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0289da907f8ef3558a9ff553b0e19ed60fdb37b8
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 12:33:39 2020 +0200

    python: add a failure label to method wrappers (#44287)
    
    To separate wrapping code from unwinding and error handling code.

 bindings/python/lang.py       | 17 ++++++++++++++---
 bindings/python/wrapper_top.c |  1 +
 2 files changed, 15 insertions(+), 3 deletions(-)

commit 35682272ece5fbc02cdf06fc0032714f7fa1dbdd
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 08:07:22 2020 +0200

    python: add macro for early return (#44287)

 bindings/python/wrapper_top.c | 2 ++
 1 file changed, 2 insertions(+)

commit 05dea2eab5813a1b539ae20608a37ae6ecfe0034
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 20 08:04:55 2020 +0200

    python: remove newline before method call (#44287)

 bindings/python/lang.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9db28c0c32bbeddca42de831f20273d2675a69c5
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Jun 19 21:08:14 2020 +0200

    python: simplify get_logger_object (#44287)

 bindings/python/wrapper_top.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit a8f82e67efb28a36f3a78350566b213f895e5c40
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Jun 19 21:06:11 2020 +0200

    python: fix warning about discarded const modifier (#44287)

 bindings/python/wrapper_top.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 637514a874885dcb67efb93f1b9c640f9c899873
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Jun 19 21:05:23 2020 +0200

    python: replace exception by warning on logging path (#44287)

 bindings/python/wrapper_top.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 8ae9d3a09b35fb15b047ff3d2c92535d9ce32697
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Jun 19 21:04:59 2020 +0200

    python: use simpler call format to prevent warning about PY_SSIZE_T_CLEAN (#44287)

 bindings/python/wrapper_top.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 11bc68bbbcf223efdc40a82136595067c49123bb
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Jun 19 21:02:56 2020 +0200

    python: remove deprecated PyErr_Warn (#44287)

 bindings/python/wrapper_top.c | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

commit a1dbd489fc5f393d97b21e84eb129f94ca08063b
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Jun 19 21:02:25 2020 +0200

    python: remove unused PyString_Size (#44287)

 bindings/python/wrapper_top.c | 8 --------
 1 file changed, 8 deletions(-)

commit 04ded420c8bd92eb5694c27433ded5829b0b80aa
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Aug 21 11:48:19 2020 +0200

    python: Exception.message was removed in python3 (#45995)

 bindings/python/lang.py                | 5 ++++-
 bindings/python/tests/binding_tests.py | 8 ++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 0b742b1f6dcb97d1bdc71a3fb7268f1ce03c0c85
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Aug 11 11:30:51 2020 +0200

    tools: reimplement xmlURIEscapeStr to respect RFC3986 (#45581)
    
    Bugfix by Emmanuel Dreyfus.
    
    License: MIT

 AUTHORS             |  1 +
 lasso/id-ff/login.c |  4 ++--
 lasso/xml/private.h |  1 +
 lasso/xml/tools.c   | 61 ++++++++++++++++++++++++++++++++++++++++++++++++-----
 lasso/xml/xml.c     |  8 +++----
 5 files changed, 64 insertions(+), 11 deletions(-)

commit 15b8cd7ab1bedb7f05e10cb8a3f0d848b4ad9c36
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Aug 11 15:35:56 2020 +0200

    configure.ac: support php7 interpreter on CentOS 8 (#42299)

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4bae1c8b7c688373a8264e4fff9ef17d5b36a49f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jul 24 16:55:07 2018 +0200

    Release 2.6.1

 NEWS                                  | 50 +++++++++++++++++++++++++++++++++++
 configure.ac                          |  2 +-
 lasso/xml/tools.c                     |  2 +-
 tests/data/Makefile.am                |  3 ++-
 website/web/doap.rdf                  | 28 +++++++++-----------
 website/web/download/index.xml        | 18 ++++++-------
 website/web/news/26-release-2.6.1.xml | 15 +++++++++++
 7 files changed, 91 insertions(+), 27 deletions(-)

commit 92d12b995459c01ccba48d8b99bd69b09f00f5b1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Apr 22 04:45:52 2020 +0200

    Keep order of SessionIndexes

 bindings/python/tests/binding_tests.py     |  9 +++++++++
 lasso/xml/saml-2.0/samlp2_logout_request.c | 12 +++++-------
 2 files changed, 14 insertions(+), 7 deletions(-)

commit 55feba5762d78cdbbad8b738eb975b791537a004
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Apr 22 04:30:27 2020 +0200

    Clear SessionIndex when private SessionIndexes is empty (#41950)

 lasso/xml/saml-2.0/samlp2_logout_request.c | 2 ++
 1 file changed, 2 insertions(+)

commit e5ad4b1702af09b271165ebf0187ec5ec75a5497
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Mar 26 21:58:07 2020 +0100

    misc: clear warnings about class_init signature using coccinelle
    
            $ spatch --in-place --sp-file add-second-arg-to-class-init.cocci `git grep -l -C1 ^class_init \*.c`
            $ sed -i 's/\*unused\>/*unused G_GNUC_UNUSED/' `git grep -l 'void \*unused'`

 lasso/id-ff/defederation.c                                   |  2 +-
 lasso/id-ff/federation.c                                     |  2 +-
 lasso/id-ff/identity.c                                       |  2 +-
 lasso/id-ff/lecp.c                                           |  2 +-
 lasso/id-ff/login.c                                          |  2 +-
 lasso/id-ff/logout.c                                         |  2 +-
 lasso/id-ff/name_identifier_mapping.c                        |  2 +-
 lasso/id-ff/name_registration.c                              |  2 +-
 lasso/id-ff/profile.c                                        |  2 +-
 lasso/id-ff/provider.c                                       |  2 +-
 lasso/id-ff/server.c                                         |  2 +-
 lasso/id-ff/session.c                                        |  2 +-
 lasso/id-wsf-2.0/data_service.c                              |  2 +-
 lasso/id-wsf-2.0/discovery.c                                 |  2 +-
 lasso/id-wsf-2.0/profile.c                                   |  2 +-
 lasso/id-wsf/authentication.c                                |  2 +-
 lasso/id-wsf/data_service.c                                  |  2 +-
 lasso/id-wsf/discovery.c                                     |  2 +-
 lasso/id-wsf/interaction_profile_service.c                   |  2 +-
 lasso/id-wsf/wsf_profile.c                                   |  2 +-
 lasso/key.c                                                  |  2 +-
 lasso/saml-2.0/assertion_query.c                             |  2 +-
 lasso/saml-2.0/ecp.c                                         |  2 +-
 lasso/saml-2.0/name_id_management.c                          |  2 +-
 lasso/utils.h                                                |  2 +-
 lasso/xml/disco_authenticate_requester.c                     |  2 +-
 lasso/xml/disco_authenticate_session_context.c               |  2 +-
 lasso/xml/disco_authorize_requester.c                        |  2 +-
 lasso/xml/disco_credentials.c                                |  2 +-
 lasso/xml/disco_description.c                                |  2 +-
 lasso/xml/disco_encrypt_resource_id.c                        |  2 +-
 lasso/xml/disco_encrypted_resource_id.c                      |  2 +-
 lasso/xml/disco_generate_bearer_token.c                      |  2 +-
 lasso/xml/disco_insert_entry.c                               |  2 +-
 lasso/xml/disco_modify.c                                     |  2 +-
 lasso/xml/disco_modify_response.c                            |  2 +-
 lasso/xml/disco_options.c                                    |  2 +-
 lasso/xml/disco_query.c                                      |  2 +-
 lasso/xml/disco_query_response.c                             |  2 +-
 lasso/xml/disco_remove_entry.c                               |  2 +-
 lasso/xml/disco_requested_service_type.c                     |  2 +-
 lasso/xml/disco_resource_id.c                                |  2 +-
 lasso/xml/disco_resource_offering.c                          |  2 +-
 lasso/xml/disco_send_single_logout.c                         |  2 +-
 lasso/xml/disco_service_instance.c                           |  2 +-
 lasso/xml/dsig/ds_key_info.c                                 |  2 +-
 lasso/xml/dsig/ds_key_value.c                                |  2 +-
 lasso/xml/dsig/ds_rsa_key_value.c                            |  2 +-
 lasso/xml/dsig/ds_x509_data.c                                |  2 +-
 lasso/xml/dst_data.c                                         |  2 +-
 lasso/xml/dst_modification.c                                 |  2 +-
 lasso/xml/dst_modify.c                                       |  2 +-
 lasso/xml/dst_modify_response.c                              |  2 +-
 lasso/xml/dst_new_data.c                                     |  2 +-
 lasso/xml/dst_query.c                                        |  2 +-
 lasso/xml/dst_query_item.c                                   |  2 +-
 lasso/xml/dst_query_response.c                               |  2 +-
 lasso/xml/ecp/ecp_relaystate.c                               |  2 +-
 lasso/xml/ecp/ecp_request.c                                  |  2 +-
 lasso/xml/ecp/ecp_response.c                                 |  2 +-
 lasso/xml/id-wsf-2.0/disco_abstract.c                        |  2 +-
 lasso/xml/id-wsf-2.0/disco_endpoint_context.c                |  2 +-
 lasso/xml/id-wsf-2.0/disco_keys.c                            |  2 +-
 lasso/xml/id-wsf-2.0/disco_options.c                         |  2 +-
 lasso/xml/id-wsf-2.0/disco_provider_id.c                     |  2 +-
 lasso/xml/id-wsf-2.0/disco_query.c                           |  2 +-
 lasso/xml/id-wsf-2.0/disco_query_response.c                  |  2 +-
 lasso/xml/id-wsf-2.0/disco_requested_service.c               |  2 +-
 lasso/xml/id-wsf-2.0/disco_security_context.c                |  2 +-
 lasso/xml/id-wsf-2.0/disco_service_context.c                 |  2 +-
 lasso/xml/id-wsf-2.0/disco_service_type.c                    |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_association_add.c          |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_association_add_response.c |  3 ++-
 lasso/xml/id-wsf-2.0/disco_svc_md_association_delete.c       |  2 +-
 .../id-wsf-2.0/disco_svc_md_association_delete_response.c    |  3 ++-
 lasso/xml/id-wsf-2.0/disco_svc_md_association_query.c        |  2 +-
 .../xml/id-wsf-2.0/disco_svc_md_association_query_response.c |  3 ++-
 lasso/xml/id-wsf-2.0/disco_svc_md_delete.c                   |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_delete_response.c          |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_query.c                    |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_query_response.c           |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_register.c                 |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_register_response.c        |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_replace.c                  |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_md_replace_response.c         |  2 +-
 lasso/xml/id-wsf-2.0/disco_svc_metadata.c                    |  2 +-
 lasso/xml/id-wsf-2.0/dst_data_response_base.c                |  2 +-
 lasso/xml/id-wsf-2.0/dst_delete_item_base.c                  |  2 +-
 lasso/xml/id-wsf-2.0/dst_delete_response.c                   |  2 +-
 lasso/xml/id-wsf-2.0/dst_request.c                           |  2 +-
 lasso/xml/id-wsf-2.0/dst_result_query_base.c                 |  2 +-
 lasso/xml/id-wsf-2.0/dst_test_item_base.c                    |  2 +-
 lasso/xml/id-wsf-2.0/dstref_app_data.c                       |  2 +-
 lasso/xml/id-wsf-2.0/dstref_create.c                         |  2 +-
 lasso/xml/id-wsf-2.0/dstref_create_item.c                    |  2 +-
 lasso/xml/id-wsf-2.0/dstref_create_response.c                |  2 +-
 lasso/xml/id-wsf-2.0/dstref_data.c                           |  2 +-
 lasso/xml/id-wsf-2.0/dstref_data_response.c                  |  2 +-
 lasso/xml/id-wsf-2.0/dstref_delete.c                         |  2 +-
 lasso/xml/id-wsf-2.0/dstref_delete_item.c                    |  2 +-
 lasso/xml/id-wsf-2.0/dstref_delete_response.c                |  2 +-
 lasso/xml/id-wsf-2.0/dstref_item_data.c                      |  2 +-
 lasso/xml/id-wsf-2.0/dstref_modify.c                         |  2 +-
 lasso/xml/id-wsf-2.0/dstref_modify_item.c                    |  2 +-
 lasso/xml/id-wsf-2.0/dstref_modify_response.c                |  2 +-
 lasso/xml/id-wsf-2.0/dstref_query.c                          |  2 +-
 lasso/xml/id-wsf-2.0/dstref_query_item.c                     |  2 +-
 lasso/xml/id-wsf-2.0/dstref_query_response.c                 |  2 +-
 lasso/xml/id-wsf-2.0/dstref_result_query.c                   |  2 +-
 lasso/xml/id-wsf-2.0/dstref_test_item.c                      |  2 +-
 lasso/xml/id-wsf-2.0/ims_identity_mapping_request.c          |  2 +-
 lasso/xml/id-wsf-2.0/ims_identity_mapping_response.c         |  2 +-
 lasso/xml/id-wsf-2.0/ims_mapping_input.c                     |  2 +-
 lasso/xml/id-wsf-2.0/ims_mapping_output.c                    |  2 +-
 lasso/xml/id-wsf-2.0/is_help.c                               |  2 +-
 lasso/xml/id-wsf-2.0/is_inquiry.c                            |  2 +-
 lasso/xml/id-wsf-2.0/is_inquiry_element.c                    |  2 +-
 lasso/xml/id-wsf-2.0/is_interaction_request.c                |  2 +-
 lasso/xml/id-wsf-2.0/is_interaction_response.c               |  2 +-
 lasso/xml/id-wsf-2.0/is_interaction_statement.c              |  2 +-
 lasso/xml/id-wsf-2.0/is_item.c                               |  2 +-
 lasso/xml/id-wsf-2.0/is_parameter.c                          |  2 +-
 lasso/xml/id-wsf-2.0/is_select.c                             |  2 +-
 lasso/xml/id-wsf-2.0/is_text.c                               |  2 +-
 lasso/xml/id-wsf-2.0/ps_add_collection_request.c             |  2 +-
 lasso/xml/id-wsf-2.0/ps_add_collection_response.c            |  2 +-
 lasso/xml/id-wsf-2.0/ps_add_entity_request.c                 |  2 +-
 lasso/xml/id-wsf-2.0/ps_add_entity_response.c                |  2 +-
 lasso/xml/id-wsf-2.0/ps_add_known_entity_request.c           |  2 +-
 lasso/xml/id-wsf-2.0/ps_add_known_entity_response.c          |  2 +-
 lasso/xml/id-wsf-2.0/ps_add_to_collection_request.c          |  2 +-
 lasso/xml/id-wsf-2.0/ps_get_object_info_request.c            |  2 +-
 lasso/xml/id-wsf-2.0/ps_get_object_info_response.c           |  2 +-
 lasso/xml/id-wsf-2.0/ps_item_data.c                          |  2 +-
 lasso/xml/id-wsf-2.0/ps_list_members_request.c               |  2 +-
 lasso/xml/id-wsf-2.0/ps_list_members_response.c              |  2 +-
 lasso/xml/id-wsf-2.0/ps_notification.c                       |  2 +-
 lasso/xml/id-wsf-2.0/ps_notify.c                             |  2 +-
 lasso/xml/id-wsf-2.0/ps_object.c                             |  2 +-
 lasso/xml/id-wsf-2.0/ps_query_objects_request.c              |  2 +-
 lasso/xml/id-wsf-2.0/ps_query_objects_response.c             |  2 +-
 lasso/xml/id-wsf-2.0/ps_remove_collection_request.c          |  2 +-
 lasso/xml/id-wsf-2.0/ps_remove_entity_request.c              |  2 +-
 lasso/xml/id-wsf-2.0/ps_remove_from_collection_request.c     |  2 +-
 lasso/xml/id-wsf-2.0/ps_request_abstract.c                   |  2 +-
 lasso/xml/id-wsf-2.0/ps_resolve_identifier_request.c         |  2 +-
 lasso/xml/id-wsf-2.0/ps_resolve_identifier_response.c        |  2 +-
 lasso/xml/id-wsf-2.0/ps_resolve_input.c                      |  2 +-
 lasso/xml/id-wsf-2.0/ps_response_abstract.c                  |  2 +-
 lasso/xml/id-wsf-2.0/ps_set_object_info_request.c            |  2 +-
 lasso/xml/id-wsf-2.0/ps_test_membership_request.c            |  2 +-
 lasso/xml/id-wsf-2.0/ps_test_membership_response.c           |  2 +-
 lasso/xml/id-wsf-2.0/sb2_consent.c                           |  2 +-
 lasso/xml/id-wsf-2.0/sb2_credentials_context.c               |  2 +-
 lasso/xml/id-wsf-2.0/sb2_endpoint_update.c                   |  2 +-
 lasso/xml/id-wsf-2.0/sb2_redirect_request.c                  |  2 +-
 lasso/xml/id-wsf-2.0/sb2_sender.c                            |  2 +-
 lasso/xml/id-wsf-2.0/sb2_target_identity.c                   |  2 +-
 lasso/xml/id-wsf-2.0/sb2_timeout.c                           |  2 +-
 lasso/xml/id-wsf-2.0/sb2_usage_directive.c                   |  2 +-
 lasso/xml/id-wsf-2.0/sb2_user_interaction_header.c           |  2 +-
 lasso/xml/id-wsf-2.0/sbf_framework.c                         |  2 +-
 lasso/xml/id-wsf-2.0/sec_token.c                             |  2 +-
 lasso/xml/id-wsf-2.0/sec_token_policy.c                      |  2 +-
 lasso/xml/id-wsf-2.0/sec_transited_provider_path.c           |  2 +-
 lasso/xml/id-wsf-2.0/subs_notification.c                     |  2 +-
 lasso/xml/id-wsf-2.0/subs_notify_response.c                  |  2 +-
 lasso/xml/id-wsf-2.0/subs_ref_item.c                         |  2 +-
 lasso/xml/id-wsf-2.0/subs_subscription.c                     |  2 +-
 lasso/xml/id-wsf-2.0/subsref_app_data.c                      |  2 +-
 lasso/xml/id-wsf-2.0/subsref_create.c                        |  2 +-
 lasso/xml/id-wsf-2.0/subsref_create_item.c                   |  2 +-
 lasso/xml/id-wsf-2.0/subsref_create_response.c               |  2 +-
 lasso/xml/id-wsf-2.0/subsref_data.c                          |  2 +-
 lasso/xml/id-wsf-2.0/subsref_data_response.c                 |  2 +-
 lasso/xml/id-wsf-2.0/subsref_delete.c                        |  2 +-
 lasso/xml/id-wsf-2.0/subsref_delete_item.c                   |  2 +-
 lasso/xml/id-wsf-2.0/subsref_delete_response.c               |  2 +-
 lasso/xml/id-wsf-2.0/subsref_item_data.c                     |  2 +-
 lasso/xml/id-wsf-2.0/subsref_modify.c                        |  2 +-
 lasso/xml/id-wsf-2.0/subsref_modify_item.c                   |  2 +-
 lasso/xml/id-wsf-2.0/subsref_modify_response.c               |  2 +-
 lasso/xml/id-wsf-2.0/subsref_notification.c                  |  2 +-
 lasso/xml/id-wsf-2.0/subsref_notify.c                        |  2 +-
 lasso/xml/id-wsf-2.0/subsref_notify_response.c               |  2 +-
 lasso/xml/id-wsf-2.0/subsref_query.c                         |  2 +-
 lasso/xml/id-wsf-2.0/subsref_query_item.c                    |  2 +-
 lasso/xml/id-wsf-2.0/subsref_query_response.c                |  2 +-
 lasso/xml/id-wsf-2.0/subsref_result_query.c                  |  2 +-
 lasso/xml/id-wsf-2.0/subsref_subscription.c                  |  2 +-
 lasso/xml/id-wsf-2.0/subsref_test_item.c                     |  2 +-
 lasso/xml/id-wsf-2.0/util_empty.c                            |  2 +-
 lasso/xml/id-wsf-2.0/util_extension.c                        |  2 +-
 lasso/xml/id-wsf-2.0/util_response.c                         |  2 +-
 lasso/xml/id-wsf-2.0/util_status.c                           |  2 +-
 lasso/xml/is_help.c                                          |  2 +-
 lasso/xml/is_inquiry.c                                       |  2 +-
 lasso/xml/is_inquiry_element.c                               |  2 +-
 lasso/xml/is_interaction_request.c                           |  2 +-
 lasso/xml/is_interaction_response.c                          |  2 +-
 lasso/xml/is_interaction_statement.c                         |  2 +-
 lasso/xml/is_item.c                                          |  2 +-
 lasso/xml/is_parameter.c                                     |  2 +-
 lasso/xml/is_redirect_request.c                              |  2 +-
 lasso/xml/is_select.c                                        |  2 +-
 lasso/xml/is_text.c                                          |  2 +-
 lasso/xml/is_user_interaction.c                              |  2 +-
 lasso/xml/lib_assertion.c                                    |  2 +-
 lasso/xml/lib_authentication_statement.c                     |  2 +-
 lasso/xml/lib_authn_context.c                                |  2 +-
 lasso/xml/lib_authn_request.c                                |  2 +-
 lasso/xml/lib_authn_request_envelope.c                       |  2 +-
 lasso/xml/lib_authn_response.c                               |  2 +-
 lasso/xml/lib_authn_response_envelope.c                      |  2 +-
 lasso/xml/lib_federation_termination_notification.c          |  3 ++-
 lasso/xml/lib_idp_entries.c                                  |  2 +-
 lasso/xml/lib_idp_entry.c                                    |  2 +-
 lasso/xml/lib_idp_list.c                                     |  2 +-
 lasso/xml/lib_logout_request.c                               |  2 +-
 lasso/xml/lib_logout_response.c                              |  2 +-
 lasso/xml/lib_name_identifier_mapping_request.c              |  2 +-
 lasso/xml/lib_name_identifier_mapping_response.c             |  2 +-
 lasso/xml/lib_register_name_identifier_request.c             |  2 +-
 lasso/xml/lib_register_name_identifier_response.c            |  2 +-
 lasso/xml/lib_request_authn_context.c                        |  2 +-
 lasso/xml/lib_scoping.c                                      |  2 +-
 lasso/xml/lib_status_response.c                              |  2 +-
 lasso/xml/lib_subject.c                                      |  2 +-
 lasso/xml/misc_text_node.c                                   |  2 +-
 lasso/xml/paos_request.c                                     |  2 +-
 lasso/xml/paos_response.c                                    |  2 +-
 lasso/xml/sa_credentials.c                                   |  2 +-
 lasso/xml/sa_parameter.c                                     |  2 +-
 lasso/xml/sa_password_transforms.c                           |  2 +-
 lasso/xml/sa_sasl_request.c                                  |  2 +-
 lasso/xml/sa_sasl_response.c                                 |  2 +-
 lasso/xml/sa_transform.c                                     |  2 +-
 lasso/xml/saml-2.0/saml2_action.c                            |  2 +-
 lasso/xml/saml-2.0/saml2_advice.c                            |  2 +-
 lasso/xml/saml-2.0/saml2_assertion.c                         |  2 +-
 lasso/xml/saml-2.0/saml2_attribute.c                         |  2 +-
 lasso/xml/saml-2.0/saml2_attribute_statement.c               |  2 +-
 lasso/xml/saml-2.0/saml2_attribute_value.c                   |  2 +-
 lasso/xml/saml-2.0/saml2_audience_restriction.c              |  2 +-
 lasso/xml/saml-2.0/saml2_authn_context.c                     |  2 +-
 lasso/xml/saml-2.0/saml2_authn_statement.c                   |  2 +-
 lasso/xml/saml-2.0/saml2_authz_decision_statement.c          |  2 +-
 lasso/xml/saml-2.0/saml2_base_idabstract.c                   |  2 +-
 lasso/xml/saml-2.0/saml2_condition_abstract.c                |  2 +-
 lasso/xml/saml-2.0/saml2_conditions.c                        |  2 +-
 lasso/xml/saml-2.0/saml2_encrypted_element.c                 |  2 +-
 lasso/xml/saml-2.0/saml2_evidence.c                          |  2 +-
 lasso/xml/saml-2.0/saml2_key_info_confirmation_data.c        |  2 +-
 lasso/xml/saml-2.0/saml2_key_info_confirmation_data_type.c   |  2 +-
 lasso/xml/saml-2.0/saml2_name_id.c                           |  2 +-
 lasso/xml/saml-2.0/saml2_one_time_use.c                      |  2 +-
 lasso/xml/saml-2.0/saml2_proxy_restriction.c                 |  2 +-
 lasso/xml/saml-2.0/saml2_statement_abstract.c                |  2 +-
 lasso/xml/saml-2.0/saml2_subject.c                           |  2 +-
 lasso/xml/saml-2.0/saml2_subject_confirmation.c              |  2 +-
 lasso/xml/saml-2.0/saml2_subject_confirmation_data.c         |  2 +-
 lasso/xml/saml-2.0/saml2_subject_locality.c                  |  2 +-
 lasso/xml/saml-2.0/samlp2_artifact_resolve.c                 |  2 +-
 lasso/xml/saml-2.0/samlp2_artifact_response.c                |  2 +-
 lasso/xml/saml-2.0/samlp2_assertion_id_request.c             |  2 +-
 lasso/xml/saml-2.0/samlp2_attribute_query.c                  |  2 +-
 lasso/xml/saml-2.0/samlp2_authn_query.c                      |  2 +-
 lasso/xml/saml-2.0/samlp2_authn_request.c                    |  2 +-
 lasso/xml/saml-2.0/samlp2_authz_decision_query.c             |  2 +-
 lasso/xml/saml-2.0/samlp2_extensions.c                       |  2 +-
 lasso/xml/saml-2.0/samlp2_idp_entry.c                        |  2 +-
 lasso/xml/saml-2.0/samlp2_idp_list.c                         |  2 +-
 lasso/xml/saml-2.0/samlp2_logout_request.c                   |  2 +-
 lasso/xml/saml-2.0/samlp2_logout_response.c                  |  2 +-
 lasso/xml/saml-2.0/samlp2_manage_name_id_request.c           |  2 +-
 lasso/xml/saml-2.0/samlp2_manage_name_id_response.c          |  2 +-
 lasso/xml/saml-2.0/samlp2_name_id_mapping_request.c          |  2 +-
 lasso/xml/saml-2.0/samlp2_name_id_mapping_response.c         |  2 +-
 lasso/xml/saml-2.0/samlp2_name_id_policy.c                   |  2 +-
 lasso/xml/saml-2.0/samlp2_request_abstract.c                 |  2 +-
 lasso/xml/saml-2.0/samlp2_requested_authn_context.c          |  2 +-
 lasso/xml/saml-2.0/samlp2_response.c                         |  2 +-
 lasso/xml/saml-2.0/samlp2_scoping.c                          |  2 +-
 lasso/xml/saml-2.0/samlp2_status.c                           |  2 +-
 lasso/xml/saml-2.0/samlp2_status_code.c                      |  2 +-
 lasso/xml/saml-2.0/samlp2_status_detail.c                    |  2 +-
 lasso/xml/saml-2.0/samlp2_status_response.c                  |  2 +-
 lasso/xml/saml-2.0/samlp2_subject_query_abstract.c           |  2 +-
 lasso/xml/saml-2.0/samlp2_terminate.c                        |  2 +-
 lasso/xml/saml_advice.c                                      |  2 +-
 lasso/xml/saml_assertion.c                                   |  2 +-
 lasso/xml/saml_attribute.c                                   |  2 +-
 lasso/xml/saml_attribute_designator.c                        |  2 +-
 lasso/xml/saml_attribute_statement.c                         |  2 +-
 lasso/xml/saml_attribute_value.c                             |  2 +-
 lasso/xml/saml_audience_restriction_condition.c              |  2 +-
 lasso/xml/saml_authentication_statement.c                    |  2 +-
 lasso/xml/saml_authority_binding.c                           |  2 +-
 lasso/xml/saml_condition_abstract.c                          |  2 +-
 lasso/xml/saml_conditions.c                                  |  2 +-
 lasso/xml/saml_name_identifier.c                             |  2 +-
 lasso/xml/saml_statement_abstract.c                          |  2 +-
 lasso/xml/saml_subject.c                                     |  2 +-
 lasso/xml/saml_subject_confirmation.c                        |  2 +-
 lasso/xml/saml_subject_locality.c                            |  2 +-
 lasso/xml/saml_subject_statement.c                           |  2 +-
 lasso/xml/saml_subject_statement_abstract.c                  |  2 +-
 lasso/xml/samlp_request.c                                    |  2 +-
 lasso/xml/samlp_request_abstract.c                           |  2 +-
 lasso/xml/samlp_response.c                                   |  2 +-
 lasso/xml/samlp_response_abstract.c                          |  2 +-
 lasso/xml/samlp_status.c                                     |  2 +-
 lasso/xml/samlp_status_code.c                                |  2 +-
 lasso/xml/sec_resource_access_statement.c                    |  2 +-
 lasso/xml/soap-1.1/soap_body.c                               |  2 +-
 lasso/xml/soap-1.1/soap_detail.c                             |  2 +-
 lasso/xml/soap-1.1/soap_envelope.c                           |  2 +-
 lasso/xml/soap-1.1/soap_fault.c                              |  2 +-
 lasso/xml/soap-1.1/soap_header.c                             |  2 +-
 lasso/xml/soap_binding_consent.c                             |  2 +-
 lasso/xml/soap_binding_correlation.c                         |  2 +-
 lasso/xml/soap_binding_ext_credential.c                      |  2 +-
 lasso/xml/soap_binding_ext_credentials_context.c             |  2 +-
 lasso/xml/soap_binding_ext_service_instance_update.c         |  2 +-
 lasso/xml/soap_binding_ext_timeout.c                         |  2 +-
 lasso/xml/soap_binding_processing_context.c                  |  2 +-
 lasso/xml/soap_binding_provider.c                            |  2 +-
 lasso/xml/soap_binding_usage_directive.c                     |  2 +-
 lasso/xml/utility_status.c                                   |  2 +-
 lasso/xml/ws/wsa_attributed_any.c                            |  2 +-
 lasso/xml/ws/wsa_attributed_qname.c                          |  2 +-
 lasso/xml/ws/wsa_attributed_unsigned_long.c                  |  2 +-
 lasso/xml/ws/wsa_attributed_uri.c                            |  2 +-
 lasso/xml/ws/wsa_endpoint_reference.c                        |  2 +-
 lasso/xml/ws/wsa_metadata.c                                  |  2 +-
 lasso/xml/ws/wsa_problem_action.c                            |  2 +-
 lasso/xml/ws/wsa_reference_parameters.c                      |  2 +-
 lasso/xml/ws/wsa_relates_to.c                                |  2 +-
 lasso/xml/ws/wsse_embedded.c                                 |  2 +-
 lasso/xml/ws/wsse_reference.c                                |  2 +-
 lasso/xml/ws/wsse_security_header.c                          |  2 +-
 lasso/xml/ws/wsse_security_token_reference.c                 |  2 +-
 lasso/xml/ws/wsse_transformation_parameters.c                |  2 +-
 lasso/xml/ws/wsse_username_token.c                           |  2 +-
 lasso/xml/ws/wsu_timestamp.c                                 |  2 +-
 lasso/xml/xml.c                                              |  2 +-
 tests/basic_tests.c                                          |  2 +-
 tools/spatch/add-second-arg-to-class-init.cocci              | 12 ++++++++++++
 348 files changed, 363 insertions(+), 347 deletions(-)

commit 6a0708ed5c663fc07f9df5079ec09c0eb35c2689
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Mar 26 20:19:25 2020 +0100

    tests: fix compilation with check>0.12 (#39101)

 tests/non_regression_tests.c | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit 1b51873ccfccf9dde981ef4aecba7656bad4056b
Author: Bernhard M. Wiedemann <bwiedemann@suse.de>
Date:   Tue Mar 3 11:31:56 2020 +0100

    Sort input file lists (#40454)
    
    so that lasso.py, lasso/types.c and liblasso.so.3.13.0
    build reproducibly
    in spite of indeterministic filesystem readdir order.
    For some reason, lasso/extract_sections.py lasso/extract_symbols.py
    do not need such patches to get a reproducible openSUSE package.
    
    See https://reproducible-builds.org/ for why this is good.
    
    This patch was done while working on reproducible builds for openSUSE.
    
    License: MIT
    Signed-off-by: Bernhard M. Wiedemann <bwiedemann@suse.de>

 bindings/bindings.py   | 2 ++
 lasso/extract_types.py | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit af8f88cec5c1821d19bb772c3cf5bcdd128e6b2d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Sep 9 13:35:36 2019 +0200

    debian: disable php7 (#28608)

 debian-jessie/rules  | 1 +
 debian-stretch/rules | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit e2ec5a7349d5e5608e7edb94d0184385417abc92
Author: Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net>
Date:   Wed Dec 5 05:22:12 2018 +0900

    Modify .gitignore for PHP 7 binding (#28608)
    
    License: MIT

 .gitignore | 3 +++
 1 file changed, 3 insertions(+)

commit 9c8c4b99379e4c9c27807b1b08fb30b1cf28af5a
Author: Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net>
Date:   Wed Dec 5 05:22:07 2018 +0900

    Add PHP 7 binding (#28608)
    
    License: MIT

 bindings/Makefile.am                               |   8 +-
 bindings/bindings.py                               |   5 +
 bindings/overrides.xml                             |   8 +-
 bindings/php7/Makefile.am                          |  41 ++
 bindings/php7/__init__.py                          |   0
 bindings/php7/examples/Makefile.am                 |   2 +
 .../examples/get_attributes_from_assertion.php     |  11 +
 bindings/php7/lang.py                              |  43 ++
 bindings/php7/lasso.ini                            |   2 +
 bindings/php7/php_code.py                          | 511 +++++++++++++++++++
 bindings/php7/tests/Makefile.am                    |   8 +
 bindings/php7/tests/binding_tests.php              | 211 ++++++++
 bindings/php7/tests/binding_tests.sh               |   3 +
 bindings/php7/tests/profile_tests.php              | 224 +++++++++
 bindings/php7/tests/profile_tests.sh               |   3 +
 bindings/php7/wrapper_header.py                    |  64 +++
 bindings/php7/wrapper_source.py                    | 550 +++++++++++++++++++++
 bindings/php7/wrapper_source_top.c                 | 380 ++++++++++++++
 configure.ac                                       |  81 +++
 19 files changed, 2150 insertions(+), 5 deletions(-)

commit 37a0fa6f8b072b3b90e3ec2bf6e8152d2717370d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Sep 9 13:30:26 2019 +0200

    Fix tests broken by new DEBUG logs (#12829)

 tests/tests.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit db7e25287aa48f6c5830f9e5c37b2bafb3f8bd6c
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Sep 6 14:50:24 2019 +0200

    Improve error logging during node parsing (#12829)

 lasso/xml/xml.c | 66 ++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 47 insertions(+), 19 deletions(-)

commit caecf46be47f712893046a7c6ac1ac9cbbc11779
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Sep 6 14:43:31 2019 +0200

    Improve configure compatibility (#32425)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 84bc5b48d3094cd6d69c562eb70e62dd7c81d796
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Sep 6 14:42:44 2019 +0200

    Improve compatibility with Solaris (#32425)

 lasso/xml/tools.c | 2 ++
 1 file changed, 2 insertions(+)

commit 6c852f8c0bdca7cc85dd1edbdb939887bd35ffe3
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Sep 3 13:39:05 2019 +0200

    Fix reference count in lasso_server_add_provider2 (fixes #35061)
    
    As implemented lasso_server_add_provider2 could not be used as a publik
    API as it dit not increase the reference count of the LassoProvider
    object before adding it to the providers hashtable.
    
    lasso_server_add_provider_helper had to be modified to decrement the
    reference count of the new LassoProvider object after using
    lasso_server_add_provider2.

 lasso/id-ff/server.c | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 0a5a222e171958a13d66a28b8c2269c609838d2d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Sep 3 14:19:40 2019 +0200

    Fix python multi-version builds on jessie and stretch
    
    debian/rules supposed that lasso Makefile would always prefer python2 to
    python3, it's not the case anymore. Also recent python3 improvements to
    bindings scripts did not work with python 3.5 on jessie (on jessie/3.5
    default open() encoding is still ASCII not UTF-8 as with the default
    UTF-8 of later python3 versions).

 bindings/bindings.py | 14 ++++++++++----
 debian-jessie/rules  | 34 ++++++++++------------------------
 debian-stretch/rules | 38 ++++++++++++--------------------------
 3 files changed, 32 insertions(+), 54 deletions(-)

commit 18cc55d7735756f03180d95bb8ae87767634cbee
Author: Thomas NOEL <tnoel@entrouvert.com>
Date:   Tue Aug 27 11:03:58 2019 +0200

    docs/xsltproc: do not use Internet to fetch DTDs, entities or documents (#35590)

 docs/lasso-book/figures/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3b72ad847c813fc4d2c3f63786810d6d1cca5416
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Jul 4 16:12:42 2019 +0200

    fix missing include <strings.h> for index() (fixes #33791)
    
    tests/basic_tests.c:2141:7: warning: implicit declaration of function 'index' [-Wimplicit-function-declaration]
      qs = index(authnRequestUrl, '?') + 1;
           ^~~~~
    tests/basic_tests.c:2141:7: warning: incompatible implicit declaration of built-in function 'index'

 tests/basic_tests.c | 1 +
 1 file changed, 1 insertion(+)

commit 1e85f1b2bd30c0d93b4a2ef37b35abeae3d15b56
Author: Dmitrii Shcherbakov <dmitrii.shcherbakov@canonical.com>
Date:   Fri Jun 28 02:36:19 2019 +0300

    PAOS: Do not populate "Destination" attribute
    
    When ECP profile (saml-ecp-v2.0-cs01) is used with PAOS binding Lasso
    populates an AuthnRequest with the "Destination" attribute set to
    AssertionConsumerURL of an SP - this leads to IdP-side errors because
    the destination attribute in the request does not match the IdP URL.
    
    The "Destination" attribute is mandatory only for HTTP Redirect and HTTP
    Post bindings when AuthRequests are signed per saml-bindings-2.0-os
    (sections 3.4.5.2 and 3.5.5.2). Specifically for PAOS it makes sense to
    avoid setting that optional attribute because an ECP decides which IdP
    to use, not the SP.
    
    Fixes Bug: 34409
    License: MIT
    Signed-off-by: Dmitrii Shcherbakov <dmitrii.shcherbakov@canonical.com>

 lasso/saml-2.0/login.c   | 18 +++++++++---------
 lasso/saml-2.0/profile.c | 10 +++++++++-
 2 files changed, 18 insertions(+), 10 deletions(-)

commit 5853fbc15024643448b407d93baf0c5b64f259bd
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jul 2 11:57:08 2019 +0200

    export symbol lasso_log (#33784)
    
    The symbol lasso_log has to be exported, otherwise Solaris run-time linker
    fails due to an unresolved symbol dependency.

 lasso/logging.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7c075657a4d64f4d8dbcd03521a0694287d5059f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jun 11 10:10:42 2019 +0200

    tests: use self-generated certificate to sign federation metadata file (#33823)
    
    Generation procedure :
    
            openssl genrsa -out rootCA.key 4096
            openssl req -x509 -new -nodes -key rootCA.key -sha256 -days 99999 -out rootCA.crt
            openssl genrsa -out lasso.key 2048
            openssl req -new -sha256 -key lasso.key -subj "/C=FR/CN=Lasso" -out lasso.csr
            openssl x509 -req -in lasso.csr -CA rootCA.crt -CAkey rootCA.key -CAcreateserial -out lasso.crt -days 99999 -sha256
            openssl pkcs12 -export -inkey lasso.key -password pass: -in lasso.crt -name lasso -out lasso.pkcs12
            xmlsec1 --sign --output renater.xml --trusted-pem rootCA.crt --pwd "" --pkcs12 lasso.pkcs12 metadata/renater-metadata.xml
            xmlsec1 --verify --trusted-pem rootCA.crt metadata/renater-metadata.xml

 tests/basic_tests.c                                |  13 +---
 tests/data/lasso.crt                               |  23 +++++++
 tests/data/lasso.csr                               |  15 +++++
 tests/data/lasso.key                               |  27 ++++++++
 tests/data/lasso.pkcs12                            | Bin 0 -> 2664 bytes
 .../data/metadata/metadata-federation-renater.crt  |  15 -----
 tests/data/metadata/renater-metadata.xml           |  69 +++++++++++++--------
 tests/data/rootCA.crt                              |  32 ++++++++++
 tests/data/rootCA.key                              |  51 +++++++++++++++
 tests/data/rootCA.srl                              |   1 +
 10 files changed, 192 insertions(+), 54 deletions(-)

commit b0fb24c95150c2f4f8eb681fcd9a9f3d7fb2a566
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu May 23 10:02:33 2019 +0200

    Do not ignore WantAuthnRequestSigned value with hint MAYBE (fixes #33354)
    
    Bug introduced in commit 394680712.

 lasso/saml-2.0/login.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 16aa8a74130b3d175c8c547a3c8ba38d5526cce1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Jan 11 16:07:41 2019 +0100

    Use io.open(encoding=utf8) in extract_symbols/sections.py (fixes #33360)

 lasso/extract_sections.py | 6 +++---
 lasso/extract_symbols.py  | 3 ++-
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 151ad17e0422f77efe3d55038398a510364b850e
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Jan 7 11:10:10 2019 +0100

    xml: adapt schema in saml2:AuthnContext (#29340)
    
    saml2:AuthnContext XML schema indicate that AuthenticatingAuthority is
    an optional unbounded list of nodes, but the current Lasso schema only
    handle an unique element. To prevent Lasso from refusing perfectly legal
    messages, we add a rule to the Lasso ignoring other nodes after the
    first one.

 lasso/xml/saml-2.0/saml2_authn_context.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 642182bdf49c9c93a86b093ad7335c8a7a5ae8cc
Author: John Dennis <jdennis@redhat.com>
Date:   Wed Jan 9 17:23:09 2019 -0500

    Fix ECP signature not found error when only assertion is signed (#26828)
    
    With a SAML Authn Response either the message or the assertion
    contained in the response message or both can be signed. Most IdP's
    sign the message. This fixes a bug when processing an ECP authn
    response when only the assertion is signed.
    
    lasso_saml20_profile_process_soap_response_with_headers() performs a
    signature check on the SAML message. A signature can also appear on
    the assertion which is checked by
    lasso_saml20_login_process_response_status_and_assertion() The problem
    occurred when the message was not signed and
    lasso_saml20_profile_process_soap_response_with_headers() returned
    LASSO_DS_ERROR_SIGNATURE_NOT_FOUND as an error code which is not
    actually an error because we haven't checked the signature on the
    assertion yet. We were returning the first
    LASSO_DS_ERROR_SIGNATURE_NOT_FOUND error when in fact the subsequent
    signature check in
    lasso_saml20_login_process_response_status_and_assertion() succeeded.
    
    The ECP unit tests were enhanced to cover these cases.
    
    The enhanced unit test revealed a problem in two switch statements
    operating on the return value of
    lasso_profile_get_signature_verify_hint() which were missing a case
    statement for LASSO_PROFILE_SIGNATURE_VERIFY_HINT_FORCE which caused
    an abort due to an unknown enumeration value.
    
    Fixes Bug: 26828
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 lasso/saml-2.0/login.c    | 29 +++++++++-----
 lasso/saml-2.0/profile.c  |  2 +
 tests/login_tests_saml2.c | 97 ++++++++++++++++++++++++++++++++++++-----------
 3 files changed, 95 insertions(+), 33 deletions(-)

commit 580aca65b12255d8672eae1e373396bf54460960
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Oct 15 11:27:09 2018 +0200

    extract_types.py: force io to use UTF-8 encoding (fixes #27332)

 lasso/extract_types.py | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 14febd3c5f693c928b5f99eb83bc9a2385f4d176
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Oct 14 20:40:55 2018 +0200

    add Jenkinsfile

 Jenkinsfile | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit 5070a06a9a7256ea66a49b534f734abc79ac100e
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Sep 4 10:42:13 2018 +0200

    xml: fix parsing of saml:AuthnContext (fixes #25640)
    
    Decl/DeclRef are alternatives, when matching a Decl we should jump over
    the DeclRef.

 lasso/xml/saml-2.0/saml2_authn_context.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 50b5cdac871e9af45b10cf8a548c1d1db290dfeb
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jul 24 12:38:26 2018 +0200

    Remove -Werror from --enable-debugging (fixes #24771)
    
    GCC 8 has better warnings and it breaks the build on platform already
    using it and wanting debugging symbols.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 62d2f4bff71d876b1768ca0d96cb000c9cbcabd3
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jul 24 12:37:50 2018 +0200

    Move AC_SUBST declaration for AM_CFLAGS with alike (#24771)
    
    Just to reorder things properly in configure.ac.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 150de26bffa4dbf3bd4568a34f5a84ec4ae4efd6
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jul 24 11:29:28 2018 +0200

    Clean python cache when building python3 binding
    
    Python3 store .pyc cache in hidden directory __pycache__, distcheck
    complained that the source directory was not completely clean after a
    distclean.

 bindings/python/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 28d3705d5a6e9b649e7aa16324b17e1a2727781b
Author: John Dennis <jdennis@redhat.com>
Date:   Sat Jul 7 10:59:32 2018 -0400

    Configure should search for versioned Python interpreter.
    
    Following the guidelines in Python PEP 394 with regards to the python
    command on UNIX like systems preference should be given to explicitly
    versioned command interpreter as opposed to unversioned and that an
    unversioned python command should (but might not) refer to
    Python2. Also in some environments unversioned Python interpreters
    (e.g. /usr/bin/python) do not even exist, onlyh their explicitly
    versioned variants are (e.g. /usr/bin/python2 and /usr/bin/python3).
    
    Therefore the AC_CHECK_PROGS directive in configure.ac should not rely
    exclusively on an unversioned Python interpreter as it does not,
    rather it should search in priority order. First for python3, then for
    an unversionsed python because some distributions have already moved
    the default unversioned python to python3, and then finally search for
    python2. In the scenario where unversioned python is still pointing to
    python2 it's equivalent to selecting the last prority option of
    python2, but if unversioned python is pointing to python3 you get
    instead. The net result is always preferring python3 but gracefully
    falling back to python2 not matter how the environment exports it's
    Python.
    
    If AC_CHECK_PROGS for python does not check for the versioned variants
    the build fails in environments that only have versioned variants with
    this error:
    
    configure: error: Python must be installed to compile lasso
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d9d58d52c5daf7315e3b28968b94761298ba0ec
Author: John Dennis <jdennis@redhat.com>
Date:   Mon Jun 25 18:52:16 2018 -0400

    Make more Python scripts compatible with both Py2 and Py3
    
    While porting other Python code in the repo to run under Py3 (as well
    as Py2) it was discovered there were a number of other Python scripts
    which also needed porting. However these scripts are never invoked
    during a build so there was no easy way to test the porting work. I
    assume these scripts are for developers only and/or are
    historical. Because there was no way for me to test the porting
    changes on these scripts I did not want to include the changes in the
    patch for the Py3 porting which fixed scripts that are invoked during
    the build (the former patch is mandatory, this patch is optional at
    the moment). I did verify the scripts compile cleanly under both Py2
    and Py3, however it's possible I missed porting something or the error
    does not show up until run-time.
    
    Examples of the required changes are:
    
    * Replace use of the built-in function file() with open().  file()
      does not exist in Py3, open works in both Py2 and Py3.  The code was
      also modified to use a file context manager (e.g. with open(xxx) as
      f:). This assures open files are properly closed when the code block
      using the file goes out of scope. This is a standard modern Python
      idiom.
    
    * Replace all use of the print keyword with the six.print_()
      function, which itself is an emulation of Py3's print function. Py3
      no longer has a print keyword, only a print() function.
    
    * The dict methods .keys(), .values(), .items() no longer return a
      list in Py3, instead they return a "view" object which is an
      iterator whose result is an unordered set. The most notable
      consequence is you cannot index the result of these functions like
      your could in Py2 (e.g. dict.keys()[0] will raise a run time
      exception).
    
    * Replace use of StringIO.StringIO and cStringIO with
      six.StringIO. Py3 no longer has cStringIO and the six variant
      handles the correct import.
    
    * Py3 no longer allows the "except xxx, variable" syntax, where
      variable appering after the comma is assigned the exception object,
      you must use the "as" keyword to perform the variable assignment
      (e.g. execpt xxx as variable)
    
    * Python PEP 3113 removed tuple parameter unpacking. Therefore you can
      no longer define a formal parameter list that contains tuple
      notation representing a single parameter that is unpacked into
      multiple arguments.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 bindings/php5/php_code.py              |  7 +++--
 bindings/php5/wrapper_source.py        |  5 ++--
 bindings/python/tests/XmlTestRunner.py | 19 ++++++------
 bindings/python/tests/tests.py         | 19 ++++++------
 docs/lasso-book/check-functions.py     | 24 +++++++--------
 lasso/extract_sections.py              | 19 ++++++------
 tests/integration/saml2/__init__.py    | 14 +++++----
 tools/api.py                           | 20 ++++++-------
 tools/check-lasso-sections.py          | 16 ++++++----
 tools/format-suppressions.py           |  9 +++---
 tools/generate_idwsf2_classes.py       | 29 ++++++++++---------
 website/convert-to-static.py           | 53 ++++++++++++++++++++++------------
 website/ezt.py                         | 14 ++++-----
 13 files changed, 139 insertions(+), 109 deletions(-)

commit a76390813a7bcd17313c99ddf2ec0f93d6e0000a
Author: John Dennis <jdennis@redhat.com>
Date:   Mon Jun 25 18:04:18 2018 -0400

    Downcase UTF-8 file encoding name
    
    Python and Emacs (and others?) recognize a special directive line in a
    file that identifies what encoding the file is encoded in. See Python
    PEP 263. For example:
    
    The general form of the directive is:
    
    where xxx is the name of a codec. Python codec names are lower case
    with underscores used to seperate words.
    
    In both Python and Emacs one can create aliases for the codecs so you
    can use an alternate name to refer to the same codec.
    
    Python is forgiving with respect to case, underscore and
    hyphens. Python will automatically create an alias for a codec name by
    downcasing it and replacing hyphens with underscores, thus "UTF-8" is
    actually an alias for the "utf_8" codec. Unfortunately emacs does not
    automatically create such aliases, although one can add aliases via a
    custom initialization file, but doing so requires every user using
    emacs to edit the files to manually create their own aliases.
    
    If you try to write a file in emacs with the "UTF-8" codec name it
    won't recognize it as "utf-8", instead you'll get errors like this:
    
      Warning (mule): Invalid coding system ‘UTF-8’ is specified
      for the current buffer/file by the :coding tag.
      It is highly recommended to fix it before writing to a file.
    
    and you must force the file to be written by responding to additional
    propmpts.
    
    This patch simply downcases the the "UTF-8" codec name to "utf-8" so
    that both Python and Emacs will accept the codec name.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 bindings/python/tests/XmlTestRunner.py  | 2 +-
 bindings/python/tests/binding_tests.py  | 2 +-
 bindings/python/tests/idwsf1_tests.py   | 2 +-
 bindings/python/tests/idwsf2_tests.py   | 2 +-
 bindings/python/tests/profiles_tests.py | 2 +-
 bindings/python/tests/tests.py          | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 2ca030352498bdef82f6496fb487be5fce8c98eb
Author: John Dennis <jdennis@redhat.com>
Date:   Mon Jun 25 17:37:45 2018 -0400

    fix duplicate definition of LogoutTestCase and logoutSuite
    
    Commit 6f617027e added a duplicate definition of the LogoutTestCase
    class containing only 1 test which shaddowed the original
    LogoutTestCase containing 4 tests. The logoutSuite variable was also
    shadowed and the allTests variable contained a duplicate of
    logoutSuite causing the 2nd definition of LogoutTestCase to be run
    twice.
    
    Not only were the original 4 tests not being run but the entire unit
    test in profiles_tests.py was failing under Python3. This is because
    the unittest code in Py3 deletes a test from it's list of tests to run
    once it's been run. The second time the logoutSuite was invoked it no
    longer contained any tests which caused an exception to be raised
    because there were no tests to be run.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 bindings/python/tests/profiles_tests.py | 34 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit 17c39c3990bd1e9e26ba005bc7879b8b7e5820b7
Author: John Dennis <jdennis@redhat.com>
Date:   Mon Jun 25 16:26:24 2018 -0400

    Make Python scripts compatible with both Py2 and Py3
    
    During the build if the Python3 interpreter is used a number of
    scripts will fail because they were never ported from Py2 to Py3. In
    general we want Python code to be compatible with both Py2 and
    Py3. This patch brings the scripts up to date with Py3 but retains
    backwards compatibility with Py2 (specifically Py 2.7, the last Py2
    release).
    
    Examples of the required changes are:
    
    * Replace use of the built-in function file() with open().  file()
      does not exist in Py3, open works in both Py2 and Py3.  The code was
      also modified to use a file context manager (e.g. with open(xxx) as
      f:). This assures open files are properly closed when the code block
      using the file goes out of scope. This is a standard modern Python
      idiom.
    
    * Replace all use of the print keyword with the six.print_()
      function, which itself is an emulation of Py3's print function. Py3
      no longer has a print keyword, only a print() function.
    
    * The dict methods .keys(), .values(), .items() no longer return a
      list in Py3, instead they return a "view" object which is an
      iterator whose result is an unordered set. The most notable
      consequence is you cannot index the result of these functions like
      your could in Py2 (e.g. dict.keys()[0] will raise a run time
      exception).
    
    * Replace use of StringIO.StringIO and cStringIO with
      six.StringIO. Py3 no longer has cStringIO and the six variant
      handles the correct import.
    
    * Py3 no longer allows the "except xxx, variable" syntax, where
      variable appering after the comma is assigned the exception object,
      you must use the "as" keyword to perform the variable assignment
      (e.g. execpt xxx as variable)
    
    Note: the modifications in this patch are the minimum necessary to get
    the build to run with the Py3 interpreter. There are numerous other
    Python scripts in the repo which need Py3 porting as well but because
    they are not invoked during a build they will be updated in a
    subsequent patch.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 .../examples/get_attributes_from_assertion.py      |  6 ++-
 bindings/python/tests/binding_tests.py             |  4 +-
 bindings/python/tests/idwsf2_tests.py              | 24 +++++-----
 lasso/build_strerror.py                            | 56 +++++++++++-----------
 4 files changed, 46 insertions(+), 44 deletions(-)

commit 87040110ed85ca2f9eb09f34d430e9ae83ad98b1
Author: John Dennis <jdennis@redhat.com>
Date:   Thu Jun 21 10:49:30 2018 -0400

    Use python interpreter specified configure script
    
    The configure script allows you to specify the python interpreter to
    use via the --with-python option. There were several places where the
    python interpreter was implicity invoked without using the specified
    version. This can create a number of problems in an environment with
    multiple python versions as is the case during the transition from
    Python 2 to Python 3. Python 2 is not compatible with Python
    3. Lasso's Python code is supposed to be compatible with both
    versions. But during the build and when running the unit tests it is
    essential the same interpreter be used consistently otherwise you can
    have problems.
    
    This patch assures whenever python is invoked it does so via the
    $(PYTHON) configuration variable.
    
    What about shebang lines (e.g #/usr/bin/python) at the top of scripts?
    Python PEP 394 (https://www.python.org/dev/peps/pep-0394/) covers
    this. Basically it says if a script is compatible only with Py2 the
    shebang should be #/usr/bin/python2, if only compatible with Py3 the
    shebang should be #/usr/bin/python3. However, if the script is
    compatible with both versions it can continue to use the
    compatible with both Py2 and Py3.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 bindings/java/Makefile.am         | 2 +-
 bindings/python/tests/Makefile.am | 3 +++
 lasso/Makefile.am                 | 2 +-
 tools/check-lasso-sections.py     | 2 +-
 4 files changed, 6 insertions(+), 3 deletions(-)

commit f33d51db53373eb1f0a6429320e9de60210d5270
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Jun 28 23:16:18 2018 +0200

    tools: set output buffer size in lasso_inflate to 20 times the input size (fixes #24853)

 lasso/xml/tools.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e3701667372568d5d990b5abd8dd23c7b0fe03c
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Jun 28 11:32:33 2018 +0200

    jenkins.sh: add a make clean to prevent previous build to break new ones

 jenkins.sh | 1 +
 1 file changed, 1 insertion(+)

commit e29de3160d71d215be51f74783006d382f366f97
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Jun 27 19:27:33 2018 +0200

    tools: fix segfault in lasso_get_saml_message (fixes #24830)
    
    We reuse the "message" local variable but we should not.
    Also fix a segfault in lasso_xmltextreader_from_message() when getting
    the length of "message" before checking if it is NULL or not.

 lasso/xml/tools.c   | 7 ++++---
 tests/basic_tests.c | 8 +++++++-
 2 files changed, 11 insertions(+), 4 deletions(-)

commit eb6e0e23b4f984d77c014d45a375b3474ced34e2
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Wed Jun 27 19:29:40 2018 +0200

    python: add a classmethod for lasso.profileGetIssuer (#24831)

 FAQ.rst                 | 6 +++---
 bindings/python/lang.py | 5 +++++
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 591acb5170571c23e9998cfce3b225d6c0a0c435
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Wed Jun 27 18:16:46 2018 +0200

    faq: fix references to lasso.profileGetIssuer (#24832)

 FAQ.rst | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9147093b673d8bba32e2e3480f8f7467fcf09293
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Fri Jun 15 22:02:47 2018 +0200

    debian: sync with debian package (#24595)

 debian-stretch/changelog                |  32 ++
 debian-stretch/compat                   |   2 +-
 debian-stretch/control                  |  18 +-
 debian-stretch/control.in               |  20 +-
 debian-stretch/{docs => liblasso3.docs} |   0
 debian-stretch/liblasso3.symbols        | 565 ++++++++++++++++++++++++++++++++
 debian-stretch/patches/series           |   0
 debian-stretch/rules                    |   7 +-
 debian-stretch/watch                    |   2 +
 9 files changed, 625 insertions(+), 21 deletions(-)

commit d8ea60e6f2019984b7b7355c27958887c9491615
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Jun 14 13:19:24 2018 +0200

    website: add news about 2.6.0 release

 website/web/news/25-release-2.6.0.xml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 796a5cb60c607a9facea26b41cd43371fa8fd1b1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed May 30 17:06:47 2018 +0200

    Release 2.6.0

 NEWS                           | 36 ++++++++++++++++++++++++++++++++++++
 configure.ac                   |  2 +-
 website/web/doap.rdf           |  4 ++++
 website/web/download/index.xml |  2 +-
 4 files changed, 42 insertions(+), 2 deletions(-)

commit 9853289bc7c4660a330af44e0f8e88097437829d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed May 30 16:50:00 2018 +0200

    perl/tests: build Makefile.perl before running the tests

 bindings/perl/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 877f9e7888c4608448c9e192379122e6a5709722
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue May 1 11:14:14 2018 +0200

    deprecate loading PEM formatted public keys in lasso_xmlsec_load_key_info
    
    Also ensure work-around bug[1] in libxmlsec 1.2.24 and 1.2.25.
    
    [1]: https://github.com/lsh123/xmlsec/issues/164

 lasso/xml/tools.c                                  | 78 ++++++++++++----------
 tests/data/idp10-512-saml2/metadata.xml            | 24 +------
 tests/data/idp11-multikey-saml2/metadata.xml       | 38 +----------
 tests/data/idp12-dsa-saml2/metadata.xml            | 47 +------------
 .../metadata.xml                                   | 46 +------------
 tests/data/idp5-saml2/metadata.xml                 | 46 +------------
 tests/data/idp6-saml2/metadata.xml                 | 46 +------------
 tests/data/idp7-saml2/metadata.xml                 | 46 +------------
 tests/data/idp9-1024-saml2/metadata.xml            | 30 +--------
 tests/data/sp10-512-saml2/metadata.xml             | 20 +-----
 tests/data/sp5-saml2/metadata.xml                  | 46 +------------
 tests/data/sp6-saml2/metadata.xml                  | 46 +------------
 tests/data/sp7-saml2/metadata.xml                  |  5 +-
 tests/data/sp7-saml2/private-key.pem               | 35 +++++++---
 tests/data/sp9-1024-saml2/metadata.xml             | 30 +--------
 tests/metadata_tests.c                             | 23 +++++++
 16 files changed, 116 insertions(+), 490 deletions(-)

commit 81a628202d2ea0da9f6466a6edb48cdd3a6757b4
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue May 1 10:51:46 2018 +0200

    add a pem-public-key runtime flag
    
    We want to deprecate support for loading PEM formatted key
    from ds:KeyValue nodes, before final removal it will have to be activated
    through a runtime flag (using LASSO_FLAG environment variable).

 lasso/debug.h | 1 +
 lasso/lasso.c | 9 +++++++++
 2 files changed, 10 insertions(+)

commit 760eb947ab5888992dff39c76b7129178fd134f1
Author: John Dennis <jdennis@redhat.com>
Date:   Tue Apr 3 19:49:31 2018 -0400

    Replace xmlSecSoap functions with lasso implementations
    
    xmlsec has removed support for SOAP. The missing xmlSecSoap* functions
    and their dependent utiliity functions were added to Lasso following
    the model of the existing xmlSec implmentations.
    
    Note: Lasso tried to accommodate both SOAP 1.1 and SOAP 1.2 but SAML2
    *only* uses SOAP 1.1 thus the SOAP 1.2 support was superfluous and
    confused matters. Therefire the SOAP 1.2 support was removed.
    
    The following new functions were added to Lasso to support SOAP:
    
    * lasso_xml_next_element_node
    * lasso_xml_get_node_ns_href
    * lasso_xml_is_element_node
    * lasso_xml_soap11_get_header
    * lasso_xml_soap11_get_body
    
    The following is the mapping from the deprecated xmlSecSoap symbols
    to the new Lasso symbols:
    
    xmlSecSoap11Ns -> LASSO_SOAP_ENV_HREF
    xmlSecGetNextElementNode -> lasso_xml_next_element_node
    xmlSecGetNodeNsHref -> lasso_xml_get_node_ns_href
    xmlSecCheckNodeName -> lasso_xml_is_element_node
    xmlSecSoap11GetHeader -> lasso_xml_soap11_get_header
    xmlSecSoap11GetBody -> lasso_xml_soap11_get_body
    
    This patch also extends the automake version support in autogen.sh to the
    current 1.16 version.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 autogen.sh                 |   5 +-
 lasso/id-wsf/wsf_profile.c |   5 +-
 lasso/xml/Makefile.am      |   1 -
 lasso/xml/private.h        |  11 ++++
 lasso/xml/tools.c          | 147 +++++++++++++++++++++++++++++++++++++++++----
 lasso/xml/xmlsec_soap.h    | 112 ----------------------------------
 6 files changed, 153 insertions(+), 128 deletions(-)

commit 39ca2d48330c8968df1a01268606ac9ab659ac51
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Apr 30 16:01:50 2018 +0200

    perl: set DESTDIR and PREFIX at Makefile's creation

 bindings/perl/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit aace9d318290e0be1209485d90de56756ed39a25
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Apr 29 20:17:27 2018 +0200

    perl: force use of the in-tree lasso when running tests (fixes #23276)

 bindings/perl/test.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 187b4b1b28cd62843612cf43594d9ad7ad4dbf65
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Apr 29 19:59:56 2018 +0200

    python: route logs for libxml2 and libxmlsec2 to their own logger

 bindings/python/wrapper_top.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a354701fae8bd35de5accba4d3f3af290126b98a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Apr 6 22:39:54 2018 +0200

    add xmlsec_soap.h to Makefile

 lasso/xml/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 3fb0d627679f4fc45b9d15ce95d01749d14d0c46
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Apr 6 17:21:00 2018 +0200

    java: stop setting a bytecode version target

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 87da2e6e1471616805c6dabaaa6e8e58890384ca
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Apr 6 15:11:03 2018 +0200

    tests: prevent crash in glib caused by abort on recursive logging
    
    The fail() function from libcheck is doing a longjump() from inside the
    logging subsystem, preventing the depth counter to be reinitialised to 0.
    (Seen with g_private_get(&g_log_depth) in a gdb session).

 tests/tests.c | 32 +++++++++++++++++++++++++++-----
 tests/tests.h |  7 +++----
 2 files changed, 30 insertions(+), 9 deletions(-)

commit 48fb1c37ecdffd614803dbff91679ef11076e079
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Apr 6 15:09:12 2018 +0200

    route logs from libxml2 and libxmlsec through GLib logging

 lasso/lasso.c       | 18 ++++++++++++------
 tests/basic_tests.c | 12 ++++++------
 tests/login_tests.c |  4 ++--
 tests/tests.h       |  8 ++++----
 4 files changed, 24 insertions(+), 18 deletions(-)

commit 6dd28b20d395f7826a2da493d7fd1b0deed441fa
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Apr 6 10:46:33 2018 +0200

    fix get_issuer and get_in_response_to

 lasso/id-ff/login.c      |  15 +++---
 lasso/id-ff/profile.c    |   8 +--
 lasso/saml-2.0/profile.c |   9 ++--
 lasso/utils.h            |  12 +++++
 lasso/xml/private.h      |   4 +-
 lasso/xml/tools.c        | 134 +++++++++++++++++++++++++++++++++--------------
 lasso/xml/xml.c          |   8 +--
 tests/basic_tests.c      |  71 +++++++++++++++++++++++++
 8 files changed, 199 insertions(+), 62 deletions(-)

commit c1bd8ca117b8c1808c425352797e25622dc53529
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Apr 6 10:45:36 2018 +0200

    fix warnings

 lasso/id-ff/lecp.c                    |  2 +-
 lasso/id-ff/login.c                   | 10 +++++-----
 lasso/id-ff/name_identifier_mapping.c |  4 ++--
 lasso/id-ff/name_registration.c       | 24 ++++++++++++------------
 lasso/saml-2.0/name_id_management.c   |  2 +-
 5 files changed, 21 insertions(+), 21 deletions(-)

commit 1d56cd1e31ce993ad17f4b4bbc31c12ffff1311f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Oct 6 10:28:22 2017 +0200

    replace use of <xmlsec/soap.h> which is deprecated (fixes #18771)

 lasso/id-wsf/wsf_profile.c |   2 +-
 lasso/xml/tools.c          |   2 +-
 lasso/xml/xmlsec_soap.h    | 112 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 114 insertions(+), 2 deletions(-)

commit 75d3a2ca460478b3026eefa97892afa608732f74
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sat Feb 10 15:53:13 2018 +0100

    debian: initialize stretch packaging with a copy of upstream debian (#21772)

 debian-stretch/changelog                | 447 ++++++++++++++++++++++++++++++++
 debian-stretch/compat                   |   1 +
 debian-stretch/control                  | 113 ++++++++
 debian-stretch/control.in               | 113 ++++++++
 debian-stretch/copyright                |  44 ++++
 debian-stretch/dirs                     |   2 +
 debian-stretch/docs                     |   2 +
 debian-stretch/liblasso-java.dirs       |   1 +
 debian-stretch/liblasso-java.install    |   2 +
 debian-stretch/liblasso-perl.install.in |   1 +
 debian-stretch/liblasso3-dev.dirs       |   2 +
 debian-stretch/liblasso3-dev.install    |   4 +
 debian-stretch/liblasso3.dirs           |   1 +
 debian-stretch/liblasso3.install        |   1 +
 debian-stretch/php5-lasso.install       |   3 +
 debian-stretch/php5-lasso.postinst      |   7 +
 debian-stretch/php5-lasso.prerm         |   7 +
 debian-stretch/php5-lasso.substvars     |   4 +
 debian-stretch/python-lasso.install     |   2 +
 debian-stretch/python3-lasso.install    |   2 +
 debian-stretch/rules                    | 199 ++++++++++++++
 debian-stretch/source/format            |   1 +
 22 files changed, 959 insertions(+)

commit 81fad67ad2058b65a3cfd7a84eac564f5cc8668c
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Sep 11 12:07:48 2017 +0200

    saml-2.0: improve support for free content inside samlp2:Extensions (fixes #18581)
    
    Four new accesors:
    
            lasso_samlp2_extensions_get_any
            lasso_samlp2_extensions_set_any
            lasso_samlp2_extensions_get_attributes
            lasso_samlp2_extensions_set_attributes
    
    The two new pseudo field are fully supported in the python binding.
    
            node = lasso.Samlp2Extensions()
            node.any = '<test>ok</test>'
            node.attributes = {'{http://entrouvert.org/}attribute1': 'value'}
            print node.dump()

 bindings/bindings.py                   |  2 +-
 bindings/overrides.xml                 |  4 ++
 bindings/python/lang.py                | 36 +++++++++----
 bindings/python/tests/binding_tests.py | 22 ++++++++
 bindings/python/wrapper_top.c          | 24 +++++----
 lasso/utils.h                          | 26 ++++++++++
 lasso/xml/saml-2.0/samlp2_extensions.c | 95 +++++++++++++++++++++++++++++-----
 lasso/xml/saml-2.0/samlp2_extensions.h |  5 +-
 8 files changed, 178 insertions(+), 36 deletions(-)

commit 51b5874c38cd703842d4b2faf644a68e1eab3133
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Nov 11 10:04:54 2016 +0100

    ignore unknown attributes from the xsi: namespace

 lasso/xml/xml.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f0733e145fe26eb9e44cbb7fe03daa56aa11bf94
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Oct 12 18:37:52 2016 +0200

    add defined for the XML namespace

 lasso/xml/strings.h | 20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

commit 804db0bbd45c7a4ce570cdfad7a81a2cb2dd5f6f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Aug 12 10:31:58 2017 +0200

    jenkins.sh: add V=1

 jenkins.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5798311da12161fbfa3011a29bb72e5e23e7d126
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Aug 4 00:51:12 2016 +0200

    fix definitions of error, critical and warning macros (fixes #12830)
    
    They all log at the DEBUG level instead of their respective levels.

 lasso/logging.h     | 12 ++++++------
 tests/login_tests.c |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

commit a69c61f41913fdd818f9d07d9a69fa299f0b64ca
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Aug 4 13:12:22 2016 +0200

    tests: convert log level as string

 tests/tests.c | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

commit fad04ed1c9718ae50ed0191c9a47cdf574798554
Author: John Dennis <jdennis@redhat.com>
Date:   Fri Jun 17 11:58:24 2016 -0400

    Fix ecp test validate_idp_list() (fixes #11421)
    
    validate_idp_list was not using the correct list elements when it
    iterated over the known_sp_provided_idp_entries_supporting_ecp list.
    It treated them as lists of strings instead of lists of
    LassoSamlp2IDPEntry.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 tests/login_tests_saml2.c | 26 ++++++++++++++++++--------
 1 file changed, 18 insertions(+), 8 deletions(-)

commit ed74f24155635beeae2312fe589366e77827be94
Author: John Dennis <jdennis@redhat.com>
Date:   Wed Jun 15 11:50:24 2016 -0400

    enable user supplied CFLAGS
    
    CFLAGS is initialized to the empty string in configure.ac, this
    effectively turned off user supplied values for CFLAGS preventing site
    specific values from being used. A further complicating factor was of
    all the user supplied values documented in Automake only CFLAGS was
    disabled allowing all other user supplied variables to take
    effect. Some variables must be coordinated (e.g. CFLAGS with LDFLAGS),
    the fact LDFLAGS was picked up from the environment but CFLAGS was
    discarded caused build failures due to incompatible combination of
    compiler and linker options.
    
    The problem was first introduced in commit: 73d9c98f "Reset CFLAGS
    when --enable-debugging is used". This patch simply removes hardcoding
    CFLAGS to the empty string and appends the debug options
    (--enable-debugging) to the existing CFLAGS.
    
    Proper use of the variables is described in the Automake documentation
    in the section "Flag Variables Ordering"
    https://www.gnu.org/software/automake/manual/html_node/Flag-Variables-Ordering.html
    
    Although the Automake documentation claims manipulating CFLAGS
    directly is improper use there are many examples of this in the
    existing configure.ac, this patch makes no attempt at addressing this
    issue, rather it makes existing usage consistent. In the particular
    case of debug flags appending to CFLAGS is probably the only valid
    solution because the debug flags must appear at the end of the list of
    flags in order to override earlier flags, CFLAGS always appears last
    in the Makefile (see above Automake doc).
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit a71e682905d9a429d43d514fa1f169ebba6bec19
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Apr 26 14:43:43 2016 +0200

    do not call xmlSecKeyDuplicate is source key is NULL

 lasso/utils.h | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f673208a622eb0bac2b1e03cd189b6a7acd3569d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Mar 11 16:25:56 2016 +0100

    fix segfault when parsed node has no namespace (#47)
    
    This bug was introduced in commit 8d06806d, the check for a correct namespace on
    head node of parsed XML fragments does not handle the case where the node has no
    namespace. Using lasso_equal_namespace() fix this.

 lasso/xml/xml.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 8d06806db6869cbc2ac8df13128d401d241c9744
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Mar 7 12:48:29 2016 +0100

    check node names in lasso_node_impl_init_from_xml() (fixes #47)

 lasso/xml/saml-2.0/saml2_name_id.c |  4 ++++
 lasso/xml/xml.c                    | 26 ++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

commit 84f1b2f601f4f16475417e2680e24c776107fe40
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Mar 7 00:14:39 2016 +0100

    tests: silence unused variable warning

 tests/login_tests_saml2.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ed88f3490001661dba2c7aca581abfce4306740
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Mar 6 17:18:29 2016 +0100

    add docstring on SHA-2 signature method enum

 lasso/xml/xml.h | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit f80d3b291160d7e7996e71b59d7bd5dd221f9260
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Mar 6 14:09:23 2016 +0100

    remove DGME specific commented out code

 lasso/xml/xml.c | 5 -----
 1 file changed, 5 deletions(-)

commit 1194b3e670c2927ce43aaff9eccd110d9642d5ba
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Mar 6 13:44:41 2016 +0100

    add support for C14N 1.1 methods and C14N withComments methods (fixes #4863)

 lasso/xml/tools.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 9525237236eef4097300d9b6e93d2178a7a72267
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Mar 4 10:38:07 2016 +0100

    Choose the Reference transform based on the chosen Signature transform (fixes #10155)
    
    i.e. if the signature use SHA2 then use SHA2 of the same strength for digesting
    references.

 lasso/xml/tools.c         | 41 +++++++++++++++++++++++++++++++++--------
 tests/login_tests_saml2.c | 45 +++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 76 insertions(+), 10 deletions(-)

commit d8e3ae85044a23424e8fcccc4af2ce7ce883ef74
Author: John Dennis <jdennis@redhat.com>
Date:   Tue Feb 23 20:00:45 2016 -0500

    add inline implementation of lasso_log
    
    lasso_log is a private function of lasso and as such cannot be
    referenced by the loader.
    
    This is equivalent to commit e0bda691 in the PHP binding which
    exhibited the same problem.
    
    lasso_log is referenced in jobject_to_gobject() because of
    lasso_assign_gobject macro, which includes the lasso_release_gobject
    macro which invokes the message macro which expands to lasso_log.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 bindings/java/wrapper_top.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit c62ad0047eafb6eaaf1370fea6f35214cc85e02e
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 18 23:45:39 2016 +0100

    Release 2.5.1

 ChangeLog                             | 975 +++++++++++++++++++++++++++++++++-
 NEWS                                  |  26 +-
 configure.ac                          |   2 +-
 website/web/doap.rdf                  |   4 +
 website/web/download/index.xml        |   2 +-
 website/web/news/24-release-2.5.1.xml |  15 +
 6 files changed, 1019 insertions(+), 5 deletions(-)

commit 5e799c389807137ec4b62f86195d03c4657060ef
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 18 23:58:13 2016 +0100

    fix warning about INCLUDES directive

 lasso/xml/ecp/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 022375809ae8e69ab9f1c8d3048c54a271b7e066
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 18 23:06:17 2016 +0100

    bindings/php5: fix enum getters and setters (fixes #10032)
    
    enumeration type were being wrongly interpreted as objects types because
    is_object() was used instead of the local specialisation done in
    PhpCode.is_object().
    
    Also fix docstring of getters/setters.

 bindings/php5/php_code.py | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

commit 74e8705b57b6fd5972f28c646d84087c8011bb54
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 18 22:52:18 2016 +0100

    tools.c: use correct NID and digest length when building RSA signature using SHA-2 digest (fixes #10019)
    
    Thanks to Brett Gardner for the bug report and patch.
    
    Licence: MIT

 lasso/xml/tools.c | 26 +++++++++++++++++++-------
 1 file changed, 19 insertions(+), 7 deletions(-)

commit 675858f43cfc33216e6b7b9c8a62b826a8a1ef4a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Jan 13 09:50:18 2016 +0100

    Fix wrong snippet type (fixes #9616)
    
    In elements samlp2:RequestedAuthnContext, Comparison is an attribute, not a text
    child node.

 lasso/xml/saml-2.0/samlp2_requested_authn_context.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e0afa0b99587f0721f69849304a6fa2b2b9911eb
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Mon Jan 11 09:15:27 2016 +0100

    perl: remove quotes from $PERL -V::ccflags: output (#9572)

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e78d90d5476322a0c4914bbbe5e5092c59db034
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Nov 25 04:13:58 2015 +0100

    tests: update valgrind suppressions

 tests/valgrind/glib.supp    | 15 +++++++++++++++
 tests/valgrind/lasso.supp   | 13 +------------
 tests/valgrind/openssl.supp | 22 ++++++++++++++++++++++
 3 files changed, 38 insertions(+), 12 deletions(-)

commit 89ba752aa5fa41de4b1bf76a5c334ec4c1fbb35b
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Nov 25 04:15:05 2015 +0100

    tests: fix leak

 tests/basic_tests.c | 1 +
 1 file changed, 1 insertion(+)

commit 6b88c5b946c8c6aa4cbe02d7f8b8a9ae0c792a6d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Nov 25 04:14:17 2015 +0100

    saml-2.0: fix leaks of url

 lasso/saml-2.0/login.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 56c9fb65e811204af0276d8b4384683374b78d8d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Nov 25 03:08:58 2015 +0100

    profile: fix leak of private idp_list field

 lasso/id-ff/profile.c | 1 +
 1 file changed, 1 insertion(+)

commit 3c2f30d2fe07300b25979c42fad985ba95cc1758
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Nov 25 03:08:38 2015 +0100

    xml: fix leak in lasso_soap_envelope_new_full

 lasso/xml/soap-1.1/soap_envelope.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 882e8e21f8128ee754682d1c4489c4f3fb4697b6
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Nov 24 19:32:09 2015 +0100

    xml: fix wrong termination of comment

 lasso/xml/strings.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd515cb82c0b959c8519dae2de303c8e238626d1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Nov 24 19:29:43 2015 +0100

    tests: fix leaks in test_ecp

 tests/login_tests_saml2.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ab7c12e1634e5c8a1f9ccae0d53aef894e21ca41
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Nov 24 19:22:18 2015 +0100

    saml-2.0: fix leak of message_id in lasso_profile_saml20_build_paos_request_msg

 lasso/saml-2.0/profile.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 7ecf6c18678d55425ab3a2053ba70bebe9814497
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Nov 24 19:19:18 2015 +0100

    id-ff: fix leak of profile->private_data->message_id

 lasso/id-ff/profile.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5d77950b4cc2d86ce6d0919faa74883d9a5b2508
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Nov 24 19:17:06 2015 +0100

    tests: fix leak in test test16_test_get_issuer

 tests/basic_tests.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9bf43a8ea582d290d10ad5beba41aa511979770f
Author: Rob Crittenden <rcritten@redhat.com>
Date:   Mon Oct 19 13:48:40 2015 -0400

    Set NotBefore in SAML 2.0 login assertions
    
    License: MIT
    Signed-off-by: Rob Crittenden <rcritten@redhat.com>

 lasso/saml-2.0/login.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit eadc660d35e14eba9d3a9c199f10cc293857b747
Author: John Dennis <jdennis@redhat.com>
Date:   Thu Oct 15 11:32:50 2015 -0400

    Add missing urn constants used in PAOS HTTP header
    
    The new OASIS "SAML V2.0 Enhanced Client or Proxy Profile Version 2.0"
    specification added new options that can appear in the PAOS HTTP header.
    
    Section 2.3.1 enumerates the following URN options which can appear
    in the PAOS HEADER:
    
    urn:oasis:names:tc:SAML:protocol:ext:channel-binding
    urn:oasis:names:tc:SAML:2.0:cm:holder-of-key
    urn:oasis:names:tc:SAML:2.0:profiles:SSO:ecp:2.0:WantAuthnRequestsSigned
    urn:oasis:names:tc:SAML:2.0:conditions:delegation
    
    Of these only the holder-of-key was previously defined in Lasso,
    this patch adds the other 3 constants.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 lasso/xml/saml-2.0/saml2_strings.h |  9 +++++++++
 lasso/xml/strings.h                | 10 ++++++++++
 2 files changed, 19 insertions(+)

commit eaabf4c611efa14bb8615ec51169716df967e445
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Sep 2 10:59:17 2015 +0200

    Release 2.5.0

 NEWS                                  | 26 ++++++++++++++++++++++++++
 configure.ac                          |  2 +-
 website/web/doap.rdf                  |  4 ++++
 website/web/download/index.xml        |  2 +-
 website/web/news/23-release-2.5.0.xml | 15 +++++++++++++++
 5 files changed, 47 insertions(+), 2 deletions(-)

commit 959ad0eadf6cf68ce7189f3ded16460cfadb34b6
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Sep 2 16:19:58 2015 +0200

    remove errors.c, it breaks computation of version from tags

 lasso/errors.c | 406 ---------------------------------------------------------
 1 file changed, 406 deletions(-)

commit 0099e845ec3624bdcd483dfd30fdccec3e3f6e6c
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Sep 2 11:54:50 2015 +0200

    java: fix AllJunitTests generation when building out of source directory

 bindings/java/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d4c940ac115424726ef184dbad15f57827f6aa9
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Sep 1 18:04:46 2015 +0200

    Revert "Add messageID and idp_list to profile properties"
    
    This reverts commit b10c48058ed5942b135712f46888e0697fb593ff.

 lasso/id-ff/profile.h | 7 -------
 1 file changed, 7 deletions(-)

commit 247b69b1cf4252ce4e5dc4081d60d8d6f7128298
Author: John Dennis <jdennis@redhat.com>
Date:   Tue Aug 18 13:36:40 2015 -0400

    fix test08_lasso_key test failure
    
    Note: the rest of this message is formatted as reStructuredText (rst).
    
    Test Failure
    ============
    
    The unit tests run by "make check" fail with the following error:
    
    ::
    
        tests.c:61:F:Lasso keys:test08_lasso_key:0: No logging output expected: message «ID _E3F8E9116EE08F0E2607CF9789649BB4 already defined
        » was emitted for domain «Lasso» at the level «128»
    
    This is not a regression in Lasso, rather the failure is caused by one
    of the components Lasso is dependent upon. It was first observed when
    the identical Lasso package was built in Fedora 22, no problems were
    observed in Fedora 21. This implies one or more updated components in
    Fedora 22 is the cause.
    
    This was a particularity difficult error to track down, first one had
    to identify who was emitting the message and on what file descriptor
    (stream) and who was triggering on the message emission and causing a
    check failure. The obvious assumption the check library was
    responsible for detecting the message emission and failing the test is
    wrong.
    
    Who is emitting the message and why?
    ------------------------------------
    
    The message is emitted by libxml2 in the function `xmlAddID()`
    (valid.c:2578). It occurs at the end of xmlAddID() when it detects the
    ID (which is supposed to be unique to the document is already defined,
    which for valid XML is illegal (violates uniquenesss constraint). The
    message emission occurs because of the code fragment
    
    ::
    
            if (xmlHashAddEntry(table, value, ret) < 0) {
        #ifdef LIBXML_VALID_ENABLED
                /*
                 * The id is already defined in this DTD.
                 */
                xmlErrValidNode(ctxt, attr->parent, XML_DTD_ID_REDEFINED,
                                "ID %s already defined\n", value, NULL, NULL);
        #endif /* LIBXML_VALID_ENABLED */
                xmlFreeID(ret);
                return(NULL);
            }
    
    Why is the message emission different between libxml2 versions?
    ---------------------------------------------------------------
    
    The change occured between libxml2 version 2.9.1 and 2.9.2 in commit
    a16eb968075a82ec33b2c1e77db8909a35b44620
    
    ::
    
        commit a16eb968075a82ec33b2c1e77db8909a35b44620
        Author: Daniel Veillard <veillard@redhat.com>
        Date:   Tue Jun 10 16:06:14 2014 +0800
    
            erroneously ignores a validation error if no error callback set
    
            Reported by Stefan Behnel
            https://bugzilla.gnome.org/show_bug.cgi?id=724903
    
        diff --git a/valid.c b/valid.c
        index aedd9d7..1e03a7c 100644
        --- a/valid.c
        +++ b/valid.c
        @@ -2633,11 +2633,8 @@ xmlAddID(xmlValidCtxtPtr ctxt, xmlDocPtr doc, const xmlChar *value,
                /*
                 * The id is already defined in this DTD.
                 */
        -   if ((ctxt != NULL) && (ctxt->error != NULL)) {
        -       xmlErrValidNode(ctxt, attr->parent, XML_DTD_ID_REDEFINED,
        -                       "ID %s already defined\n",
        -                       value, NULL, NULL);
        -   }
        +   xmlErrValidNode(ctxt, attr->parent, XML_DTD_ID_REDEFINED,
        +                   "ID %s already defined\n", value, NULL, NULL);
         #endif /* LIBXML_VALID_ENABLED */
                xmlFreeID(ret);
                return(NULL);
    
    In both versions of libxml2 the conditional complilation
    LIBXML_VALID_ENABLED is enabled by default via the configure
    script. What is different is the the requirement ctxt be
    non-NULL. Lasso invokes xmlAddID with a NULL ctxt parameter. Because
    the NULL test for ctxt is absent in libxlm2 2.9.2 the message is now
    emitted where previously it was not.
    
    Who triggers on messge emission and fails the test?
    ---------------------------------------------------
    
    This is a Lasso feature, it is not part of libcheck. In tests/tests.c
    is the following function
    
    ::
    
        void error_logger(const gchar *log_domain, GLogLevelFlags log_level,
                        const gchar *message, G_GNUC_UNUSED gpointer user_data)
        {
                fail("No logging output expected: message «%s» was emitted for domain «%s» at the level"
                                " «%d»", message, log_domain, log_level);
        }
    
    Before the test are run the error_logger function is installed as a
    glib handler
    
    ::
    
        g_log_set_default_handler(error_logger, NULL);
    
    When the message is emitted the error_logger traps it and invokes the
    libcheck (deprecated) function fail() which aborts the test case.
    
    Why does `test08_lasso_key` cause an XML validation failure?
    ------------------------------------------------------------
    
    `test08_lasso_key` invokes `lasso_key_saml2_xml_verify()` twice on the
    same XML document. Any time `lasso_key_saml2_xml_verify()` is called
    more than once the XML validation will fail on the second and
    subsequent invocations. This occurs because
    `lasso_key_saml2_xml_verify()` invokes `lasso_verify_signature()`
    passing it the node id in the `id_attr_name` parameter. Inside
    `lasso_verify_signature()` is this code fragment:
    
    ::
    
            /* Find ID */
            if (id_attr_name) {
                    id = xmlGetProp(signed_node, (xmlChar*)id_attr_name);
                    if (id) {
                            xmlAddID(NULL, doc, id, xmlHasProp(signed_node, (xmlChar*)id_attr_name));
                    }
            }
    
    Note that it unconditionally invokes `xmlAddID()`, which adds the ID
    to the set of unique element ID's in the document. But if you invoke
    `xmlAddID()` more than once with the same ID in the same document you
    violate the uniqueness constraint.
    
    The ID needs to be registered in the document because the <Reference>
    element of the <SignedInfo> may utilize an XPointer reference to the
    signed data. In it's simplest form the XPointer reference is an ID
    attribute on a node. Thus to locate the signed data referenced by the
    ID it should (must?) be in a table of ID's for the document.
    
    Simple Solution (patch)
    -----------------------
    
    The solution is simple now that the problem is understood. The ID
    should not be unconditionally added to the document, instead it should
    only be added if it's not already registered. Prior to calling
    `xmlAddID()` one should call `xmlGetID()` and test for a NULL result
    indicating the ID has not be registered previously.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/xml/tools.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 640f96c8c6c5ea313ddeb3235ddaa9823d8d81c4
Author: John Dennis <jdennis@redhat.com>
Date:   Tue Jul 14 10:20:00 2015 -0400

    add support for automake 1.15
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 autogen.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 29897506c70c08ef17527df12eee6511311a2bad
Author: John Dennis <jdennis@redhat.com>
Date:   Tue Jun 23 10:31:24 2015 -0400

    Fix coverity lasso_get_hmac_key() warning
    
    lasso_get_hmac_key() did not check return value. Now check the return
    code, emit a critical message and return early with cleanup.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/xml/tools.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit b10c48058ed5942b135712f46888e0697fb593ff
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 13:39:20 2015 -0400

    Add messageID and idp_list to profile properties
    
    ECP needs a place to store the messageID and idp_list. Normally values
    like this would located in a "context" passed to the relevant
    routines. But currently there is no such context, the closest thing to
    a context we have is the profile so we add them here in the profile
    private data using accessors. They are currently not relevant outside
    of ECP.
    
    Adds functions:
    
    lasso_profile_get_message_id()
    lasso_profile_set_message_id()
    lasso_profile_get_idp_list()
    lasso_profile_set_idp_list()
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/id-ff/profile.h | 7 +++++++
 1 file changed, 7 insertions(+)

commit 262d1dae918a3e48d068c4636517cc876f03c0af
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 16:57:49 2015 +0200

    configure.ac: move test framework detection after pkg-config detection

 configure.ac | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 911e3d279b19fcc8a5833c1e43eaebde3484b1bc
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 16:36:35 2015 +0200

    debian-jessie: add build dependency on pkg-config

 debian-jessie/control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b17576c90ea04f73c9b728b22992b3fb32f1d7d
Merge: 83f6319c dc7374e9
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 16:35:56 2015 +0200

    Add 'debian-jessie/' from commit 'dc7374e9f41214557dd45735789a7535d6bbe681'
    
    git-subtree-dir: debian-jessie
    git-subtree-mainline: 83f6319c01ef633fe17625d9ec8d15f1f9dbfc36
    git-subtree-split: dc7374e9f41214557dd45735789a7535d6bbe681

commit 83f6319c01ef633fe17625d9ec8d15f1f9dbfc36
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 16:18:33 2015 +0200

    bindings/java: fix test script generation

 bindings/java/Makefile.am | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 964530aacaa272ecf4aad72494b574f4ab3c26c3
Author: John Dennis <jdennis@redhat.com>
Date:   Fri Jun 5 07:51:38 2015 -0400

    add ECP unit test
    
    Test ECP.
    3 different variations of the SP provided IDP List are exercised.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 tests/login_tests_saml2.c | 385 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 385 insertions(+)

commit 9a2f8d404e659df76ef91ce80e762ccdc2590f2b
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 14:04:32 2015 -0400

    Implement PAOS request and response messages
    
    Re-implement lasso_profile_saml20_build_paos_request_msg() and
    lasso_saml20_login_process_paos_response_msg() to use the
    functionality introduced by earlier patches and to assure they are
    functionally complete.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/saml-2.0/login.c   | 68 ++++++++++++++++++++++++++++++++++++++++++++++--
 lasso/saml-2.0/profile.c | 37 +++++++++++++++++++++-----
 2 files changed, 97 insertions(+), 8 deletions(-)

commit 43bcc8cddfca9b325b719e17c033b4ecc40eebd6
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 13:39:20 2015 -0400

    Add messageID and idp_list to profile properties
    
    ECP needs a place to store the messageID and idp_list. Normally values
    like this would located in a "context" passed to the relevant
    routines. But currently there is no such context, the closest thing to
    a context we have is the profile so we add them here in the profile
    private data using accessors. They are currently not relevant outside
    of ECP.
    
    Adds functions:
    
    lasso_profile_get_message_id()
    lasso_profile_set_message_id()
    lasso_profile_get_idp_list()
    lasso_profile_set_idp_list()
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/id-ff/profile.c        | 70 ++++++++++++++++++++++++++++++++++++++++++++
 lasso/id-ff/profile.h        |  7 +++++
 lasso/id-ff/profileprivate.h |  2 ++
 3 files changed, 79 insertions(+)

commit bdecdc248c337bd53b70a486b326e1d2d4e08d2c
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 13:30:23 2015 -0400

    ECP and PAOS special handling
    
    ECP does not require an SP to know the remote IdP provider. Existing
    code made the assumption the remote provider always was
    necessary. Determination and setting of the remote consumer URL is
    different in the presence of ECP. Rework the logic to reflect
    differing requirements.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/id-ff/login.c      | 17 +++++++--
 lasso/saml-2.0/login.c   | 30 ++++++++++++----
 lasso/saml-2.0/profile.c | 90 ++++++++++++++++++++++++++----------------------
 3 files changed, 87 insertions(+), 50 deletions(-)

commit 4544ea9e9d5dc81c856e0f0d3a090882149fe912
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 12:42:52 2015 -0400

    Add function to set protocol conformance
    
    Lasso uses an internal private variable bound to the provider to
    indicate which protocol the provider is servicing. It is vital this
    value be correctly set because many Lasso routines used it to dispatch
    to the appropriate protocol handlers.
    
    Normally the provider's protocol conformance is set as a side-effect
    of parsing the XML metadata that describes the provider (e.g. an SP or
    IdP). However there are some providers (e.g. an ECP client) which do
    not have metadata. For providers lacking metadata it is essential
    there be a mechanism to set the protocol conformance otherwise the
    library will malfunction.
    
    The function comes with documentation that includes a clear warning
    this is to be used only in limited circumstances.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 docs/reference/lasso/lasso-sections.txt |  1 +
 lasso/id-ff/provider.c                  | 26 ++++++++++++++++++++++++++
 lasso/id-ff/provider.h                  |  3 +++
 3 files changed, 30 insertions(+)

commit 1c31736dedcf19193347061156cba2e6ff90cd4e
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 12:09:14 2015 -0400

    Implement ECP client functionality
    
    Implement everything needed to support a SAMLv2 ECP client.
    
    Re-implement lasso_ecp_process_authn_request_msg() and
    lasso_ecp_process_response_msg() to use the Lasso XML serialization
    subsystem with the ECP and PASO LassoNode's introduced earlier. This
    replaces one-off explicit direct use of the libxml API with Lasso
    common code. In the process provide support for 100% of the ECP and
    PAOS SAMLv2 parameters, not just a subset. Include support for
    receiving an IDPList from the SP in conjuction with selecting an IdP
    known to the ECP client. Add extensive documentation.
    
    Modify LassoSamlp2AuthnRequest to preserve it's original XML (enable
    keep_xmlnode flag) so that when serializing the SOAP request the
    LassoSamlp2AuthnRequest received from the SP is exactly duplicated.
    
    Add the following internal static utility functions:
    
    is_provider_in_sp_idplist()
    is_idp_entry_in_entity_id_list()
    intersect_sp_idplist_with_entity_id_list()
    
    Add the following exported utility functions:
    
    lasso_ecp_is_provider_in_sp_idplist()
    lasso_ecp_is_idp_entry_known_idp_supporting_ecp()
    lasso_ecp_set_known_sp_provided_idp_entries_supporting_ecp()
    lasso_ecp_has_sp_idplist()
    lasso_ecp_get_endpoint_url_by_entity_id()
    lasso_ecp_process_sp_idp_list()
    
    Add the following members to the ECP class:
    
    message_id
    response_consumer_url
    relaystate
    issuer
    provider_name
    is_passive
    sp_idp_list
    known_sp_provided_idp_entries_supporting_ecp
    known_idp_entity_ids_supporting_ecp
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 docs/reference/lasso/lasso-sections.txt   |   6 +
 lasso/saml-2.0/ecp.c                      | 844 +++++++++++++++++++++++++-----
 lasso/saml-2.0/ecp.h                      |  25 +-
 lasso/saml-2.0/ecpprivate.h               |   3 +-
 lasso/xml/saml-2.0/samlp2_authn_request.c |   1 +
 5 files changed, 749 insertions(+), 130 deletions(-)

commit 75b0284c8e53307b951da1afb271b5e1ba760037
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 10:28:24 2015 -0400

    Clean up ECP and PAOS XML generation
    
    Re-implement lasso_node_export_to_ecp_soap_response() and
    lasso_node_export_to_paos_request(). Add new function
    lasso_node_export_to_paos_request_full() with full functionality which
    deprecates lasso_node_export_to_paos_request().
    
    The existing code had two significant deficiencies, it performed
    explicit direct xml manipulation using the libxml API rather than
    calling into Lasso's extensive XML utilities, this was in stark
    contrast the rest of the Lasso library. It also failed to handle a
    number of ECP parameters leaving a functionality gap in the API.
    
    The new code makes use of the Lasso XML serialization
    subsystem. Rather than hand crafted xml manipulation we use the ECP
    and PAOS LassoNode objects introduced in an earlier patch. This is
    consistent with the rest of Lasso and because those LassoNodes are
    used elsewhere we have a better guarantee of robustness because the
    same common code is being called from multiple places. Other Lasso
    common utilities (some introduced in previous patches) are invoked
    instead of handcrafted xml manipulation, once again common code is
    preferred.
    
    Finally lasso_node_export_to_paos_request_full() was introduced to
    expose in the Lasso API all ECP
    parameters. lasso_node_export_to_paos_request() now trivially calls
    into lasso_node_export_to_paos_request_full().
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 docs/reference/lasso/lasso-sections.txt |   1 +
 lasso/xml/xml.c                         | 162 ++++++++++++++------------------
 lasso/xml/xml.h                         |   8 ++
 3 files changed, 82 insertions(+), 89 deletions(-)

commit 6102c73fd7237964cab3c86fd2804f9cdf798f64
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 09:35:28 2015 -0400

    Server utility returns list of providers supporting endpoint type
    
    Add lasso_server_get_filtered_provider_list() utility.
    
    Iterate over the server providers and build a list of provider EntityID's who
    have the specified role and at least one endpoint matching the
    protocol_type and http_method. Return a GList list of EntityID's
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 docs/reference/lasso/lasso-sections.txt |  1 +
 lasso/id-ff/server.c                    | 57 +++++++++++++++++++++++++++++++++
 lasso/id-ff/server.h                    |  4 +++
 3 files changed, 62 insertions(+)

commit 237b7424bd596d3ffc9f5b53ea069eee5709cd93
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 09:26:35 2015 -0400

    Add server utility lasso_server_get_endpoint_url_by_id()
    
    Locate the provider in the server's list of providers, then select an
    endpoint given the @endpoint_description and return that endpoint's URL.
    If the provider cannot be found or if the provider does not have a
    matching endpoint NULL will be returned.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 docs/reference/lasso/lasso-sections.txt |  1 +
 lasso/id-ff/server.c                    | 28 ++++++++++++++++++++++++++++
 lasso/id-ff/server.h                    |  3 +++
 3 files changed, 32 insertions(+)

commit 41d771c62817c42d088e3b5338446d1b19344dd7
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 08:32:54 2015 -0400

    Add ECP and PAOS to prefix_from_href_and_nodename()
    
    prefix_from_href_and_nodename() did not know about the ECP and PAOS
    XML prefixes so add them.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/xml/xml.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a7a54cabad24e2d4388b633eb7a8166c793960aa
Author: John Dennis <jdennis@redhat.com>
Date:   Thu May 28 08:14:35 2015 -0400

    Export LassonNode to SOAP with arbitrary SOAP headers
    
    Add function lasso_node_export_to_soap_with_headers()
    
    Utility function to build a full SOAP envelope message with arbitrary
    headers. The LassoNode becomes the body of the SOAP envelope. The
    headers are passed as a GList of LassoNode's and are added as header
    elements to the SOAP envelope header. This is a flexible way to build
    a SOAP envelope that contains headers without constraints on the
    headers.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 bindings/overrides.xml                  |  5 +++
 docs/reference/lasso/lasso-sections.txt |  1 +
 lasso/xml/xml.c                         | 68 ++++++++++++++++++++++++++++++++-
 lasso/xml/xml.h                         |  2 +
 4 files changed, 75 insertions(+), 1 deletion(-)

commit ad3751f2b02645165a9681907b251abef2884828
Author: John Dennis <jdennis@redhat.com>
Date:   Wed May 27 12:00:33 2015 -0400

    LassoSamlp2IDPList is not list capable
    
    LassoSamlp2IDPList is supposed to handle a list of LassoSamlp2IDPEntry
    but in fact it had no list support. Change the snippet flag
    SNIPPET_NODE to SNIPPET_LIST_NODES and add the special list comment on
    the struct member so that the binding generator knows what type of
    GList it is.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/xml/saml-2.0/samlp2_idp_list.c | 2 +-
 lasso/xml/saml-2.0/samlp2_idp_list.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9629925c1e67538bf01062ade7d07c01015b1f1c
Author: John Dennis <jdennis@redhat.com>
Date:   Wed May 27 11:09:33 2015 -0400

    Add LassoNode objects for ECP and PAOS
    
    The SAMLv2 protocol defines 5 XML types which we need to map to
    LassoNode objectes so thay can be serialized from XML and back into
    XML.
    
    ecp:RelayState
    ecp:Request
    ecp:Response
    paos:Request
    paso:Response
    
    This patch addes these 5 new LassoNode's and updates the build
    configuration to include them.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 bindings/bindings.py                    |   3 +-
 configure.ac                            |   1 +
 docs/reference/lasso/lasso-docs.sgml    |   5 +
 docs/reference/lasso/lasso-sections.txt |  35 +++++
 lasso/Makefile.am                       |   2 +
 lasso/xml/Makefile.am                   |   6 +-
 lasso/xml/ecp/Makefile.am               |  21 +++
 lasso/xml/ecp/ecp_relaystate.c          | 197 ++++++++++++++++++++++++++++
 lasso/xml/ecp/ecp_relaystate.h          |  69 ++++++++++
 lasso/xml/ecp/ecp_request.c             | 219 +++++++++++++++++++++++++++++++
 lasso/xml/ecp/ecp_request.h             |  75 +++++++++++
 lasso/xml/ecp/ecp_response.c            | 194 ++++++++++++++++++++++++++++
 lasso/xml/ecp/ecp_response.h            |  69 ++++++++++
 lasso/xml/paos_request.c                | 221 ++++++++++++++++++++++++++++++++
 lasso/xml/paos_request.h                |  69 ++++++++++
 lasso/xml/paos_response.c               | 190 +++++++++++++++++++++++++++
 lasso/xml/paos_response.h               |  67 ++++++++++
 lasso/xml/strings.h                     |   7 +-
 18 files changed, 1443 insertions(+), 7 deletions(-)

commit 904e23d7ff6283ece15dc0dffa7a61c03cc66a07
Author: John Dennis <jdennis@redhat.com>
Date:   Tue May 26 13:13:33 2015 -0400

    Enhance process soap response to include processing soap headers
    
    The existing lasso_saml20_profile_process_soap_response() assumed
    there were no SOAP headers (prior to ECP none of the SOAP messages
    contained headers). A new function
    lasso_saml20_profile_process_soap_response_with_headers() was
    implemented that serializes from the XML SOAP headers into a
    LassoSoapHeader node and optionally will return the LassoSoapHeader
    node.
    
    The functionality in lasso_saml20_profile_process_soap_response() was
    moved into the new
    lasso_saml20_profile_process_soap_response_with_headers() and now
    lasso_saml20_profile_process_soap_response() simply calls
    lasso_saml20_profile_process_soap_response_with_headers() passing NULL
    for the header return.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/saml-2.0/profile.c        | 58 ++++++++++++++++++++++++++++++++++++++++-
 lasso/saml-2.0/profileprivate.h |  2 ++
 2 files changed, 59 insertions(+), 1 deletion(-)

commit a0909e732f3185f341e5e8e8f7ffe74bad3574e2
Author: John Dennis <jdennis@redhat.com>
Date:   Tue May 26 12:26:56 2015 -0400

    Add new LassoSoapEnvelope constructor, lasso_soap_envelope_new_full()
    
    The existing LassoSoapEnvelope constructors did not populate the node
    with it's constituent members, namely a SOAP header (LassoSoapHeader)
    and a SOAP body (LassoSoapBody). lasso_soap_envelope_new_full() allows
    one to create a SOAP envelope and immediately begin to add header and
    body elements.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 docs/reference/lasso/lasso-sections.txt |  1 +
 lasso/xml/soap-1.1/soap_envelope.c      | 55 +++++++++++++++++++++++++++++++++
 lasso/xml/soap-1.1/soap_envelope.h      |  2 ++
 3 files changed, 58 insertions(+)

commit 27f98071e7be6bf62169fa99c4d3695915243473
Author: John Dennis <jdennis@redhat.com>
Date:   Tue May 26 11:28:15 2015 -0400

    Fix LassoSoapHeader, was unable to serialize from XML.
    
    The existing Lasso code never made use of SOAP headers because up
    until now nothing used them. LassoSoapHeader was unable to serialize
    from XML into a GList of LassoNode objects because it was missing one
    of the necessary snippet flags. This corrects this omission and now
    parsing a SOAP header will yield a sequence of LassoNode's.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/xml/soap-1.1/soap_header.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a3f01cd42cce9c3c616b93e6b8695953f3c0bb73
Author: John Dennis <jdennis@redhat.com>
Date:   Mon May 25 11:35:08 2015 -0400

    Add new error codes and their matching error descriptions
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/errors.c | 22 +++++++++++++++++++
 lasso/errors.h | 68 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

commit a6014fc51b2c1723ac65afe1026feff9a8670676
Author: John Dennis <jdennis@redhat.com>
Date:   Mon May 25 11:19:53 2015 -0400

    Add lasso_is_in_list_of_strings macro to utils.h
    
    Add macro that tests to see if a string is a member in a list of
    strings.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/utils.h | 5 +++++
 1 file changed, 5 insertions(+)

commit f3849b2664bb150d0d3364fbd9e070c049751e62
Author: John Dennis <jdennis@redhat.com>
Date:   Mon May 25 11:14:39 2015 -0400

    Fix build failure, remove inclusion of xml/private.h in utils.h
    
    The public utils.h header includes the private xml/private.h file
    which is not installed. Therefore anyone trying to build against lasso
    and include utils.h will fail because xml/private.h cannot be
    found. There doesn't seem to be any need to include this file.
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/utils.h | 1 -
 1 file changed, 1 deletion(-)

commit a7f6219f5a7e6f1edc6ba4380676d7a379fe0604
Author: John Dennis <jdennis@redhat.com>
Date:   Mon May 25 11:07:03 2015 -0400

    Eliminate _BSD_SOURCE and _SVID_SOURCE deprecation warning
    
    Because all warnings are treated as errors and this warning is emitted:
    
    warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    the build fails.
    
    The fix is to define _DEFAULT_SOURCE in lasso/xml/tools.c
    
    The effect of defining the _DEFAULT_SOURCE macro is equivalent to
    the effect of explicitly defining three macros in earlier glibc
    versions: -D_BSD_SOURCE -D_SVID_SOURCE -D_POSIX_C_SOURCE=200809C
    
    Signed-off-by: John Dennis <jdennis@redhat.com>
    License: MIT

 lasso/xml/tools.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit eb6ed4f85a5bfe0a90137e673089db718001f209
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 14:27:11 2015 +0200

    configure.ac: provide fallback for systems where libcheck is not installed with pkg-config

 bindings/java/Makefile.am | 5 ++++-
 configure.ac              | 6 +++++-
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 9e5c4389a8abff06b6f2082b4528c086fc59236c
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 10:17:55 2015 +0200

    Add checks for failure of an allocation function from libxml (#8070)
    
    g_malloc always trap on allocation errors but not xmlMalloc.

 tests/tests.c | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit 9854cd50f374ba8599a4333a692b1265af952da6
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 09:52:41 2015 +0200

    xml: handle failure of xmlSecBase64Decode() (fixes #8070)
    
    Thanks to fpeters for the patch.

 lasso/xml/tools.c            |  5 ++++
 tests/non_regression_tests.c | 21 +++++++++++++++
 tests/tests.c                | 13 +++++++--
 tests/tests.h                | 63 ++++++++++++++++++++++++++++----------------
 4 files changed, 78 insertions(+), 24 deletions(-)

commit 6e8326293df3a6803eead212160e7cb16819678a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed May 28 09:08:34 2014 +0200

    FAQ: add section about getting the issuer before parsing the received message (#4378)

 FAQ.rst | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 65bc7052357f4f45dfb438cb66807d3392b364f9
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Mar 31 10:54:27 2014 +0200

    profile: add two new class methods, lasso_profile_get_issuer and lasso_profile_get_in_response_to (#4378)
    
    The goal of those two methods is to allow IdP and SP to load metadata
    dynamically without processing completely the incoming. Currently it's
    impossible as message parsing and signature checking is done in the same
    function.

 lasso/id-ff/profile.c | 115 ++++++++++++++++++++++++++++++++++++++++++++
 lasso/id-ff/profile.h |   2 +
 lasso/xml/private.h   |   2 +
 lasso/xml/tools.c     | 129 +++++++++++++++++++++++++++++++++++++++++---------
 lasso/xml/xml.h       |   1 +
 tests/basic_tests.c   |  15 ++++++
 tests/data/response-1 |   4 +-
 7 files changed, 244 insertions(+), 24 deletions(-)

commit 67d0a0349d60dffc6b017aad96577daa2b517684
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 10:24:29 2015 +0200

    configure.ac: use pkg-config for libcheck

 configure.ac | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 39468071222aecf4e95697c832870aecf8e0dd71
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Aug 24 10:24:27 2015 +0200

    saml-2.0/login.c: change default value of WantAuthnRequestSigned (fixes #8105)
    
    Specification says it should default to FALSE. We comply.

 lasso/saml-2.0/login.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit c5ec98a0180e157892d929d38ee1de8bde1d30f1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jul 19 19:33:34 2015 +0200

    Makefile.am: fix automake warning
    
    It fixes this warning:
    
            warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
    
    it seems INCLUDES is not to be used anymore.

 bindings/java/Makefile.am        | 2 +-
 bindings/perl/Makefile.am        | 2 +-
 bindings/php5/Makefile.am        | 2 +-
 bindings/python/Makefile.am      | 2 +-
 lasso/Makefile.am                | 4 ++--
 lasso/id-ff/Makefile.am          | 2 +-
 lasso/id-wsf-2.0/Makefile.am     | 2 +-
 lasso/id-wsf/Makefile.am         | 2 +-
 lasso/saml-2.0/Makefile.am       | 2 +-
 lasso/xml/Makefile.am            | 2 +-
 lasso/xml/dsig/Makefile.am       | 2 +-
 lasso/xml/id-wsf-2.0/Makefile.am | 2 +-
 lasso/xml/saml-2.0/Makefile.am   | 2 +-
 lasso/xml/soap-1.1/Makefile.am   | 2 +-
 lasso/xml/ws/Makefile.am         | 2 +-
 tests/Makefile.am                | 2 +-
 16 files changed, 17 insertions(+), 17 deletions(-)

commit 34ee3446e8aa24f8c6dbb376a70b5c8aa9294412
Merge: 80a2e0ea 33d67ddd
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Apr 3 10:01:56 2015 +0200

    Add 'debian-squeeze/' from commit '33d67ddd1352a2db97d252c7d18f7806ec91e616'
    
    git-subtree-dir: debian-squeeze
    git-subtree-mainline: 80a2e0ea4763d3f0bc611ab98c8e207b6a82c099
    git-subtree-split: 33d67ddd1352a2db97d252c7d18f7806ec91e616

commit 80a2e0ea4763d3f0bc611ab98c8e207b6a82c099
Merge: 9f99176b 0001ab9a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Apr 3 10:01:19 2015 +0200

    Add 'debian-wheezy/' from commit '0001ab9af1e3a7e19000a65b75ebc3c42f76a739'
    
    git-subtree-dir: debian-wheezy
    git-subtree-mainline: 9f99176b3c8dd2d7c9a6ebf9c619d9c7fea2b64b
    git-subtree-split: 0001ab9af1e3a7e19000a65b75ebc3c42f76a739

commit 9f99176b3c8dd2d7c9a6ebf9c619d9c7fea2b64b
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Mar 26 19:34:28 2015 +0100

    SAML-2.0: rework on commit 05fe802b8d, improve handling of ProtocolBinding and AssertionConsumerServiceURL
    
    When the same URL was used for many bindings, the current code did not
    work. Now we use
    lasso_saml20_provider_check_assertion_consumer_service_url() to validate
    url and binding are matching, if no binding is suggested we take the
    first one defined for this URL.
    
    Using AssertionConsumerServiceIndex and any of the other assertion
    consumer designator attributes is still forbidden.

 lasso/saml-2.0/login.c            | 39 +++++++++++++++++++--------------------
 tests/data/sp5-saml2/metadata.xml |  6 ++++++
 tests/login_tests_saml2.c         | 24 ++++++++++++++++++++++++
 3 files changed, 49 insertions(+), 20 deletions(-)

commit bbcee8a4801905bec8469fb0f5def44456a7ad20
Author: John Dennis <jdennis@redhat.com>
Date:   Sat Mar 21 10:57:26 2015 -0400

    Fix build failures
    
    Fix a mistake in the documentation markup that prevented the
    doc from building, needed to reverse the order of two tags.
    
    Remove the $(PYTHON) from TESTS_ENVIRONMENT, it was causing
    python to be invoked passing /bin/sh to it as a script.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 bindings/python/tests/Makefile.am | 2 +-
 lasso/id-ff/server.c              | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ec73384ccf704096daf9b9151e5c5389e047ec96
Author: John Dennis <jdennis@redhat.com>
Date:   Tue Mar 10 17:52:52 2015 -0400

    Add Destination attribute for SAML ECP Response
    
    The Destination attribute on SAML Response element was not being set
    when handling an ECP response. It is a requirement of SAML 2.0 that
    signed values contain a Destination attribute on the root element
    otherwise the client will reject the response. This is documented in
    the SAML Bindings Specification, Section 3.4.5.2 "Security
    Considerations":
    
        If the message is signed, the Destination XML attribute in the
        root SAML element of the protocol message MUST contain the URL to
        which the sender has instructed the user agent to deliver the
        message. The recipient MUST then verify that the value matches the
        location at which the message has been received.
    
    Normally on login one calls
    lasso_saml20_login_build_authn_response_msg() which then calls
    lasso_saml20_profile_build_response_msg() which sets the Destination
    attribute on the SAML Response. But when doing ECP you do not call
    lasso_saml20_login_build_authn_response_msg(), instead you call call
    lasso_saml20_login_build_response_msg() and if it's ECP it then calls
    lasso_node_export_to_ecp_soap_response(). Thus the ECP
    response never gets the Destination attribute set because of the
    different code path, plus for ECP the destination is different, it's
    the assertion consumer service.
    
    FWIW this line of code was copied almost verbatim from
    lasso_saml20_profile_build_response_msg which also sets the
    Destination attribute.
    
    License: MIT
    Signed-off-by: John Dennis <jdennis@redhat.com>

 lasso/saml-2.0/login.c | 4 ++++
 1 file changed, 4 insertions(+)

commit dc7374e9f41214557dd45735789a7535d6bbe681
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Thu Feb 26 10:29:53 2015 +0100

    php5-lasso.prerm: s/phpdismod/php5dismod/

 php5-lasso.prerm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e42b1dd7fc9ccc402ce3ec005609703bb86feefa
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Thu Feb 26 10:24:18 2015 +0100

    Merge with lasso in Jessie, re-activate java and gen-default-control.sh

 control                  | 14 +++++++
 control.in               | 98 ++++++++++++++++++++++++++++++++++++++++++++++++
 gen-default-control.sh   | 13 +++++++
 liblasso-java.dirs       |  1 +
 liblasso-java.install    |  2 +
 liblasso-perl.install.in |  3 +-
 rules                    | 51 ++++++++++++++++++++-----
 7 files changed, 170 insertions(+), 12 deletions(-)

commit 2f8ed5a0b0cc53c49a368fee7062177a95b95762
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Thu Feb 26 09:13:03 2015 +0100

    control: build depends on dh-python

 control | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0001ab9af1e3a7e19000a65b75ebc3c42f76a739
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Feb 25 19:58:57 2015 +0100

    python-lasso.install: just install python 2 files

 python-lasso.install | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5b21d1594d133e2ab57e3bed93f453c37020546a
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Feb 25 19:48:39 2015 +0100

    python-lasso.install: python-lasso is for python2 only

 python-lasso.install | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e5fb1e97a7897b38f01ea61e13284013f16e5cd2
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Feb 25 19:27:59 2015 +0100

    liblasso-perl.install.in: fixes path

 liblasso-perl.install.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e07e618fb34e4437e918aaefabacd8f3ee53d96
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Feb 25 19:13:23 2015 +0100

    rules: cleanning clean target

 rules | 6 ------
 1 file changed, 6 deletions(-)

commit 15fd447eabc06b2063932835ce051cdf82fdccc5
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Feb 25 19:11:38 2015 +0100

    perl; fix build for Jessie

 liblasso-perl.install    | 3 ---
 liblasso-perl.install.in | 2 ++
 rules                    | 6 +++++-
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 2f90b99650b16ec9d2b2e0694a81c03431c7ed1a
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Feb 25 18:17:28 2015 +0100

    remove java support

 control.in            | 97 ---------------------------------------------------
 liblasso-java.dirs    |  1 -
 liblasso-java.install |  2 --
 rules                 | 33 +-----------------
 4 files changed, 1 insertion(+), 132 deletions(-)

commit c54dbab12b8090361084e3eeac502812bd7d5319
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Feb 25 18:00:46 2015 +0100

    control: update build-dependencies for python3

 control    | 2 +-
 control.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 28faf9b25e5314a76aee268f84ed8390b202f6d7
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Feb 25 17:57:47 2015 +0100

    debian/control: like control.in, control must be updated

 control | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 945fb5b2074fcc48de66a3713d0bd4d66c9a6282
Author: EO builder bot <admin@entrouvert.com>
Date:   Wed Feb 25 16:35:19 2015 +0100

    debian: add python3 support

 control.in            | 17 +++++++++++++++--
 python3-lasso.install |  2 ++
 rules                 | 23 +++++++++++++++++++----
 3 files changed, 36 insertions(+), 6 deletions(-)

commit 2c5034d24002ce9c039ec0d6656cfab2b3baf03d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Feb 13 14:37:57 2015 +0100

    Re-add control for eobuilder

 control | 72 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

commit f817e39e3ec05e1ef368e3b413c2210498ec1845
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Feb 13 14:11:09 2015 +0100

    Remove control and add python-six to control.in

 control    | 72 --------------------------------------------------------------
 control.in |  2 +-
 2 files changed, 1 insertion(+), 73 deletions(-)

commit 5dd34825c398ac6ebb83aecc08b84ad32b1c7131
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Feb 13 10:29:38 2015 +0100

    Revert "Remove control.in"
    
    This reverts commit 176e0716f8f8593860e0603697db5dec5675f5b3.

 control.in | 84 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 84 insertions(+)

commit 47fa21b757c5a9956baf67fff4a4620fbd2ae204
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 12 23:04:01 2015 +0100

    Remove control.in

 control.in | 84 --------------------------------------------------------------
 1 file changed, 84 deletions(-)

commit ae55fc9a98ff11360311081492c70ea9975893ea
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 12 22:37:52 2015 +0100

    Add dependency on python-six

 control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 236410bf915f09003db735964fdbf7bccb518a99
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 12 19:21:01 2015 +0100

    Update AUHTORS file

 AUTHORS | 19 ++++---------------
 1 file changed, 4 insertions(+), 15 deletions(-)

commit 5730f2aa65da86bae0408e4d2a3f6e6b22ca72a6
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 12 19:19:44 2015 +0100

    Port Java binding generator to Python 3

 bindings/java/lang.py | 499 +++++++++++++++++++++++++-------------------------
 1 file changed, 250 insertions(+), 249 deletions(-)

commit cf9ae3872dd9933cc94a30dc15c7e83d3b30eb85
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 12 19:19:24 2015 +0100

    Port Perl binding generator to Python 3

 bindings/perl/lang.py | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit b73f8f3ce521361835c1dfbbb1d2de09ed513729
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Dec 3 02:02:31 2014 +0100

    Port PHP5 binding generator to Python 3

 bindings/php5/lang.py           |   6 +-
 bindings/php5/php_code.py       | 185 ++++++++++++------------
 bindings/php5/wrapper_header.py |  13 +-
 bindings/php5/wrapper_source.py | 301 ++++++++++++++++++++--------------------
 4 files changed, 254 insertions(+), 251 deletions(-)

commit a231eaff33d784b19f416f855f112c1fd0fd2b1d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Dec 3 01:22:44 2014 +0100

    Make python generator scripts and tests run with python >= 3.2

 bindings/python/lang.py                 | 15 +++++---
 bindings/python/tests/Makefile.am       |  2 +-
 bindings/python/tests/binding_tests.py  |  4 +--
 bindings/python/tests/profiles_tests.py | 14 ++++----
 bindings/python/wrapper_bottom.c        |  3 +-
 bindings/python/wrapper_top.c           | 64 +++++++++++++++++++++++++++++----
 lasso/extract_symbols.py                |  5 +--
 lasso/extract_types.py                  | 26 +++++++-------
 8 files changed, 95 insertions(+), 38 deletions(-)

commit 8938f8722022aa4d3e514b62b4af94886a31bb88
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Tue Dec 2 16:31:29 2014 +0100

    Python 3: Fix the pygobject init macro and restore it

 bindings/python/wrapper_bottom.c | 6 ------
 bindings/python/wrapper_top.c    | 3 +--
 2 files changed, 1 insertion(+), 8 deletions(-)

commit efc5429cfc8f8ee1ecc95ef9bf757b4168661bc8
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Tue Dec 2 16:31:04 2014 +0100

    Python 3: Fix a string conversion helper

 bindings/python/lang.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e325164c8a4171627841559a566029d2d9507d38
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 17:04:25 2014 +0100

    Python 3: Oops (see rev 279959f)

 bindings/python/wrapper_bottom.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4c79280ed8f68f3ec6f92741a93266dea49a5b97
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 16:53:07 2014 +0100

    Python 3: Fix Python 2 support (use six.print_)

 INSTALL                 |   4 +
 bindings/bindings.py    |  11 +-
 bindings/python/lang.py | 411 ++++++++++++++++++++++++------------------------
 3 files changed, 216 insertions(+), 210 deletions(-)

commit 32a4049cdcd4ae428c23ba6732a2080744d25dfb
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 15:12:16 2014 +0100

    Mention Python 3 support in the changelog

 ChangeLog | 4 ++++
 1 file changed, 4 insertions(+)

commit 87efa7ee5588f5d8474ed62366118ab5c9adc5a4
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 15:05:44 2014 +0100

    Python 3: Disable "PyGObjectPtrType" to avoid crashes (needs
    investigation)

 bindings/python/wrapper_bottom.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 70b9d765bcbc20d4e570a23e0ab99efa493c4afb
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 15:05:04 2014 +0100

    Python 3: Fix a string function

 bindings/python/wrapper_top.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4b1749c3ca7baafbf188539d8b96f1cd131a968
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 12:54:01 2014 +0100

    Python 3: Fix module init

 bindings/python/wrapper_bottom.c | 28 ++++++++++++++++++++++++----
 1 file changed, 24 insertions(+), 4 deletions(-)

commit e4ebeefab3791ebf665710fd5fbf3aa1313bc118
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 12:25:32 2014 +0100

    Python 3: PyObject_HEAD_INIT(NULL) -> PyVarObject_HEAD_INIT(NULL, 0)
    (to play better with C strict aliasing rules - see PEP 3123)

 bindings/python/wrapper_top.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25d2cec7abc4ee8be391dd13dd7fcd623e81408f
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 12:21:05 2014 +0100

    Python 3: Defs for int & string related functions

 bindings/python/wrapper_top.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit e5d5acf9df8d5b3cbabaa29d82ed025336fef900
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 11:46:21 2014 +0100

    Python 3:
    - file(...) -> open(...)
    - print ... -> print(...)
    - print >> fd, ... -> print(..., file=fd)
    - basestring -> str
    - map(...) -> list(map(...))

 bindings/bindings.py    |  24 +--
 bindings/python/lang.py | 462 ++++++++++++++++++++++++------------------------
 bindings/utils.py       |  14 +-
 3 files changed, 250 insertions(+), 250 deletions(-)

commit e315898e24795d9bd2df98f8930bce5635224e13
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 11:10:18 2014 +0100

    Python 3: PyObject.ob_type is deeper in the structure; use the Py_TYPE
    macro instead

 bindings/python/wrapper_top.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9137e8196697e990f426664a49028c38579d8aec
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 11:02:35 2014 +0100

    Python 3: Fix print calls in configure.ac

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit aebd959589855acf1cbaa3960f70aedda11cb0ce
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 11:02:11 2014 +0100

    Ignore some Perl binding files

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit 352ad0118f4bce37f8a28bc56050b780f27c044c
Author: Houzéfa Abbasbhay <houzefa.abba@xcg-consulting.fr>
Date:   Mon Dec 1 10:57:15 2014 +0100

    Ignore /test-driver

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 05fe802b8da581ea07f766698eab8a720e3b0a14
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Feb 12 16:35:41 2015 +0100

    SAML-2.0: Rework protocol profile selection when parsing AuthnRequest messages
    
    This commit also add tests around authn request parsing.

 lasso/saml-2.0/login.c    |  74 ++++++++++++++++++++------------
 tests/login_tests_saml2.c | 106 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 153 insertions(+), 27 deletions(-)

commit 3e597eedb9209c844eaefb3a38ec63a8f07d9e18
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Feb 9 18:53:02 2015 +0100

    Add support for SHA-2 family of hash functions for RSA and HMAC signatures

 lasso/id-ff/server.c |  25 ++++-
 lasso/xml/private.h  |   6 ++
 lasso/xml/tools.c    | 296 +++++++++++++++++++++++++++++++++++++++++++++------
 lasso/xml/xml.h      |   6 ++
 4 files changed, 302 insertions(+), 31 deletions(-)

commit 4436c0d4e434f46b3428207bc6a4dd37529cd278
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Jan 21 15:04:00 2015 +0100

    Check return value of lasso_session_add_assertion() in lasso_login_build_assertion()

 lasso/id-ff/login.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f46bc41cd7d5632eac409c7c136db5d8d6d706f4
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Jan 21 15:03:09 2015 +0100

    Remove _POSIX_SOURCE declaration as it's not needed

 lasso/saml-2.0/provider.c | 2 --
 1 file changed, 2 deletions(-)

commit f9e3d85bf6914de465262926fc0e32b1ddeef692
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Dec 8 17:41:38 2014 -0500

    Fix coverity issue about unchecked return
    
    If find_path() does not find MinorVersion, then no value is changed and
    we repeate the search with the values for thr major version.
    Check if we have found anything and if not set the minor version to 0.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/xml.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit e54e7d3474c8b447830c91b2037eab1c42ef755d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Oct 17 23:02:12 2014 +0200

    Improve top level commint in CGI script example

 examples/sp-cgi/main.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3a7173ad3be58f6518eda5abb3a754012b2cb1b4
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Fri Oct 17 22:54:10 2014 +0200

    Add simple example of a CGI service provider script written in C

 examples/sp-cgi/README      |  26 +++
 examples/sp-cgi/cert.pem    |  21 ++
 examples/sp-cgi/key.pem     |  27 +++
 examples/sp-cgi/main.c      | 526 ++++++++++++++++++++++++++++++++++++++++++++
 examples/sp-cgi/openidp.xml |  27 +++
 examples/sp-cgi/test.cgi    |   2 +
 6 files changed, 629 insertions(+)

commit 64f291c3f378a1e8b47f82d7a0f501c702160c0a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Oct 2 21:23:56 2014 +0200

    Remove dead code in the PHP5 binding

 bindings/php5/wrapper_source_top.c | 10 ----------
 1 file changed, 10 deletions(-)

commit 4ad4b673940ef72de1a62d7589cd0d86290086b1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 7 14:09:58 2014 +0200

    xml: modify xschema snippets to handle xsd:choice constructs

 lasso/xml/saml-2.0/saml2_advice.c                    |  6 +++---
 lasso/xml/saml-2.0/saml2_assertion.c                 |  6 +++---
 lasso/xml/saml-2.0/saml2_attribute_statement.c       |  2 +-
 lasso/xml/saml-2.0/saml2_authn_context.c             | 10 +++++++---
 lasso/xml/saml-2.0/saml2_conditions.c                |  6 +++---
 lasso/xml/saml-2.0/saml2_evidence.c                  | 16 +++++++++++++---
 lasso/xml/saml-2.0/saml2_subject.c                   |  8 +++++---
 lasso/xml/saml-2.0/saml2_subject_confirmation.c      |  4 ++--
 lasso/xml/saml-2.0/samlp2_logout_request.c           |  4 ++--
 lasso/xml/saml-2.0/samlp2_manage_name_id_request.c   |  6 +++---
 lasso/xml/saml-2.0/samlp2_name_id_mapping_request.c  |  4 ++--
 lasso/xml/saml-2.0/samlp2_name_id_mapping_response.c |  2 +-
 lasso/xml/saml-2.0/samlp2_requested_authn_context.c  | 10 ++++++++--
 lasso/xml/saml-2.0/samlp2_response.c                 |  5 +++--
 lasso/xml/saml_advice.c                              |  2 +-
 lasso/xml/saml_assertion.c                           |  4 ++--
 lasso/xml/saml_subject.c                             |  2 +-
 17 files changed, 60 insertions(+), 37 deletions(-)

commit a27d1686b387a045607b5f0802001ea8863342cb
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 7 09:29:58 2014 +0200

    xml: support xsd:choices by allowing to rewind or advance after match or miss of a snippet

 lasso/xml/private.h | 26 ++++++++++++++++++++++++-
 lasso/xml/xml.c     | 56 +++++++++++++++++++++++++++++++++++++++--------------
 2 files changed, 66 insertions(+), 16 deletions(-)

commit fda8ae9f8512d789c2e043f562f300c3400706ff
Author: Simo Sorce <simo@redhat.com>
Date:   Thu Jul 31 13:53:28 2014 -0400

    Fix header guard
    
    Found by clang
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/debug.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3bd2c479a036f41c50d38f639928b58463cc3bbb
Author: Simo Sorce <simo@redhat.com>
Date:   Thu Jul 31 13:42:10 2014 -0400

    Assert on missing id
    
    In this function id is required, so just assert if it is missing.
    This also silences a warning about "reference" being used unintialized
    if "id" is null.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/tools.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 23d961fe71652b59186368bf1458cf563a5ef646
Author: Simo Sorce <simo@redhat.com>
Date:   Thu Jul 31 13:36:03 2014 -0400

    Missing variable initialization
    
    If name_id s unconditonally dereferenced in the cleanup code.
    If it is not initialized it may cause segfaults or other misbehaviors.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/id-ff/session.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4989dacfa9824271300794dd75572801c5d858a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Aug 28 17:20:18 2014 +0200

    Fix release date of 2.4.1

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d95a7afcb6787c79b6d47265ab71fbfacc624f82
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Aug 28 16:01:37 2014 +0200

    Release 2.4.1

 ChangeLog                             | 42781 +++++++++-----------------------
 NEWS                                  |    12 +-
 configure.ac                          |     2 +-
 website/web/doap.rdf                  |     8 +
 website/web/download/index.xml        |     2 +-
 website/web/news/22-release-2.4.1.xml |    15 +
 6 files changed, 11886 insertions(+), 30934 deletions(-)

commit 8484e7a065835daa94ac680445c9628afb01afa7
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Aug 28 15:56:04 2014 +0200

    Add tool gitlog-to-changelog

 tools/gitlog-to-changelog | 433 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 433 insertions(+)

commit cad7b33c733e9b34b1bf930d6cfa7e3d7ed017eb
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Mon Aug 11 09:03:57 2014 +0200

    saml-2.0: set NotOnOrAfter on the Conditions element (#5248)
    
    This is actually required for interoperability with Dropbox SAML support.

 lasso/saml-2.0/login.c | 1 +
 1 file changed, 1 insertion(+)

commit fd10b952a878c0d63c5dc639c688e21bbbae345f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Aug 12 10:10:40 2014 +0200

    doc: add lasso_server_add_provider2 and lasso_server_load_metadata

 docs/reference/lasso/lasso-sections.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 8b396a04a3e82f17560bfb19b0e073a963422d88
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Mon Aug 11 10:32:29 2014 +0200

    debian: don't move perl files

 liblasso-perl.install | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 20cc7fea79be4dc0a23e22dad7eb67b95f08c4ed
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Mon Aug 11 10:11:27 2014 +0200

    debian: accomodate perl now installing in the right directory

 liblasso-perl.install | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d297c88224b799711b5e5da4cf5545b6735d7654
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Mon Aug 11 09:55:42 2014 +0200

    perl: keep on using PREFIX, required for distcheck

 bindings/perl/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b99eaee8a9a74d8b422e0b02ebe783d347f3dc1
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Mon Aug 11 09:41:36 2014 +0200

    reformat gtk-doc function comment to work with gtk-doc 1.21

 lasso/id-ff/login.c        | 6 ++++--
 lasso/id-wsf-2.0/profile.c | 3 ++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit ced1f047c2ad15389801536dbd7886116a91e543
Author: Simon Josefsson <simon@josefsson.org>
Date:   Thu Mar 15 11:53:51 2012 +0100

    fix pkg-config typo.

 docs/lasso-book/writing-a-c-sp.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f53c1aaaacb67745a7bddfc1156f774bb41c317a
Author: Niko Tyni <ntyni@debian.org>
Date:   Tue Jun 24 23:15:29 2014 +0300

    Use INSTALLDIRS=vendor for the Perl bindings, as per the Debian Perl policy
    
    Debian packaged Perl modules should be installed into the vendor
    directories (currently /usr/lib/perl5 and /usr/share/perl5), but the
    upstream default puts the into the 'site' ones (modified with the
    PREFIX setting.) Explicitly using INSTALLDIRS=vendor simplifies
    the install rules and removes the need for PREFIX, which has
    been deprecated in ExtUtils::MakeMaker for a long time.

 bindings/perl/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 875f40832b7fe58c9ce2f0ae4a0d368f4c5d32ae
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Jul 30 17:17:08 2014 +0200

    Restore not-unused code
    
    Clang was wrong on one instance, a value must be initialized to its NULL
    state before using any lasso_assign_ macro with it.
    
    Bug introduced in 4789e8d4d68eb.

 lasso/saml-2.0/profile.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d911a2092f618bb4099925667dd656e0e7bfa0bd
Author: Simo Sorce <simo@redhat.com>
Date:   Wed Jun 11 21:13:58 2014 -0400

    One more uninitialized value
    
    encode_key may be release when not initialized if va_args returns null
    on the first while loop.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/tools.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99376a3c882e222abba92669611149a3d3651d67
Author: Simo Sorce <simo@redhat.com>
Date:   Tue Jun 10 15:31:46 2014 -0400

    Fix potential null dereference errors
    
    Ina  number of cases function inputs are not checked for NULL although
    values may end up with a NULL value and then they are dereferenced
    directly.
    Check values in the function (or the caller) if appropriate.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/id-ff/provider.c   | 1 +
 lasso/saml-2.0/profile.c | 3 +++
 2 files changed, 4 insertions(+)

commit 1b955021a57ab14e930df22f538be0e582cbec1c
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 15:29:24 2014 -0400

    Do not dereference null pointers
    
    Sounds like these should all be boolean 'OR's, otherwise,
    if profile is not in fact a lasso profile then profile->private_data
    will be dereferenced even if it is NULL.
    Found by Clang
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/id-ff/profile.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cb7ea06ca587e8db2d67345ff5245981f143ed3a
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 14:09:20 2014 -0400

    Rearrange case checking to avoid compiler warnings
    
    The compiler was complaining that 'compa' could be uninitialized.
    USe this occasion to make the code simpler to understand and assign
    actually meaningful values to the variable, even though the proper
    actions are not implemented yet.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/id-ff/login.c    | 24 +++++++++++++++---------
 lasso/saml-2.0/login.c | 30 ++++++++++++++++++------------
 2 files changed, 33 insertions(+), 21 deletions(-)

commit 86bfc84ba1a424cd62cf2f59011a56aa632496c8
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 14:00:34 2014 -0400

    Properly exit on error
    
    The rc error was being set but then it was being ignored.
    Get out immediately if an Issuer can't be found.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/saml-2.0/login.c | 1 +
 1 file changed, 1 insertion(+)

commit f91f4b4b8f31700858d6069a7b10afa5054f27de
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 13:50:10 2014 -0400

    Consistently check dsig_reference_ctx
    
    Check if this is not NULL in all cases, to avoid NULL pointer dereference.
    Found by clang
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/tools.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4789e8d4d68eb4134292e7fa6d6425db91b501f8
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 13:42:19 2014 -0400

    Trim unused code
    
    Clang complains these values are never used, avoid even assigning them.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/id-ff/provider.c   | 2 +-
 lasso/saml-2.0/login.c   | 2 --
 lasso/saml-2.0/profile.c | 2 +-
 lasso/xml/xml.c          | 3 +--
 4 files changed, 3 insertions(+), 6 deletions(-)

commit b6b458e000ebb3e441000e002598782ce31111a6
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 13:25:09 2014 -0400

    Trim dead code
    
    These conditions can never be reached as the list is filtered with
    and and to the value of 0xff, so just drop them, they are misleading.
    (Also silences checkers which were screaming of deadcode, for each and
    every unmatchable value ...)
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/xml.c | 10 ----------
 1 file changed, 10 deletions(-)

commit be02981ff1f3f3829b38dc14b028c7de55dfda77
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 13:04:47 2014 -0400

    Fix confusing loop test
    
    Coverity was marking the check for tsnippet after the while loop,
    confused by the check. Make it more readable, and in the process
    make checkers happy too.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/xml.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 1f97a06a01de7f901045be297a8244614191e552
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 12:52:20 2014 -0400

    Fix some uninitialized value
    
    The compiler complain about these values not being initialized.
    come of them do not really matter as they are only really used when
    later initialized in the code and the code paths would not use them
    if not initialized in a previous block, however some of these seem
    real issues.
    In all cases make the compiler happy so we get less noise in the build
    and less false positives in code chckers.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/id-ff/provider.c | 2 +-
 lasso/saml-2.0/login.c | 2 +-
 lasso/xml/tools.c      | 2 +-
 lasso/xml/xml.c        | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 80757431b36566655ca2e494a4765ffd32027efb
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 12:44:48 2014 -0400

    Missing check for Sig_Alg value
    
    Initialize the sig_alg value to NULL (The compilers was complaining it may
    be used initialized), but also make sure to check the re is any sig_alg at
    all, otherwise return a proper error.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/tools.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 899f5c8880b36fe6a4a27940ea92cf2361899133
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 12:34:20 2014 -0400

    Fix boundary check
    
    Coverity was marking this as an array overun as the check would never be
    possible and wuld allow any value for query_request_type, including "unset"
    wihch is 0.
    fix the boundary checks.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/saml-2.0/assertion_query.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 661f81014e38ea4897c2ad5f340a45eb2dbef476
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 11:08:58 2014 -0400

    Fix uninitialized values found by Coverity
    
    These values where being used without being initialized at least in some edge
    cases. Make Coverity happy by properly initializing them.
    Some of these are real bugs, not just silencing a tool.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/saml-2.0/provider.c | 4 ++--
 lasso/xml/tools.c         | 2 +-
 lasso/xml/xml.c           | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 86328f293700ae0fefd28647701905cfdd6aa51f
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Jun 9 11:04:44 2014 -0400

    Fix format check for date
    
    Coverity was complaining that tm was used uninitialized, but the truth is
    that a third error condition where the string passed in matches no valid
    format was not handled. Just return an error in that case.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/tools.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 0238e8a9869a3a11248b2c56108b2ba73c82b9ee
Author: Simo Sorce <simo@redhat.com>
Date:   Sun Jun 8 14:51:29 2014 -0400

    Fix error checking in xml.c
    
    Coverity was complaining that 'integer' was being used without
    initialization (from the caller). Turns out it was erroneously used
    to test the result instead of the just sourced 'what'.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/xml.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5aa184b6b4e6608851ebf4a2fefeecafb5640486
Author: Simo Sorce <simo@redhat.com>
Date:   Sun Jun 8 14:43:04 2014 -0400

    Fixes for unchecked return values
    
    Coverity complains that in a number of places errors are not checked.
    Some of them are ok not to check so put a silencing (void).
    Check errors that need to be checked.
    
    Coverity also complains g_malloc() return is never checked but given it is
    never checked anywahere let it be for now.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/saml-2.0/login.c | 6 +++++-
 lasso/xml/xml.c        | 3 +++
 2 files changed, 8 insertions(+), 1 deletion(-)

commit b6a3ec78a0f6b8b5fda9dcee969785745376bc77
Author: Simo Sorce <simo@redhat.com>
Date:   Fri Jun 6 17:54:32 2014 -0400

    Be correct in dealing with varargs
    
    Although in this cases it may be safe to omit va_end() that is not generally
    so with an arbitrary compiler on an arbitrary platform.
    
    Quoting from the spec: "Each invocation of va_start() must be matched by
    a corresponding invocation of va_end() in the same function."
    note the "must"
    
    Checker tools like Coverity complain if va_start() is not always paired with
    va_end(), so this patch mutes them.
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 lasso/xml/tools.c | 2 ++
 1 file changed, 2 insertions(+)

commit 82fd1bcd38957ed4a12eb867885ae3787b28144d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 12:50:26 2014 +0200

    bindings/python/tests: session indexes storage preserves order now

 bindings/python/tests/profiles_tests.py | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit cabe31f5fceeaa37dd226619092b2e0e1a5620f1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 12:13:49 2014 +0200

    tests: add target to Makefile to produce valgrind suppression entries

 tests/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit d6ec62784466c6d9a9e658e66fe521a74264478d
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 12:12:09 2014 +0200

    tests/valgrind: add suppression of all leaks related to initialisation of the GLib type system

 tests/valgrind/glib.supp | 6 ++++++
 1 file changed, 6 insertions(+)

commit a90d3ad1c82b63146a285a4e5d08f868fe16dd00
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 11:57:51 2014 +0200

    tests: fix leaks

 tests/basic_tests.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5def9c160b5a293b11f6380436d8e99dc3fd5a19
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 12:15:01 2014 +0200

    saml-2.0/profile: fix leak of xmlSecKey when building signed query strings

 lasso/saml-2.0/profile.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 7d514b67fc548b0a1b2287776d6791de71ea0627
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 12:14:24 2014 +0200

    id-ff/provider: fix leak of xmlSecKey

 lasso/id-ff/provider.c | 3 +++
 1 file changed, 3 insertions(+)

commit 49a6e9a9833b1a6ee60e8abd850e1c378db65635
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 11:56:54 2014 +0200

    xml/samlp2_logout_request: fix leaks around session indexes

 lasso/id-ff/session.c                      |  1 +
 lasso/xml/saml-2.0/samlp2_logout_request.c | 16 ++++++++++++++--
 2 files changed, 15 insertions(+), 2 deletions(-)

commit e25968a9fdc9a225ac9bd3b9cc1efa0f2dfcc5bb
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 11:18:01 2014 +0200

    server: fix leak of xmlSecKey objects

 lasso/id-ff/server.c | 1 -
 1 file changed, 1 deletion(-)

commit 99f00e88bff32775ccbb5433bd269910216cf84a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Jun 8 04:30:00 2014 +0200

    session: fix leak of _NidAndSessionIndex structures

 lasso/id-ff/session.c | 1 +
 1 file changed, 1 insertion(+)

commit 3a2c8e62dd0bee619f9b658d8beadcacd1dda42a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 7 14:08:51 2014 +0200

    saml-2.0/server: fix invalid memory access
    
    GList must never be allocated through malloc as it internally managed
    using gslice. Always use Glib constructors and methods.

 lasso/saml-2.0/server.c | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

commit b6282eda59717e61f3af54200fe7c58ead5d7adc
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 7 12:54:09 2014 +0200

    tests: fix leak in log message checker

 tests/tests.h | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 880b833c6e77640bc5eb9103f3f79beeccf84f02
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sat Jun 7 12:53:39 2014 +0200

    tests: do not reuse tc_response_new_from_xmlNode test case

 tests/basic_tests.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit c3d451559a6e02b99a88aaebaaee767620d7f1cc
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed May 28 09:13:34 2014 +0200

    bindings/python: fix conversion of unicode value to UTF-8 for setters

 bindings/python/lang.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 73625674113f5bc5e6e18adc0ee218fcab17065f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed May 21 14:07:06 2014 +0200

    login: complete document of lasso_login_process_authn_response_msg on expectable error codes

 lasso/id-ff/login.c | 33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

commit 6012c05951566e4eea9905cf69aa65e546adae3b
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 12:44:24 2014 +0200

    website: update links section

 website/web/links.xml | 41 +++++++----------------------------------
 1 file changed, 7 insertions(+), 34 deletions(-)

commit 673b16831b8da54238e9c2b2266c3d1178df382f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 12:39:21 2014 +0200

    website: add news about 2.4.0 release

 website/web/news/21-release-2.4.0.xml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 2df12563afbf6d76c2218ce4333ac0711a9d595a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 12:37:13 2014 +0200

    website: fix HTML grammar errors

 website/web/download/index.xml | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit b64dc63580da940a42a41253b32f6062e0540659
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 01:30:49 2014 +0200

    xml/xml.c: fix liberal use of casting for the SNIPPET_INTEGER and SNIPPET_BOOLEAN case
    
    Some behaviour are also made more explicit like the optional if equals
    to -1 case for integer fields, and the optional if FALSE for boolean
    fields.

 lasso/xml/xml.c | 55 ++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 34 insertions(+), 21 deletions(-)

commit a0cbf32fc4f92ef82da437d49c41a43404c23b56
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 12:32:15 2014 +0200

    INSTALL: add php-cli to needed dependencie when compiling on Debian

 INSTALL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 59b05693418e92d6b77c469d77d71344113c8dd7
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 12:31:54 2014 +0200

    tests: pass automake CFLAGS when compiling tests2

 tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d854cef4211cdcdbc7446c978f23ab859847cdd
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 12:31:13 2014 +0200

    lasso/xml/tools.c: fix reference to unitialized memory

 lasso/xml/tools.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7e6c7bf3f0fee1071c0cb3b3f3dd0076c4fc2d3f
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 12:30:54 2014 +0200

    NEWS: fix wrong date for 2.4.0 release

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 74eae762ad8e7e47276ec9491fbec1300b6d0089
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Apr 24 12:29:40 2014 +0200

    update website for 2.4.0 release
    
    - remove windows installer reference
    - update debian repository configuration
    - point to cgit browser and releases directory

 website/web/download/index.xml | 52 ++++++++++++++++++------------------------
 website/web/index.xml          |  7 ------
 2 files changed, 22 insertions(+), 37 deletions(-)

commit 7a36f17982142a5c219008e7932887e7c8b412b4
Author: Simo Sorce <simo@redhat.com>
Date:   Thu Apr 17 18:10:31 2014 -0400

    Fix generators for parsing of integer values
    
    All number types including enums are parse as if they were integers,
    this breaks in many ways, long and int are not the same size in all
    architectures as well as enum may vary in size depening on compiler,
    architecture and optimizations.
    
    Always pass an actual long to PyArg_ParseTuple() and rely on the a
    cast from long to the destination variable type in the following
    assignment.
    
    Signed-off-by: Simo Sorce <simo@redhat.com>

 bindings/python/lang.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3d576e040a6d0a1462b620972d223d4326f9246b
Author: Simo Sorce <simo@redhat.com>
Date:   Mon Apr 14 14:19:20 2014 -0400

    Fix java version detection
    
    Signed-off-by: Simo Sorce <simo@redhat.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce0065d9a524bca4f3548245071c5c963b93f0fe
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Mar 31 11:46:20 2014 +0200

    update NEWS

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 58c2c72bae059538fe747325344cc6aa171b76c1
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Mar 31 11:09:30 2014 +0200

    bindings/perl/Makefile: it's difficult to control produced code so disable warning on unused-but-set-variable

 bindings/perl/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 190c7743c28ffb6113b6b1e86600923611adb7eb
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Fri Mar 28 16:45:00 2014 +0100

    perl: get required CFLAGS from $(perl -V::ccflags:)

 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

commit c141a04ec02c3878a26f1144841a9ac73e643cd4
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Mar 25 07:31:42 2014 +0100

    fix: remove warning by not calling g_type_init() with glib > 2.36 as it's deprecated

 lasso/lasso.c | 2 ++
 1 file changed, 2 insertions(+)

commit 93b9b59e8f9ad9a2c1a5630545d247498ceef5e8
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jan 7 17:03:14 2014 +0100

    configure.ac: update LASSO_VERSION_INFO

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83dc14c307d1bab59986815c1d6306ec9c256600
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jan 7 01:30:55 2014 +0100

    Revert "configure.ac: desactivate the PHP5 binding if no CLI interpreter is available"
    
    This reverts commit a3d53764fa75c30ee9a118088f0a224bc20059e4.

 configure.ac | 4 ----
 1 file changed, 4 deletions(-)

commit ce3cab2e5ad4ffacf3e8678c782f970f45f6f26a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Tue Jan 7 01:15:43 2014 +0100

    docs: remove section

 docs/reference/lasso/lasso-sections.txt | 1 -
 1 file changed, 1 deletion(-)

commit a3d53764fa75c30ee9a118088f0a224bc20059e4
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Jan 6 15:43:12 2014 +0100

    configure.ac: desactivate the PHP5 binding if no CLI interpreter is available

 configure.ac | 4 ++++
 1 file changed, 4 insertions(+)

commit c6475ef51ca50a8755adc5ce9051247fcfa10c90
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Mon Jan 6 15:42:48 2014 +0100

    configure.ac: remove checks for SWIG

 configure.ac | 38 --------------------------------------
 1 file changed, 38 deletions(-)

commit c8a6863920cba83d33ae32049da0d10abd64953b
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sun Dec 29 10:30:45 2013 +0100

    import 2.3.6-3 changelog entry

 changelog | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 9769c8bef35d376c2c0d355711954cef5984549c
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sun Dec 29 10:30:02 2013 +0100

    use php5enmod and php5dismod

 php5-lasso.postinst | 7 +++++++
 php5-lasso.prerm    | 7 +++++++
 rules               | 4 +++-
 3 files changed, 17 insertions(+), 1 deletion(-)

commit fba81e5d234ad2cb2e8d1bc8d3ec245d51f745e8
Author: Moritz Muehlenhoff <jmm@debian.org>
Date:   Sun Dec 29 10:27:20 2013 +0100

    enable hardened build flags

 rules | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit dd8d85e2a83193951f8c70a0290669d4e44f0506
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sun Dec 29 10:25:52 2013 +0100

    import 2.3.6-2.2 changelog entry

 changelog | 9 +++++++++
 1 file changed, 9 insertions(+)

commit ee45e57f9243aad6b8cea5ee4d9571b13683a9de
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sun Dec 29 10:24:54 2013 +0100

    import 2.3.6-2.1 leftovers

 changelog  | 7 +++++++
 control    | 1 -
 control.in | 1 -
 pycompat   | 1 -
 4 files changed, 7 insertions(+), 3 deletions(-)

commit c5659068fec60144300fdc7590b19ea338dfd28a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Dec 19 10:14:52 2013 +0100

    configure.ac,fedora/lasso.spec: remove expat dependency

 configure.ac      | 12 ------------
 fedora/lasso.spec |  2 +-
 2 files changed, 1 insertion(+), 13 deletions(-)

commit ddc10efa2c271c3fcc71bc94f9f1a5655f87c04a
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Thu Dec 19 10:05:28 2013 +0100

    INSTALL: add paragraph about build dependencies

 INSTALL | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit eaf4069c9bf2add9ca248fdb60e23b75d505cddd
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Dec 18 18:53:21 2013 +0100

    more work toward release 2.4.0

 NEWS          |   65 +++-
 abi/abi-2.3.6 | 1115 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 abi/abi-2.4.0 |    6 +
 3 files changed, 1179 insertions(+), 7 deletions(-)

commit b1601ac6933e90a2ee4bade4eaef7954dd3695a6
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Dec 18 18:44:20 2013 +0100

    id-ff/providerprivate.h,id-ff/provider.h: make lasso_provider_verify_signature public API
    
    It's necessary for the crudeSAML SASL mechanism.

 lasso/id-ff/provider.h        | 3 +++
 lasso/id-ff/providerprivate.h | 2 --
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 309a9ab6bc20159b2ad203d953d7b3e8e8c63669
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Dec 11 15:35:17 2013 +0100

    bindings/python: automatically encode string into utf-8 when passing unicode string to Lasso methods
    
    fixes #4077

 bindings/python/lang.py | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 33d67ddd1352a2db97d252c7d18f7806ec91e616
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Tue Dec 10 15:06:45 2013 +0100

    python-lasso.install: replace site-packages by dist-packages

 python-lasso.install | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e80648258e737428e322379c0c81b8d793a9269a
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Tue Dec 10 14:53:57 2013 +0100

    add python-lasso.install with python files

 python-lasso.install | 2 ++
 rules                | 2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 81bb9bd73de7ec1d5b9d89cad7cbe8495e2b60ab
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Sun Dec 8 23:43:49 2013 +0100

    id-ff/session.c: fix wrong variable reference in init_from_xml_nid_and_session_index

 lasso/id-ff/session.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6af6a0bcc564e8064b3590c14bb0fed0bd90d1c9
Author: Thomas NOEL <tnoel@entrouvert.com>
Date:   Sun Dec 8 17:32:45 2013 +0100

    update control.in with control

 control.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 402bb580cb3a4a1225d29c619493b97eca866c96
Author: Benjamin Dauvergne <bdauvergne@entrouvert.com>
Date:   Wed Nov 20 16:27:33 2013 +0100

    remove the debian directory from the project

 debian/changelog             | 302 -------------------------------------------
 debian/compat                |   1 -
 debian/control               |  85 ------------
 debian/control.in            |  85 ------------
 debian/copyright             |  44 -------
 debian/dirs                  |   2 -
 debian/docs                  |   2 -
 debian/liblasso-java.dirs    |   1 -
 debian/liblasso-java.install |   2 -
 debian/liblasso-perl.install |   3 -
 debian/liblasso3-dev.dirs    |   2 -
 debian/liblasso3-dev.install |   5 -
 debian/liblasso3.dirs        |   1 -
 debian/liblasso3.install     |   1 -
 debian/php5-lasso.install    |   3 -
 debian/pycompat              |   1 -
 debian/python-lasso.install  |   2 -
 debian/rules                 | 169 ------------------------
 18 files changed, 711 deletions(-)

commit fb0e621c49977bcbf2823486cf73cd520f6403c0
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Fri Dec 6 09:36:40 2013 +0100

    python-lasso.install: don't install old /usr/lib/python*/site-packages

 python-lasso.install | 2 --
 1 file changed, 2 deletions(-)

commit b30e2463a73d3ace68957eb988b905b3c3b758a7
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Fri Dec 6 02:13:03 2013 +0100

    doc: remove broken gtk-doc tests for now

 docs/reference/lasso/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af05f9b3179c19d8dcba641b38d76309631985ff
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Fri Dec 6 02:00:56 2013 +0100

    perl: make it compatible with recent libxml2

 bindings/perl/glist_handling.c | 32 ++++++++++++++++++++++----------
 1 file changed, 22 insertions(+), 10 deletions(-)

commit ff0b9ba8d40e77126f6b6edf337427eb98ccfaf1
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Thu Dec 5 18:21:10 2013 +0100

    doc: remove reference to init.xml that is not created anymore

 docs/reference/lasso/lasso-docs.sgml | 1 -
 1 file changed, 1 deletion(-)

commit 60d6858d148b3fa133abcaada130223603d2d184
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Thu Dec 5 17:51:32 2013 +0100

    build: replace python $libdir by our own

 configure.ac | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 624d20244b2323d7969480a3376b3f1c43eb90df
Author: Simo Sorce <simo@redhat.com>
Date:   Sat Sep 14 17:24:24 2013 -0400

    Better python detection in configure.ac
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 configure.ac | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit c8058668037110e35285913ab2f8c25741867cb9
Author: Simo Sorce <simo@redhat.com>
Date:   Sat Sep 14 14:46:45 2013 -0400

    Support automake 1.13 and 1.14
    
    License: MIT
    Signed-off-by: Simo Sorce <simo@redhat.com>

 autogen.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 1ce0510a234306ecc1e1687e89d11239e5ccbd70
Author: Jérôme Schneider <jschneider@entrouvert.com>
Date:   Wed Dec 4 18:04:53 2013 +0100

    debian: replace dh_pycentral by dh_python

 control | 14 +-------------
 rules   |  2 +-
 2 files changed, 2 insertions(+), 14 deletions(-)

commit 3a6b2fdee76b5f782094b6b268bfdf895263eda8
Author: Simo Sorce <simo@redhat.com>
Date:   Wed Nov 27 14:04:51 2013 -0500

    Fix license boilerplates
    
    Instad of referring to an old FSF address, point the reader to the FSF
    website where the latest licenses and addresses are published.
    
    Signed-off-by: Simo Sorce <simo@redhat.com>

 COPYING                                                         | 2 +-
 README                                                          | 2 +-
 bindings/bindings.py                                            | 3 +--
 bindings/java/lang.py                                           | 3 +--
 bindings/java/tests/BindingTests.java                           | 3 +--
 bindings/java/tests/LoginTest.java                              | 3 +--
 bindings/perl/ghashtable_handling.c                             | 3 +--
 bindings/perl/glist_handling.c                                  | 3 +--
 bindings/perl/gobject_handling.c                                | 3 +--
 bindings/perl/lang.py                                           | 3 +--
 bindings/php5/lang.py                                           | 3 +--
 bindings/php5/php_code.py                                       | 3 +--
 bindings/php5/tests/binding_tests.php                           | 3 +--
 bindings/php5/tests/profile_tests.php                           | 3 +--
 bindings/php5/wrapper_header.py                                 | 3 +--
 bindings/php5/wrapper_source.py                                 | 3 +--
 bindings/python/lang.py                                         | 3 +--
 bindings/python/tests/XmlTestRunner.py                          | 3 +--
 bindings/python/tests/binding_tests.py                          | 3 +--
 bindings/python/tests/idwsf1_tests.py                           | 3 +--
 bindings/python/tests/idwsf2_tests.py                           | 3 +--
 bindings/python/tests/profiles_tests.py                         | 3 +--
 bindings/python/tests/tests.py                                  | 3 +--
 bindings/utils.py                                               | 3 +--
 lasso/backward_comp.h                                           | 3 +--
 lasso/ctypes.h                                                  | 3 +--
 lasso/debug.h                                                   | 3 +--
 lasso/errors.c                                                  | 3 +--
 lasso/errors.c.in                                               | 3 +--
 lasso/errors.h                                                  | 3 +--
 lasso/export.h                                                  | 3 +--
 lasso/id-ff/defederation.c                                      | 3 +--
 lasso/id-ff/defederation.h                                      | 3 +--
 lasso/id-ff/federation.c                                        | 3 +--
 lasso/id-ff/federation.h                                        | 3 +--
 lasso/id-ff/identity.c                                          | 3 +--
 lasso/id-ff/identity.h                                          | 3 +--
 lasso/id-ff/identityprivate.h                                   | 3 +--
 lasso/id-ff/lecp.c                                              | 3 +--
 lasso/id-ff/lecp.h                                              | 3 +--
 lasso/id-ff/login.c                                             | 3 +--
 lasso/id-ff/login.h                                             | 3 +--
 lasso/id-ff/loginprivate.h                                      | 3 +--
 lasso/id-ff/logout.c                                            | 3 +--
 lasso/id-ff/logout.h                                            | 3 +--
 lasso/id-ff/logoutprivate.h                                     | 3 +--
 lasso/id-ff/name_identifier_mapping.c                           | 3 +--
 lasso/id-ff/name_identifier_mapping.h                           | 3 +--
 lasso/id-ff/name_registration.c                                 | 3 +--
 lasso/id-ff/name_registration.h                                 | 3 +--
 lasso/id-ff/profile.c                                           | 3 +--
 lasso/id-ff/profile.h                                           | 3 +--
 lasso/id-ff/profileprivate.h                                    | 3 +--
 lasso/id-ff/provider.c                                          | 3 +--
 lasso/id-ff/provider.h                                          | 3 +--
 lasso/id-ff/providerprivate.h                                   | 3 +--
 lasso/id-ff/server.c                                            | 3 +--
 lasso/id-ff/server.h                                            | 3 +--
 lasso/id-ff/serverprivate.h                                     | 3 +--
 lasso/id-ff/session.c                                           | 3 +--
 lasso/id-ff/session.h                                           | 3 +--
 lasso/id-ff/sessionprivate.h                                    | 3 +--
 lasso/id-wsf-2.0/data_service.c                                 | 3 +--
 lasso/id-wsf-2.0/data_service.h                                 | 3 +--
 lasso/id-wsf-2.0/discovery.c                                    | 3 +--
 lasso/id-wsf-2.0/discovery.h                                    | 3 +--
 lasso/id-wsf-2.0/id_wsf_2.h                                     | 3 +--
 lasso/id-wsf-2.0/identity.c                                     | 3 +--
 lasso/id-wsf-2.0/identity.h                                     | 3 +--
 lasso/id-wsf-2.0/idwsf2_helper.c                                | 3 +--
 lasso/id-wsf-2.0/idwsf2_helper.h                                | 3 +--
 lasso/id-wsf-2.0/private.h                                      | 3 +--
 lasso/id-wsf-2.0/profile.c                                      | 3 +--
 lasso/id-wsf-2.0/profile.h                                      | 3 +--
 lasso/id-wsf-2.0/saml2_login.c                                  | 3 +--
 lasso/id-wsf-2.0/saml2_login.h                                  | 3 +--
 lasso/id-wsf-2.0/server.c                                       | 3 +--
 lasso/id-wsf-2.0/server.h                                       | 3 +--
 lasso/id-wsf-2.0/serverprivate.h                                | 3 +--
 lasso/id-wsf-2.0/session.c                                      | 3 +--
 lasso/id-wsf-2.0/session.h                                      | 3 +--
 lasso/id-wsf-2.0/sessionprivate.h                               | 3 +--
 lasso/id-wsf-2.0/soap_binding.c                                 | 3 +--
 lasso/id-wsf-2.0/soap_binding.h                                 | 3 +--
 lasso/id-wsf/authentication.c                                   | 3 +--
 lasso/id-wsf/authentication.h                                   | 3 +--
 lasso/id-wsf/data_service.c                                     | 3 +--
 lasso/id-wsf/data_service.h                                     | 3 +--
 lasso/id-wsf/discovery.c                                        | 3 +--
 lasso/id-wsf/discovery.h                                        | 3 +--
 lasso/id-wsf/id_ff_extensions.c                                 | 3 +--
 lasso/id-wsf/id_ff_extensions.h                                 | 3 +--
 lasso/id-wsf/id_ff_extensions_private.h                         | 3 +--
 lasso/id-wsf/id_wsf.h                                           | 3 +--
 lasso/id-wsf/interaction_profile_service.c                      | 3 +--
 lasso/id-wsf/interaction_profile_service.h                      | 3 +--
 lasso/id-wsf/personal_profile_service.c                         | 3 +--
 lasso/id-wsf/personal_profile_service.h                         | 3 +--
 lasso/id-wsf/wsf_profile.c                                      | 3 +--
 lasso/id-wsf/wsf_profile.h                                      | 3 +--
 lasso/id-wsf/wsf_profile_private.h                              | 3 +--
 lasso/id-wsf/wsf_utils.c                                        | 3 +--
 lasso/id-wsf/wsf_utils.h                                        | 3 +--
 lasso/key.c                                                     | 3 +--
 lasso/key.h                                                     | 3 +--
 lasso/keyprivate.h                                              | 3 +--
 lasso/lasso.c                                                   | 3 +--
 lasso/lasso.h                                                   | 3 +--
 lasso/logging.c                                                 | 3 +--
 lasso/logging.h                                                 | 3 +--
 lasso/registry-private.h                                        | 3 +--
 lasso/registry.c                                                | 3 +--
 lasso/registry.h                                                | 3 +--
 lasso/saml-2.0/assertion_query.c                                | 3 +--
 lasso/saml-2.0/assertion_query.h                                | 3 +--
 lasso/saml-2.0/ecp.c                                            | 3 +--
 lasso/saml-2.0/ecp.h                                            | 3 +--
 lasso/saml-2.0/ecpprivate.h                                     | 3 +--
 lasso/saml-2.0/federation.c                                     | 3 +--
 lasso/saml-2.0/federationprivate.h                              | 3 +--
 lasso/saml-2.0/login.c                                          | 3 +--
 lasso/saml-2.0/loginprivate.h                                   | 3 +--
 lasso/saml-2.0/logout.c                                         | 3 +--
 lasso/saml-2.0/logoutprivate.h                                  | 3 +--
 lasso/saml-2.0/name_id_management.c                             | 3 +--
 lasso/saml-2.0/name_id_management.h                             | 3 +--
 lasso/saml-2.0/profile.c                                        | 3 +--
 lasso/saml-2.0/profile.h                                        | 3 +--
 lasso/saml-2.0/profileprivate.h                                 | 3 +--
 lasso/saml-2.0/provider.c                                       | 3 +--
 lasso/saml-2.0/provider.h                                       | 3 +--
 lasso/saml-2.0/providerprivate.h                                | 3 +--
 lasso/saml-2.0/saml2_helper.c                                   | 3 +--
 lasso/saml-2.0/saml2_helper.h                                   | 3 +--
 lasso/saml-2.0/server.c                                         | 3 +--
 lasso/saml-2.0/serverprivate.h                                  | 3 +--
 lasso/utils.c                                                   | 3 +--
 lasso/utils.h                                                   | 3 +--
 lasso/xml/disco_authenticate_requester.c                        | 3 +--
 lasso/xml/disco_authenticate_requester.h                        | 3 +--
 lasso/xml/disco_authenticate_session_context.c                  | 3 +--
 lasso/xml/disco_authenticate_session_context.h                  | 3 +--
 lasso/xml/disco_authorize_requester.c                           | 3 +--
 lasso/xml/disco_authorize_requester.h                           | 3 +--
 lasso/xml/disco_credentials.c                                   | 3 +--
 lasso/xml/disco_credentials.h                                   | 3 +--
 lasso/xml/disco_description.c                                   | 3 +--
 lasso/xml/disco_description.h                                   | 3 +--
 lasso/xml/disco_encrypt_resource_id.c                           | 3 +--
 lasso/xml/disco_encrypt_resource_id.h                           | 3 +--
 lasso/xml/disco_encrypted_resource_id.c                         | 3 +--
 lasso/xml/disco_encrypted_resource_id.h                         | 3 +--
 lasso/xml/disco_generate_bearer_token.c                         | 3 +--
 lasso/xml/disco_generate_bearer_token.h                         | 3 +--
 lasso/xml/disco_insert_entry.c                                  | 3 +--
 lasso/xml/disco_insert_entry.h                                  | 3 +--
 lasso/xml/disco_modify.c                                        | 3 +--
 lasso/xml/disco_modify.h                                        | 3 +--
 lasso/xml/disco_modify_response.c                               | 3 +--
 lasso/xml/disco_modify_response.h                               | 3 +--
 lasso/xml/disco_options.c                                       | 3 +--
 lasso/xml/disco_options.h                                       | 3 +--
 lasso/xml/disco_query.c                                         | 3 +--
 lasso/xml/disco_query.h                                         | 3 +--
 lasso/xml/disco_query_response.c                                | 3 +--
 lasso/xml/disco_query_response.h                                | 3 +--
 lasso/xml/disco_remove_entry.c                                  | 3 +--
 lasso/xml/disco_remove_entry.h                                  | 3 +--
 lasso/xml/disco_requested_service_type.c                        | 3 +--
 lasso/xml/disco_requested_service_type.h                        | 3 +--
 lasso/xml/disco_resource_id.c                                   | 3 +--
 lasso/xml/disco_resource_id.h                                   | 3 +--
 lasso/xml/disco_resource_offering.c                             | 3 +--
 lasso/xml/disco_resource_offering.h                             | 3 +--
 lasso/xml/disco_send_single_logout.c                            | 3 +--
 lasso/xml/disco_send_single_logout.h                            | 3 +--
 lasso/xml/disco_service_instance.c                              | 3 +--
 lasso/xml/disco_service_instance.h                              | 3 +--
 lasso/xml/dsig/ds_key_info.c                                    | 3 +--
 lasso/xml/dsig/ds_key_info.h                                    | 3 +--
 lasso/xml/dsig/ds_key_value.c                                   | 3 +--
 lasso/xml/dsig/ds_key_value.h                                   | 3 +--
 lasso/xml/dsig/ds_rsa_key_value.c                               | 3 +--
 lasso/xml/dsig/ds_rsa_key_value.h                               | 3 +--
 lasso/xml/dsig/ds_x509_data.c                                   | 3 +--
 lasso/xml/dsig/ds_x509_data.h                                   | 3 +--
 lasso/xml/dsig/strings.h                                        | 3 +--
 lasso/xml/dsig/xml_dsig.h                                       | 3 +--
 lasso/xml/dst_data.c                                            | 3 +--
 lasso/xml/dst_data.h                                            | 3 +--
 lasso/xml/dst_modification.c                                    | 3 +--
 lasso/xml/dst_modification.h                                    | 3 +--
 lasso/xml/dst_modify.c                                          | 3 +--
 lasso/xml/dst_modify.h                                          | 3 +--
 lasso/xml/dst_modify_response.c                                 | 3 +--
 lasso/xml/dst_modify_response.h                                 | 3 +--
 lasso/xml/dst_new_data.c                                        | 3 +--
 lasso/xml/dst_new_data.h                                        | 3 +--
 lasso/xml/dst_query.c                                           | 3 +--
 lasso/xml/dst_query.h                                           | 3 +--
 lasso/xml/dst_query_item.c                                      | 3 +--
 lasso/xml/dst_query_item.h                                      | 3 +--
 lasso/xml/dst_query_response.c                                  | 3 +--
 lasso/xml/dst_query_response.h                                  | 3 +--
 lasso/xml/id-wsf-2.0/disco_abstract.c                           | 3 +--
 lasso/xml/id-wsf-2.0/disco_abstract.h                           | 3 +--
 lasso/xml/id-wsf-2.0/disco_endpoint_context.c                   | 3 +--
 lasso/xml/id-wsf-2.0/disco_endpoint_context.h                   | 3 +--
 lasso/xml/id-wsf-2.0/disco_keys.c                               | 3 +--
 lasso/xml/id-wsf-2.0/disco_keys.h                               | 3 +--
 lasso/xml/id-wsf-2.0/disco_options.c                            | 3 +--
 lasso/xml/id-wsf-2.0/disco_options.h                            | 3 +--
 lasso/xml/id-wsf-2.0/disco_provider_id.c                        | 3 +--
 lasso/xml/id-wsf-2.0/disco_provider_id.h                        | 3 +--
 lasso/xml/id-wsf-2.0/disco_query.c                              | 3 +--
 lasso/xml/id-wsf-2.0/disco_query.h                              | 3 +--
 lasso/xml/id-wsf-2.0/disco_query_response.c                     | 3 +--
 lasso/xml/id-wsf-2.0/disco_query_response.h                     | 3 +--
 lasso/xml/id-wsf-2.0/disco_requested_service.c                  | 3 +--
 lasso/xml/id-wsf-2.0/disco_requested_service.h                  | 3 +--
 lasso/xml/id-wsf-2.0/disco_security_context.c                   | 3 +--
 lasso/xml/id-wsf-2.0/disco_security_context.h                   | 3 +--
 lasso/xml/id-wsf-2.0/disco_service_context.c                    | 3 +--
 lasso/xml/id-wsf-2.0/disco_service_context.h                    | 3 +--
 lasso/xml/id-wsf-2.0/disco_service_type.c                       | 3 +--
 lasso/xml/id-wsf-2.0/disco_service_type.h                       | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_add.c             | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_add.h             | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_add_response.c    | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_add_response.h    | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_delete.c          | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_delete.h          | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_delete_response.c | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_delete_response.h | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_query.c           | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_query.h           | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_query_response.c  | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_association_query_response.h  | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_delete.c                      | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_delete.h                      | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_delete_response.c             | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_delete_response.h             | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_query.c                       | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_query.h                       | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_query_response.c              | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_query_response.h              | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_register.c                    | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_register.h                    | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_register_response.c           | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_register_response.h           | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_replace.c                     | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_replace.h                     | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_replace_response.c            | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_md_replace_response.h            | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_metadata.c                       | 3 +--
 lasso/xml/id-wsf-2.0/disco_svc_metadata.h                       | 3 +--
 lasso/xml/id-wsf-2.0/dst_data_response_base.c                   | 3 +--
 lasso/xml/id-wsf-2.0/dst_data_response_base.h                   | 3 +--
 lasso/xml/id-wsf-2.0/dst_delete_item_base.c                     | 3 +--
 lasso/xml/id-wsf-2.0/dst_delete_item_base.h                     | 3 +--
 lasso/xml/id-wsf-2.0/dst_delete_response.c                      | 3 +--
 lasso/xml/id-wsf-2.0/dst_delete_response.h                      | 3 +--
 lasso/xml/id-wsf-2.0/dst_request.c                              | 3 +--
 lasso/xml/id-wsf-2.0/dst_request.h                              | 3 +--
 lasso/xml/id-wsf-2.0/dst_result_query_base.c                    | 3 +--
 lasso/xml/id-wsf-2.0/dst_result_query_base.h                    | 3 +--
 lasso/xml/id-wsf-2.0/dst_test_item_base.c                       | 3 +--
 lasso/xml/id-wsf-2.0/dst_test_item_base.h                       | 3 +--
 lasso/xml/id-wsf-2.0/dstref_app_data.c                          | 3 +--
 lasso/xml/id-wsf-2.0/dstref_app_data.h                          | 3 +--
 lasso/xml/id-wsf-2.0/dstref_create.c                            | 3 +--
 lasso/xml/id-wsf-2.0/dstref_create.h                            | 3 +--
 lasso/xml/id-wsf-2.0/dstref_create_item.c                       | 3 +--
 lasso/xml/id-wsf-2.0/dstref_create_item.h                       | 3 +--
 lasso/xml/id-wsf-2.0/dstref_create_response.c                   | 3 +--
 lasso/xml/id-wsf-2.0/dstref_create_response.h                   | 3 +--
 lasso/xml/id-wsf-2.0/dstref_data.c                              | 3 +--
 lasso/xml/id-wsf-2.0/dstref_data.h                              | 3 +--
 lasso/xml/id-wsf-2.0/dstref_data_response.c                     | 3 +--
 lasso/xml/id-wsf-2.0/dstref_data_response.h                     | 3 +--
 lasso/xml/id-wsf-2.0/dstref_delete.c                            | 3 +--
 lasso/xml/id-wsf-2.0/dstref_delete.h                            | 3 +--
 lasso/xml/id-wsf-2.0/dstref_delete_item.c                       | 3 +--
 lasso/xml/id-wsf-2.0/dstref_delete_item.h                       | 3 +--
 lasso/xml/id-wsf-2.0/dstref_delete_response.c                   | 3 +--
 lasso/xml/id-wsf-2.0/dstref_delete_response.h                   | 3 +--
 lasso/xml/id-wsf-2.0/dstref_item_data.c                         | 3 +--
 lasso/xml/id-wsf-2.0/dstref_item_data.h                         | 3 +--
 lasso/xml/id-wsf-2.0/dstref_modify.c                            | 3 +--
 lasso/xml/id-wsf-2.0/dstref_modify.h                            | 3 +--
 lasso/xml/id-wsf-2.0/dstref_modify_item.c                       | 3 +--
 lasso/xml/id-wsf-2.0/dstref_modify_item.h                       | 3 +--
 lasso/xml/id-wsf-2.0/dstref_modify_response.c                   | 3 +--
 lasso/xml/id-wsf-2.0/dstref_modify_response.h                   | 3 +--
 lasso/xml/id-wsf-2.0/dstref_query.c                             | 3 +--
 lasso/xml/id-wsf-2.0/dstref_query.h                             | 3 +--
 lasso/xml/id-wsf-2.0/dstref_query_item.c                        | 3 +--
 lasso/xml/id-wsf-2.0/dstref_query_item.h                        | 3 +--
 lasso/xml/id-wsf-2.0/dstref_query_response.c                    | 3 +--
 lasso/xml/id-wsf-2.0/dstref_query_response.h                    | 3 +--
 lasso/xml/id-wsf-2.0/dstref_result_query.c                      | 3 +--
 lasso/xml/id-wsf-2.0/dstref_result_query.h                      | 3 +--
 lasso/xml/id-wsf-2.0/dstref_test_item.c                         | 3 +--
 lasso/xml/id-wsf-2.0/dstref_test_item.h                         | 3 +--
 lasso/xml/id-wsf-2.0/idwsf2_strings.h                           | 3 +--
 lasso/xml/id-wsf-2.0/ims_identity_mapping_request.c             | 3 +--
 lasso/xml/id-wsf-2.0/ims_identity_mapping_request.h             | 3 +--
 lasso/xml/id-wsf-2.0/ims_identity_mapping_response.c            | 3 +--
 lasso/xml/id-wsf-2.0/ims_identity_mapping_response.h            | 3 +--
 lasso/xml/id-wsf-2.0/ims_mapping_input.c                        | 3 +--
 lasso/xml/id-wsf-2.0/ims_mapping_input.h                        | 3 +--
 lasso/xml/id-wsf-2.0/ims_mapping_output.c                       | 3 +--
 lasso/xml/id-wsf-2.0/ims_mapping_output.h                       | 3 +--
 lasso/xml/id-wsf-2.0/is_help.c                                  | 3 +--
 lasso/xml/id-wsf-2.0/is_help.h                                  | 3 +--
 lasso/xml/id-wsf-2.0/is_inquiry.c                               | 3 +--
 lasso/xml/id-wsf-2.0/is_inquiry.h                               | 3 +--
 lasso/xml/id-wsf-2.0/is_inquiry_element.c                       | 3 +--
 lasso/xml/id-wsf-2.0/is_inquiry_element.h                       | 3 +--
 lasso/xml/id-wsf-2.0/is_interaction_request.c                   | 3 +--
 lasso/xml/id-wsf-2.0/is_interaction_request.h                   | 3 +--
 lasso/xml/id-wsf-2.0/is_interaction_response.c                  | 3 +--
 lasso/xml/id-wsf-2.0/is_interaction_response.h                  | 3 +--
 lasso/xml/id-wsf-2.0/is_interaction_statement.c                 | 3 +--
 lasso/xml/id-wsf-2.0/is_interaction_statement.h                 | 3 +--
 lasso/xml/id-wsf-2.0/is_item.c                                  | 3 +--
 lasso/xml/id-wsf-2.0/is_item.h                                  | 3 +--
 lasso/xml/id-wsf-2.0/is_parameter.c                             | 3 +--
 lasso/xml/id-wsf-2.0/is_parameter.h                             | 3 +--
 lasso/xml/id-wsf-2.0/is_select.c                                | 3 +--
 lasso/xml/id-wsf-2.0/is_select.h                                | 3 +--
 lasso/xml/id-wsf-2.0/is_text.c                                  | 3 +--
 lasso/xml/id-wsf-2.0/is_text.h                                  | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_collection_request.c                | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_collection_request.h                | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_collection_response.c               | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_collection_response.h               | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_entity_request.c                    | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_entity_request.h                    | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_entity_response.c                   | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_entity_response.h                   | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_known_entity_request.c              | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_known_entity_request.h              | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_known_entity_response.c             | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_known_entity_response.h             | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_to_collection_request.c             | 3 +--
 lasso/xml/id-wsf-2.0/ps_add_to_collection_request.h             | 3 +--
 lasso/xml/id-wsf-2.0/ps_get_object_info_request.c               | 3 +--
 lasso/xml/id-wsf-2.0/ps_get_object_info_request.h               | 3 +--
 lasso/xml/id-wsf-2.0/ps_get_object_info_response.c              | 3 +--
 lasso/xml/id-wsf-2.0/ps_get_object_info_response.h              | 3 +--
 lasso/xml/id-wsf-2.0/ps_item_data.c                             | 3 +--
 lasso/xml/id-wsf-2.0/ps_item_data.h                             | 3 +--
 lasso/xml/id-wsf-2.0/ps_list_members_request.c                  | 3 +--
 lasso/xml/id-wsf-2.0/ps_list_members_request.h                  | 3 +--
 lasso/xml/id-wsf-2.0/ps_list_members_response.c                 | 3 +--
 lasso/xml/id-wsf-2.0/ps_list_members_response.h                 | 3 +--
 lasso/xml/id-wsf-2.0/ps_notification.c                          | 3 +--
 lasso/xml/id-wsf-2.0/ps_notification.h                          | 3 +--
 lasso/xml/id-wsf-2.0/ps_notify.c                                | 3 +--
 lasso/xml/id-wsf-2.0/ps_notify.h                                | 3 +--
 lasso/xml/id-wsf-2.0/ps_object.c                                | 3 +--
 lasso/xml/id-wsf-2.0/ps_object.h                                | 3 +--
 lasso/xml/id-wsf-2.0/ps_query_objects_request.c                 | 3 +--
 lasso/xml/id-wsf-2.0/ps_query_objects_request.h                 | 3 +--
 lasso/xml/id-wsf-2.0/ps_query_objects_response.c                | 3 +--
 lasso/xml/id-wsf-2.0/ps_query_objects_response.h                | 3 +--
 lasso/xml/id-wsf-2.0/ps_remove_collection_request.c             | 3 +--
 lasso/xml/id-wsf-2.0/ps_remove_collection_request.h             | 3 +--
 lasso/xml/id-wsf-2.0/ps_remove_entity_request.c                 | 3 +--
 lasso/xml/id-wsf-2.0/ps_remove_entity_request.h                 | 3 +--
 lasso/xml/id-wsf-2.0/ps_remove_from_collection_request.c        | 3 +--
 lasso/xml/id-wsf-2.0/ps_remove_from_collection_request.h        | 3 +--
 lasso/xml/id-wsf-2.0/ps_request_abstract.c                      | 3 +--
 lasso/xml/id-wsf-2.0/ps_request_abstract.h                      | 3 +--
 lasso/xml/id-wsf-2.0/ps_resolve_identifier_request.c            | 3 +--
 lasso/xml/id-wsf-2.0/ps_resolve_identifier_request.h            | 3 +--
 lasso/xml/id-wsf-2.0/ps_resolve_identifier_response.c           | 3 +--
 lasso/xml/id-wsf-2.0/ps_resolve_identifier_response.h           | 3 +--
 lasso/xml/id-wsf-2.0/ps_resolve_input.c                         | 3 +--
 lasso/xml/id-wsf-2.0/ps_resolve_input.h                         | 3 +--
 lasso/xml/id-wsf-2.0/ps_response_abstract.c                     | 3 +--
 lasso/xml/id-wsf-2.0/ps_response_abstract.h                     | 3 +--
 lasso/xml/id-wsf-2.0/ps_set_object_info_request.c               | 3 +--
 lasso/xml/id-wsf-2.0/ps_set_object_info_request.h               | 3 +--
 lasso/xml/id-wsf-2.0/ps_test_membership_request.c               | 3 +--
 lasso/xml/id-wsf-2.0/ps_test_membership_request.h               | 3 +--
 lasso/xml/id-wsf-2.0/ps_test_membership_response.c              | 3 +--
 lasso/xml/id-wsf-2.0/ps_test_membership_response.h              | 3 +--
 lasso/xml/id-wsf-2.0/sb2_consent.c                              | 3 +--
 lasso/xml/id-wsf-2.0/sb2_consent.h                              | 3 +--
 lasso/xml/id-wsf-2.0/sb2_credentials_context.c                  | 3 +--
 lasso/xml/id-wsf-2.0/sb2_credentials_context.h                  | 3 +--
 lasso/xml/id-wsf-2.0/sb2_endpoint_update.c                      | 3 +--
 lasso/xml/id-wsf-2.0/sb2_endpoint_update.h                      | 3 +--
 lasso/xml/id-wsf-2.0/sb2_redirect_request.c                     | 3 +--
 lasso/xml/id-wsf-2.0/sb2_redirect_request.h                     | 3 +--
 lasso/xml/id-wsf-2.0/sb2_sender.c                               | 3 +--
 lasso/xml/id-wsf-2.0/sb2_sender.h                               | 3 +--
 lasso/xml/id-wsf-2.0/sb2_target_identity.c                      | 3 +--
 lasso/xml/id-wsf-2.0/sb2_target_identity.h                      | 3 +--
 lasso/xml/id-wsf-2.0/sb2_timeout.c                              | 3 +--
 lasso/xml/id-wsf-2.0/sb2_timeout.h                              | 3 +--
 lasso/xml/id-wsf-2.0/sb2_usage_directive.c                      | 3 +--
 lasso/xml/id-wsf-2.0/sb2_usage_directive.h                      | 3 +--
 lasso/xml/id-wsf-2.0/sb2_user_interaction_header.c              | 3 +--
 lasso/xml/id-wsf-2.0/sb2_user_interaction_header.h              | 3 +--
 lasso/xml/id-wsf-2.0/sbf_framework.c                            | 3 +--
 lasso/xml/id-wsf-2.0/sbf_framework.h                            | 3 +--
 lasso/xml/id-wsf-2.0/sec_token.c                                | 3 +--
 lasso/xml/id-wsf-2.0/sec_token.h                                | 3 +--
 lasso/xml/id-wsf-2.0/sec_token_policy.c                         | 3 +--
 lasso/xml/id-wsf-2.0/sec_token_policy.h                         | 3 +--
 lasso/xml/id-wsf-2.0/sec_transited_provider_path.c              | 3 +--
 lasso/xml/id-wsf-2.0/sec_transited_provider_path.h              | 3 +--
 lasso/xml/id-wsf-2.0/subs_notification.c                        | 3 +--
 lasso/xml/id-wsf-2.0/subs_notification.h                        | 3 +--
 lasso/xml/id-wsf-2.0/subs_notify_response.c                     | 3 +--
 lasso/xml/id-wsf-2.0/subs_notify_response.h                     | 3 +--
 lasso/xml/id-wsf-2.0/subs_ref_item.c                            | 3 +--
 lasso/xml/id-wsf-2.0/subs_ref_item.h                            | 3 +--
 lasso/xml/id-wsf-2.0/subs_subscription.c                        | 3 +--
 lasso/xml/id-wsf-2.0/subs_subscription.h                        | 3 +--
 lasso/xml/id-wsf-2.0/subsref_app_data.c                         | 3 +--
 lasso/xml/id-wsf-2.0/subsref_app_data.h                         | 3 +--
 lasso/xml/id-wsf-2.0/subsref_create.c                           | 3 +--
 lasso/xml/id-wsf-2.0/subsref_create.h                           | 3 +--
 lasso/xml/id-wsf-2.0/subsref_create_item.c                      | 3 +--
 lasso/xml/id-wsf-2.0/subsref_create_item.h                      | 3 +--
 lasso/xml/id-wsf-2.0/subsref_create_response.c                  | 3 +--
 lasso/xml/id-wsf-2.0/subsref_create_response.h                  | 3 +--
 lasso/xml/id-wsf-2.0/subsref_data.c                             | 3 +--
 lasso/xml/id-wsf-2.0/subsref_data.h                             | 3 +--
 lasso/xml/id-wsf-2.0/subsref_data_response.c                    | 3 +--
 lasso/xml/id-wsf-2.0/subsref_data_response.h                    | 3 +--
 lasso/xml/id-wsf-2.0/subsref_delete.c                           | 3 +--
 lasso/xml/id-wsf-2.0/subsref_delete.h                           | 3 +--
 lasso/xml/id-wsf-2.0/subsref_delete_item.c                      | 3 +--
 lasso/xml/id-wsf-2.0/subsref_delete_item.h                      | 3 +--
 lasso/xml/id-wsf-2.0/subsref_delete_response.c                  | 3 +--
 lasso/xml/id-wsf-2.0/subsref_delete_response.h                  | 3 +--
 lasso/xml/id-wsf-2.0/subsref_item_data.c                        | 3 +--
 lasso/xml/id-wsf-2.0/subsref_item_data.h                        | 3 +--
 lasso/xml/id-wsf-2.0/subsref_modify.c                           | 3 +--
 lasso/xml/id-wsf-2.0/subsref_modify.h                           | 3 +--
 lasso/xml/id-wsf-2.0/subsref_modify_item.c                      | 3 +--
 lasso/xml/id-wsf-2.0/subsref_modify_item.h                      | 3 +--
 lasso/xml/id-wsf-2.0/subsref_modify_response.c                  | 3 +--
 lasso/xml/id-wsf-2.0/subsref_modify_response.h                  | 3 +--
 lasso/xml/id-wsf-2.0/subsref_notification.c                     | 3 +--
 lasso/xml/id-wsf-2.0/subsref_notification.h                     | 3 +--
 lasso/xml/id-wsf-2.0/subsref_notify.c                           | 3 +--
 lasso/xml/id-wsf-2.0/subsref_notify.h                           | 3 +--
 lasso/xml/id-wsf-2.0/subsref_notify_response.c                  | 3 +--
 lasso/xml/id-wsf-2.0/subsref_notify_response.h                  | 3 +--
 lasso/xml/id-wsf-2.0/subsref_query.c                            | 3 +--
 lasso/xml/id-wsf-2.0/subsref_query.h                            | 3 +--
 lasso/xml/id-wsf-2.0/subsref_query_item.c                       | 3 +--
 lasso/xml/id-wsf-2.0/subsref_query_item.h                       | 3 +--
 lasso/xml/id-wsf-2.0/subsref_query_response.c                   | 3 +--
 lasso/xml/id-wsf-2.0/subsref_query_response.h                   | 3 +--
 lasso/xml/id-wsf-2.0/subsref_result_query.c                     | 3 +--
 lasso/xml/id-wsf-2.0/subsref_result_query.h                     | 3 +--
 lasso/xml/id-wsf-2.0/subsref_subscription.c                     | 3 +--
 lasso/xml/id-wsf-2.0/subsref_subscription.h                     | 3 +--
 lasso/xml/id-wsf-2.0/subsref_test_item.c                        | 3 +--
 lasso/xml/id-wsf-2.0/subsref_test_item.h                        | 3 +--
 lasso/xml/id-wsf-2.0/util_empty.c                               | 3 +--
 lasso/xml/id-wsf-2.0/util_empty.h                               | 3 +--
 lasso/xml/id-wsf-2.0/util_extension.c                           | 3 +--
 lasso/xml/id-wsf-2.0/util_extension.h                           | 3 +--
 lasso/xml/id-wsf-2.0/util_response.c                            | 3 +--
 lasso/xml/id-wsf-2.0/util_response.h                            | 3 +--
 lasso/xml/id-wsf-2.0/util_status.c                              | 3 +--
 lasso/xml/id-wsf-2.0/util_status.h                              | 3 +--
 lasso/xml/id-wsf-2.0/xml_idwsf2.h                               | 3 +--
 lasso/xml/idwsf_strings.h                                       | 3 +--
 lasso/xml/is_help.c                                             | 3 +--
 lasso/xml/is_help.h                                             | 3 +--
 lasso/xml/is_inquiry.c                                          | 3 +--
 lasso/xml/is_inquiry.h                                          | 3 +--
 lasso/xml/is_inquiry_element.c                                  | 3 +--
 lasso/xml/is_inquiry_element.h                                  | 3 +--
 lasso/xml/is_interaction_request.c                              | 3 +--
 lasso/xml/is_interaction_request.h                              | 3 +--
 lasso/xml/is_interaction_response.c                             | 3 +--
 lasso/xml/is_interaction_response.h                             | 3 +--
 lasso/xml/is_interaction_statement.c                            | 3 +--
 lasso/xml/is_interaction_statement.h                            | 3 +--
 lasso/xml/is_item.c                                             | 3 +--
 lasso/xml/is_item.h                                             | 3 +--
 lasso/xml/is_parameter.c                                        | 3 +--
 lasso/xml/is_parameter.h                                        | 3 +--
 lasso/xml/is_redirect_request.c                                 | 3 +--
 lasso/xml/is_redirect_request.h                                 | 3 +--
 lasso/xml/is_select.c                                           | 3 +--
 lasso/xml/is_select.h                                           | 3 +--
 lasso/xml/is_text.c                                             | 3 +--
 lasso/xml/is_text.h                                             | 3 +--
 lasso/xml/is_user_interaction.c                                 | 3 +--
 lasso/xml/is_user_interaction.h                                 | 3 +--
 lasso/xml/lib_assertion.c                                       | 3 +--
 lasso/xml/lib_assertion.h                                       | 3 +--
 lasso/xml/lib_authentication_statement.c                        | 3 +--
 lasso/xml/lib_authentication_statement.h                        | 3 +--
 lasso/xml/lib_authn_context.c                                   | 3 +--
 lasso/xml/lib_authn_context.h                                   | 3 +--
 lasso/xml/lib_authn_request.c                                   | 3 +--
 lasso/xml/lib_authn_request.h                                   | 3 +--
 lasso/xml/lib_authn_request_envelope.c                          | 3 +--
 lasso/xml/lib_authn_request_envelope.h                          | 3 +--
 lasso/xml/lib_authn_response.c                                  | 3 +--
 lasso/xml/lib_authn_response.h                                  | 3 +--
 lasso/xml/lib_authn_response_envelope.c                         | 3 +--
 lasso/xml/lib_authn_response_envelope.h                         | 3 +--
 lasso/xml/lib_federation_termination_notification.c             | 3 +--
 lasso/xml/lib_federation_termination_notification.h             | 3 +--
 lasso/xml/lib_idp_entries.c                                     | 3 +--
 lasso/xml/lib_idp_entries.h                                     | 3 +--
 lasso/xml/lib_idp_entry.c                                       | 3 +--
 lasso/xml/lib_idp_entry.h                                       | 3 +--
 lasso/xml/lib_idp_list.c                                        | 3 +--
 lasso/xml/lib_idp_list.h                                        | 3 +--
 lasso/xml/lib_logout_request.c                                  | 3 +--
 lasso/xml/lib_logout_request.h                                  | 3 +--
 lasso/xml/lib_logout_response.c                                 | 3 +--
 lasso/xml/lib_logout_response.h                                 | 3 +--
 lasso/xml/lib_name_identifier_mapping_request.c                 | 3 +--
 lasso/xml/lib_name_identifier_mapping_request.h                 | 3 +--
 lasso/xml/lib_name_identifier_mapping_response.c                | 3 +--
 lasso/xml/lib_name_identifier_mapping_response.h                | 3 +--
 lasso/xml/lib_register_name_identifier_request.c                | 3 +--
 lasso/xml/lib_register_name_identifier_request.h                | 3 +--
 lasso/xml/lib_register_name_identifier_response.c               | 3 +--
 lasso/xml/lib_register_name_identifier_response.h               | 3 +--
 lasso/xml/lib_request_authn_context.c                           | 3 +--
 lasso/xml/lib_request_authn_context.h                           | 3 +--
 lasso/xml/lib_scoping.c                                         | 3 +--
 lasso/xml/lib_scoping.h                                         | 3 +--
 lasso/xml/lib_status_response.c                                 | 3 +--
 lasso/xml/lib_status_response.h                                 | 3 +--
 lasso/xml/lib_subject.c                                         | 3 +--
 lasso/xml/lib_subject.h                                         | 3 +--
 lasso/xml/misc_text_node.c                                      | 3 +--
 lasso/xml/misc_text_node.h                                      | 3 +--
 lasso/xml/private.h                                             | 3 +--
 lasso/xml/sa_credentials.c                                      | 3 +--
 lasso/xml/sa_credentials.h                                      | 3 +--
 lasso/xml/sa_parameter.c                                        | 3 +--
 lasso/xml/sa_parameter.h                                        | 3 +--
 lasso/xml/sa_password_transforms.c                              | 3 +--
 lasso/xml/sa_password_transforms.h                              | 3 +--
 lasso/xml/sa_sasl_request.c                                     | 3 +--
 lasso/xml/sa_sasl_request.h                                     | 3 +--
 lasso/xml/sa_sasl_response.c                                    | 3 +--
 lasso/xml/sa_sasl_response.h                                    | 3 +--
 lasso/xml/sa_transform.c                                        | 3 +--
 lasso/xml/sa_transform.h                                        | 3 +--
 lasso/xml/saml-2.0/saml2_action.c                               | 3 +--
 lasso/xml/saml-2.0/saml2_action.h                               | 3 +--
 lasso/xml/saml-2.0/saml2_advice.c                               | 3 +--
 lasso/xml/saml-2.0/saml2_advice.h                               | 3 +--
 lasso/xml/saml-2.0/saml2_assertion.c                            | 3 +--
 lasso/xml/saml-2.0/saml2_assertion.h                            | 3 +--
 lasso/xml/saml-2.0/saml2_attribute.c                            | 3 +--
 lasso/xml/saml-2.0/saml2_attribute.h                            | 3 +--
 lasso/xml/saml-2.0/saml2_attribute_statement.c                  | 3 +--
 lasso/xml/saml-2.0/saml2_attribute_statement.h                  | 3 +--
 lasso/xml/saml-2.0/saml2_attribute_value.c                      | 3 +--
 lasso/xml/saml-2.0/saml2_attribute_value.h                      | 3 +--
 lasso/xml/saml-2.0/saml2_audience_restriction.c                 | 3 +--
 lasso/xml/saml-2.0/saml2_audience_restriction.h                 | 3 +--
 lasso/xml/saml-2.0/saml2_authn_context.c                        | 3 +--
 lasso/xml/saml-2.0/saml2_authn_context.h                        | 3 +--
 lasso/xml/saml-2.0/saml2_authn_statement.c                      | 3 +--
 lasso/xml/saml-2.0/saml2_authn_statement.h                      | 3 +--
 lasso/xml/saml-2.0/saml2_authz_decision_statement.c             | 3 +--
 lasso/xml/saml-2.0/saml2_authz_decision_statement.h             | 3 +--
 lasso/xml/saml-2.0/saml2_base_idabstract.c                      | 3 +--
 lasso/xml/saml-2.0/saml2_base_idabstract.h                      | 3 +--
 lasso/xml/saml-2.0/saml2_condition_abstract.c                   | 3 +--
 lasso/xml/saml-2.0/saml2_condition_abstract.h                   | 3 +--
 lasso/xml/saml-2.0/saml2_conditions.c                           | 3 +--
 lasso/xml/saml-2.0/saml2_conditions.h                           | 3 +--
 lasso/xml/saml-2.0/saml2_encrypted_element.c                    | 3 +--
 lasso/xml/saml-2.0/saml2_encrypted_element.h                    | 3 +--
 lasso/xml/saml-2.0/saml2_evidence.c                             | 3 +--
 lasso/xml/saml-2.0/saml2_evidence.h                             | 3 +--
 lasso/xml/saml-2.0/saml2_key_info_confirmation_data.c           | 3 +--
 lasso/xml/saml-2.0/saml2_key_info_confirmation_data.h           | 3 +--
 lasso/xml/saml-2.0/saml2_key_info_confirmation_data_type.c      | 3 +--
 lasso/xml/saml-2.0/saml2_key_info_confirmation_data_type.h      | 3 +--
 lasso/xml/saml-2.0/saml2_name_id.c                              | 3 +--
 lasso/xml/saml-2.0/saml2_name_id.h                              | 3 +--
 lasso/xml/saml-2.0/saml2_one_time_use.c                         | 3 +--
 lasso/xml/saml-2.0/saml2_one_time_use.h                         | 3 +--
 lasso/xml/saml-2.0/saml2_proxy_restriction.c                    | 3 +--
 lasso/xml/saml-2.0/saml2_proxy_restriction.h                    | 3 +--
 lasso/xml/saml-2.0/saml2_statement_abstract.c                   | 3 +--
 lasso/xml/saml-2.0/saml2_statement_abstract.h                   | 3 +--
 lasso/xml/saml-2.0/saml2_strings.h                              | 3 +--
 lasso/xml/saml-2.0/saml2_subject.c                              | 3 +--
 lasso/xml/saml-2.0/saml2_subject.h                              | 3 +--
 lasso/xml/saml-2.0/saml2_subject_confirmation.c                 | 3 +--
 lasso/xml/saml-2.0/saml2_subject_confirmation.h                 | 3 +--
 lasso/xml/saml-2.0/saml2_subject_confirmation_data.c            | 3 +--
 lasso/xml/saml-2.0/saml2_subject_confirmation_data.h            | 3 +--
 lasso/xml/saml-2.0/saml2_subject_locality.c                     | 3 +--
 lasso/xml/saml-2.0/saml2_subject_locality.h                     | 3 +--
 lasso/xml/saml-2.0/saml2_xsd.h                                  | 3 +--
 lasso/xml/saml-2.0/samlp2_artifact_resolve.c                    | 3 +--
 lasso/xml/saml-2.0/samlp2_artifact_resolve.h                    | 3 +--
 lasso/xml/saml-2.0/samlp2_artifact_response.c                   | 3 +--
 lasso/xml/saml-2.0/samlp2_artifact_response.h                   | 3 +--
 lasso/xml/saml-2.0/samlp2_assertion_id_request.c                | 3 +--
 lasso/xml/saml-2.0/samlp2_assertion_id_request.h                | 3 +--
 lasso/xml/saml-2.0/samlp2_attribute_query.c                     | 3 +--
 lasso/xml/saml-2.0/samlp2_attribute_query.h                     | 3 +--
 lasso/xml/saml-2.0/samlp2_authn_query.c                         | 3 +--
 lasso/xml/saml-2.0/samlp2_authn_query.h                         | 3 +--
 lasso/xml/saml-2.0/samlp2_authn_request.c                       | 3 +--
 lasso/xml/saml-2.0/samlp2_authn_request.h                       | 3 +--
 lasso/xml/saml-2.0/samlp2_authz_decision_query.c                | 3 +--
 lasso/xml/saml-2.0/samlp2_authz_decision_query.h                | 3 +--
 lasso/xml/saml-2.0/samlp2_extensions.c                          | 3 +--
 lasso/xml/saml-2.0/samlp2_extensions.h                          | 3 +--
 lasso/xml/saml-2.0/samlp2_idp_entry.c                           | 3 +--
 lasso/xml/saml-2.0/samlp2_idp_entry.h                           | 3 +--
 lasso/xml/saml-2.0/samlp2_idp_list.c                            | 3 +--
 lasso/xml/saml-2.0/samlp2_idp_list.h                            | 3 +--
 lasso/xml/saml-2.0/samlp2_logout_request.c                      | 3 +--
 lasso/xml/saml-2.0/samlp2_logout_request.h                      | 3 +--
 lasso/xml/saml-2.0/samlp2_logout_response.c                     | 3 +--
 lasso/xml/saml-2.0/samlp2_logout_response.h                     | 3 +--
 lasso/xml/saml-2.0/samlp2_manage_name_id_request.c              | 3 +--
 lasso/xml/saml-2.0/samlp2_manage_name_id_request.h              | 3 +--
 lasso/xml/saml-2.0/samlp2_manage_name_id_response.c             | 3 +--
 lasso/xml/saml-2.0/samlp2_manage_name_id_response.h             | 3 +--
 lasso/xml/saml-2.0/samlp2_name_id_mapping_request.c             | 3 +--
 lasso/xml/saml-2.0/samlp2_name_id_mapping_request.h             | 3 +--
 lasso/xml/saml-2.0/samlp2_name_id_mapping_response.c            | 3 +--
 lasso/xml/saml-2.0/samlp2_name_id_mapping_response.h            | 3 +--
 lasso/xml/saml-2.0/samlp2_name_id_policy.c                      | 3 +--
 lasso/xml/saml-2.0/samlp2_name_id_policy.h                      | 3 +--
 lasso/xml/saml-2.0/samlp2_request_abstract.c                    | 3 +--
 lasso/xml/saml-2.0/samlp2_request_abstract.h                    | 3 +--
 lasso/xml/saml-2.0/samlp2_requested_authn_context.c             | 3 +--
 lasso/xml/saml-2.0/samlp2_requested_authn_context.h             | 3 +--
 lasso/xml/saml-2.0/samlp2_response.c                            | 3 +--
 lasso/xml/saml-2.0/samlp2_response.h                            | 3 +--
 lasso/xml/saml-2.0/samlp2_scoping.c                             | 3 +--
 lasso/xml/saml-2.0/samlp2_scoping.h                             | 3 +--
 lasso/xml/saml-2.0/samlp2_status.c                              | 3 +--
 lasso/xml/saml-2.0/samlp2_status.h                              | 3 +--
 lasso/xml/saml-2.0/samlp2_status_code.c                         | 3 +--
 lasso/xml/saml-2.0/samlp2_status_code.h                         | 3 +--
 lasso/xml/saml-2.0/samlp2_status_detail.c                       | 3 +--
 lasso/xml/saml-2.0/samlp2_status_detail.h                       | 3 +--
 lasso/xml/saml-2.0/samlp2_status_response.c                     | 3 +--
 lasso/xml/saml-2.0/samlp2_status_response.h                     | 3 +--
 lasso/xml/saml-2.0/samlp2_subject_query_abstract.c              | 3 +--
 lasso/xml/saml-2.0/samlp2_subject_query_abstract.h              | 3 +--
 lasso/xml/saml-2.0/samlp2_terminate.c                           | 3 +--
 lasso/xml/saml-2.0/samlp2_terminate.h                           | 3 +--
 lasso/xml/saml-2.0/xml_saml2.h                                  | 3 +--
 lasso/xml/saml_advice.c                                         | 3 +--
 lasso/xml/saml_advice.h                                         | 3 +--
 lasso/xml/saml_assertion.c                                      | 3 +--
 lasso/xml/saml_assertion.h                                      | 3 +--
 lasso/xml/saml_attribute.c                                      | 3 +--
 lasso/xml/saml_attribute.h                                      | 3 +--
 lasso/xml/saml_attribute_designator.c                           | 3 +--
 lasso/xml/saml_attribute_designator.h                           | 3 +--
 lasso/xml/saml_attribute_statement.c                            | 3 +--
 lasso/xml/saml_attribute_statement.h                            | 3 +--
 lasso/xml/saml_attribute_value.c                                | 3 +--
 lasso/xml/saml_attribute_value.h                                | 3 +--
 lasso/xml/saml_audience_restriction_condition.c                 | 3 +--
 lasso/xml/saml_audience_restriction_condition.h                 | 3 +--
 lasso/xml/saml_authentication_statement.c                       | 3 +--
 lasso/xml/saml_authentication_statement.h                       | 3 +--
 lasso/xml/saml_authority_binding.c                              | 3 +--
 lasso/xml/saml_authority_binding.h                              | 3 +--
 lasso/xml/saml_condition_abstract.c                             | 3 +--
 lasso/xml/saml_condition_abstract.h                             | 3 +--
 lasso/xml/saml_conditions.c                                     | 3 +--
 lasso/xml/saml_conditions.h                                     | 3 +--
 lasso/xml/saml_name_identifier.c                                | 3 +--
 lasso/xml/saml_name_identifier.h                                | 3 +--
 lasso/xml/saml_statement_abstract.c                             | 3 +--
 lasso/xml/saml_statement_abstract.h                             | 3 +--
 lasso/xml/saml_subject.c                                        | 3 +--
 lasso/xml/saml_subject.h                                        | 3 +--
 lasso/xml/saml_subject_confirmation.c                           | 3 +--
 lasso/xml/saml_subject_confirmation.h                           | 3 +--
 lasso/xml/saml_subject_locality.c                               | 3 +--
 lasso/xml/saml_subject_locality.h                               | 3 +--
 lasso/xml/saml_subject_statement.c                              | 3 +--
 lasso/xml/saml_subject_statement.h                              | 3 +--
 lasso/xml/saml_subject_statement_abstract.c                     | 3 +--
 lasso/xml/saml_subject_statement_abstract.h                     | 3 +--
 lasso/xml/samlp_request.c                                       | 3 +--
 lasso/xml/samlp_request.h                                       | 3 +--
 lasso/xml/samlp_request_abstract.c                              | 3 +--
 lasso/xml/samlp_request_abstract.h                              | 3 +--
 lasso/xml/samlp_response.c                                      | 3 +--
 lasso/xml/samlp_response.h                                      | 3 +--
 lasso/xml/samlp_response_abstract.c                             | 3 +--
 lasso/xml/samlp_response_abstract.h                             | 3 +--
 lasso/xml/samlp_status.c                                        | 3 +--
 lasso/xml/samlp_status.h                                        | 3 +--
 lasso/xml/samlp_status_code.c                                   | 3 +--
 lasso/xml/samlp_status_code.h                                   | 3 +--
 lasso/xml/sec_resource_access_statement.c                       | 3 +--
 lasso/xml/sec_resource_access_statement.h                       | 3 +--
 lasso/xml/soap-1.1/soap_body.c                                  | 3 +--
 lasso/xml/soap-1.1/soap_body.h                                  | 3 +--
 lasso/xml/soap-1.1/soap_detail.c                                | 3 +--
 lasso/xml/soap-1.1/soap_detail.h                                | 3 +--
 lasso/xml/soap-1.1/soap_envelope.c                              | 3 +--
 lasso/xml/soap-1.1/soap_envelope.h                              | 3 +--
 lasso/xml/soap-1.1/soap_fault.c                                 | 3 +--
 lasso/xml/soap-1.1/soap_fault.h                                 | 3 +--
 lasso/xml/soap-1.1/soap_header.c                                | 3 +--
 lasso/xml/soap-1.1/soap_header.h                                | 3 +--
 lasso/xml/soap-1.1/xml_soap11.h                                 | 3 +--
 lasso/xml/soap_binding.c                                        | 3 +--
 lasso/xml/soap_binding.h                                        | 3 +--
 lasso/xml/soap_binding_consent.c                                | 3 +--
 lasso/xml/soap_binding_consent.h                                | 3 +--
 lasso/xml/soap_binding_correlation.c                            | 3 +--
 lasso/xml/soap_binding_correlation.h                            | 3 +--
 lasso/xml/soap_binding_ext_credential.c                         | 3 +--
 lasso/xml/soap_binding_ext_credential.h                         | 3 +--
 lasso/xml/soap_binding_ext_credentials_context.c                | 3 +--
 lasso/xml/soap_binding_ext_credentials_context.h                | 3 +--
